----------------------------------------------------------------------------------------------------------------------------------------------------------
-- COMPATIBLE WIDTH: CapLoz A10C Helios profile																											--
-- 					 CaptZeen KA50, SU-25T, F-15C, TF-51D/P-51D, MI-8MTV2 extended V1.5, UH-1H and SA342-L/M/Mistral  Helios profiles			        --
--					 CaptZeen A10C RADIO FIX
--					 CaptZeen/Sliker55 MIG-21bis Helios profile												  											                --
-- RELEASE DATE:     13/DEC/2016 			  											                        									    --                                                                            --
----------------------------------------------------------------------------------------------------------------------------------------------------------


-- variables for flash effects
DoOnce= 0
gFlashing_Counter =0 
gFlashing_State = 1
--
-- variables for A10C radio freq control
gAM_digit_1 = 0
freq_digit_1 = 0
gAM_digit_2 = 0
freq_digit_2 = 0
gAM_digit_3 = 0
freq_digit_3 = 0
gFM_digit_1 = 0
freq_FM_digit_1 = 0
gFM_digit_2 = 0
freq_FM_digit_2 = 0
gFM_digit_3 = 0
freq_FM_digit_3 = 0
am_radio_freq_inicialized = 0
fm_radio_freq_inicialized = 0
--------



-- Debugging using Zerobrane...
--require('mobdebug').start()

gHighImportanceArguments = {}
gLowImportanceArguments = {} 
ProcessHighImportance = ProcessNoHighImportance
ProcessLowImportance  = ProcessNoLowImportance

---------------
-- DEBUGGING --
---------------

debug_output_file = nil

----------
-- DATA --
----------

gHost = "127.0.0.1"
gPort = 9089
gExportInterval = 0.1        -- frequency of export events (sec)
gExportLowTickInterval = 2   -- export events call ProcessLowImportance every this many events.

-- Find argument values in the relevant mods\aircrafts\??\Cockpit\Scripts\mainpanel_inits.lua, "arg_number" values.
gA10HighImportanceArguments = 
{ 
	[4] = "%.4f",		-- AOA
	[12] = "%.4f",		-- Variometer
	[13] = "%.4f",		-- 
	[14] = "%.4f",		-- 
	[17] = "%.4f",		-- ADI Pitch
	[18] = "%.4f",		-- ADI Bank
	[19] = "%0.1f",		-- ADI Course Warning Flag
	[20] = "%.4f",		-- ADI Bank Steering Bar
	[21] = "%.4f",		-- ADI Pitch Steering Bar
	[23] = "%.4f",		-- ADI Turn Needle
	[24] = "%.4f",		-- ADI Slip Ball
	[25] = "%0.1f",		-- ADI Attitude Warning Flag
	[26] = "%0.1f",		-- ADI Glide-Slope Warning Flag
	[27] = "%.4f",		-- ADI Glide-Slope Indicator
	[32] = "%0.1f",		-- HSI Range Flag
	[33] = "%.4f",		-- HSI Bearing #1
	[34] = "%.4f",		-- HSI Heading
	[35] = "%.4f",		-- HSI Bearing #2
	[36] = "%.4f",		-- HSI Heading Marker
	[40] = "%0.1f",		-- HSI Power Flag
	[41] = "%.4f",		-- HSI Deviation
	[46] = "%0.1f",		-- HSI Bearing Flag
	[47] = "%.4f",		-- HSI Course Arrow
	[48] = "%.4f",		-- Airspeed
	[55] = "%0.1f",		-- AOA Power Flag
	[63] = "%.4f",		-- Standby Attitude Indicator pitch
	[64] = "%.4f",		-- Standby Attitude Indicator bank
	[65] = "%0.1f",		-- Standby Attitude Indicator warning flag
	[70] = "%.4f",		-- 
	[73] = "%.4f",		-- 
	[76] = "%.4f",		-- EngineLeftFanSpeed
	[77] = "%.4f",		-- EngineRightFanSpeed
	[78] = "%.4f",		-- EngineLeftCoreSpeedTenth
	[80] = "%.4f",		-- EngineRightCoreSpeedTenth
	[82] = "%.4f",		-- 
	[83] = "%.4f",		-- 
	[84] = "%.4f",		-- EngineLeftFuelFlow
	[85] = "%.4f",		-- EngineRightFuelFlow
	[88] = "%.4f",		-- 
	[89] = "%.4f",		-- 
	[129] = "%1d",		-- 
	[178] = "%0.1f",	-- 
	[179] = "%0.1f",	-- 
	[181] = "%0.1f",	-- 
	[182] = "%0.1f",	-- 
	[185] = "%1d",		-- 
	[186] = "%1d",		-- 
	[187] = "%1d",		-- 
	[188] = "%1d",		-- 
	[191] = "%0.1f",	-- 
	[215] = "%0.1f",	-- 
	[216] = "%0.1f",	-- 
	[217] = "%0.1f",	-- 
	[260] = "%0.1f",	-- 
	[269] = "%.4f",		-- HARS Sync
	[274] = "%.4f",		-- 
	[281] = "%.4f",		-- 
	[289] = "%1d",		-- 
	[372] = "%0.1f",	-- CMSC Missile Launch Indicator
	[373] = "%0.1f",	-- 
	[374] = "%0.1f",	-- 
	[404] = "%0.1f",	-- 
	[480] = "%0.1f",	-- 
	[481] = "%0.1f",	-- 
	[482] = "%0.1f",	-- 
	[483] = "%0.1f",	-- 
	[484] = "%0.1f",	-- 
	[485] = "%0.1f",	-- 
	[486] = "%0.1f",	-- 
	[487] = "%0.1f",	-- 
	[488] = "%0.1f",	-- 
	[489] = "%0.1f",	-- 
	[490] = "%0.1f",	-- 
	[491] = "%0.1f",	-- 
	[492] = "%0.1f",	-- 
	[493] = "%0.1f",	-- 
	[494] = "%0.1f",	-- 
	[495] = "%0.1f",	-- 
	[496] = "%0.1f",	-- 
	[497] = "%0.1f",	-- 
	[498] = "%0.1f",	-- 
	[499] = "%0.1f",	-- 
	[500] = "%0.1f",	-- 
	[501] = "%0.1f",	-- 
	[502] = "%0.1f",	-- 
	[503] = "%0.1f",	-- 
	[504] = "%0.1f",	-- 
	[505] = "%0.1f",	-- 
	[506] = "%0.1f",	-- 
	[507] = "%0.1f",	-- 
	[508] = "%0.1f",	-- 
	[509] = "%0.1f",	-- 
	[510] = "%0.1f",	-- 
	[511] = "%0.1f",	-- 
	[512] = "%0.1f",	-- 
	[513] = "%0.1f",	-- 
	[514] = "%0.1f",	-- 
	[515] = "%0.1f",	-- 
	[516] = "%0.1f",	-- 
	[517] = "%0.1f",	-- 
	[518] = "%0.1f",	-- 
	[519] = "%0.1f",	-- 
	[520] = "%0.1f",	-- 
	[521] = "%0.1f",	-- 
	[522] = "%0.1f",	-- 
	[523] = "%0.1f",	-- 
	[524] = "%0.1f",	-- 
	[525] = "%0.1f",	-- 
	[526] = "%0.1f",	-- 
	[527] = "%0.1f",	-- 
	[540] = "%0.1f",	-- AOA_INDEXER_HIGH
	[541] = "%0.1f",	-- AOA_INDEXER_NORM
	[542] = "%0.1f",	-- AOA_INDEXER_LOW
	[600] = "%0.1f",	-- 
	[604] = "%.4f",		-- 
	[606] = "%0.1f",	-- 
	[608] = "%0.1f",	-- 
	[610] = "%0.1f",	-- 
	[612] = "%0.1f",	-- 
	[614] = "%0.1f",	-- 
	[616] = "%0.1f",	-- 
	[618] = "%0.1f",	-- 
	[619] = "%0.1f",	-- 
	[620] = "%0.1f",	-- 
	[647] = "%.4f",		-- 
	[648] = "%.4f",		-- 
	[653] = "%.4f",		-- 
	[654] = "%1d",		-- 
	[659] = "%0.1f",	-- 
	[660] = "%0.1f",	-- 
	[661] = "%0.1f",	-- 
	[662] = "%0.1f",	-- 
	[663] = "%0.1f",	-- 
	[664] = "%0.1f",	-- 
	[665] = "%0.1f",	-- 
	[715] = "%.4f",		-- Standby Attitude Indicator manual pitch adjustment
	[730] = "%0.1f",	-- AIR_REFUEL_READY
	[731] = "%0.1f",	-- AIR_REFUEL_LATCHED
	[732] = "%0.1f",	-- AIR_REFUEL_DISCONNECT
	[737] = "%0.1f",	-- 
	[798] = "%0.1f",	-- 
	[799] = "%0.1f"		-- 
}
gA10LowImportanceArguments = 
{
	[22] = "%.3f",
	[101] = "%.1f",
	[102] = "%1d",
	[103] = "%1d",
	[104] = "%1d",
	[105] = "%1d",
	[106] = "%1d",
	[107] = "%1d",
	[108] = "%1d",
	[109] = "%1d",
	[110] = "%1d",
	[111] = "%1d",
	[112] = "%1d",
	[113] = "%1d",
	[114] = "%1d",
	[115] = "%.1f",
	[116] = "%.3f",
	[117] = "%1d",
	[118] = "%1d",
	[119] = "%1d",
	[120] = "%1d",
	[121] = "%1d",
	[122] = "%1d",
	[123] = "%1d",
	[124] = "%1d",
	[125] = "%1d",
	[126] = "%1d",
	[127] = "%.1f",
	[130] = "%1d",
	[131] = "%.1f",
	[132] = "%1d",
	[133] = "%.3f",  -- VHF AM volume
	[134] = "%1d",
	[135] = "%0.1f",
	[136] = "%.1f",
	[137] = "%0.3f",  -- am preset channel
	[138] = "%0.1f",
	--[139] = "%0.2f",  -- VHF AM first encoder
	--[140] = "%0.2f",  -- VHF AM second encoder
	--[141] = "%0.2f",  -- VHF AM third encoder
	[142] = "%0.2f",
	[147] = "%.3f",
	[148] = "%1d",
	[149] = "%0.1f",
	[150] = "%.1f",
	[151] = "%0.3f",  -- fm preset channel
	[152] = "%0.1f",
	--[153] = "%0.2f",   -- VHF FM first encoder
	--[154] = "%0.2f",   -- VHF FM second encoder
	--[155] = "%0.2f",   -- VHF FM third encoder
	[156] = "%0.2f",
	[161] = "%0.2f",
	[162] = "%0.1f",
	[163] = "%0.2f",
	[164] = "%0.2f",
	[165] = "%0.2f",
	[166] = "%0.2f",
	[167] = "%0.1f",
	[168] = "%0.1f",
	[169] = "%1d",
	[170] = "%1d",
	[171] = "%.3f",
	[172] = "%.1f",
	[173] = "%.1f",
	[174] = "%1d",
	[175] = "%1d",
	[176] = "%0.1f",
	[177] = "%1d",
	[180] = "%1d",
	[183] = "%1d",
	[184] = "%1d",
	[189] = "%1d",
	[190] = "%.1f",
	[192] = "%.3f",
	[193] = "%.3f",
	[194] = "%0.1f",
	[195] = "%.3f",
	[196] = "%1d",
	[197] = "%.1f",
	[198] = "%.1f",
	[199] = "%0.1f",
	[200] = "%0.1f",
	[201] = "%1d",
	[202] = "%1d",
	[203] = "%1d",
	[204] = "%1d",
	[205] = "%1d",
	[206] = "%1d",
	[207] = "%1d",
	[208] = "%1d",
	[209] = "%0.2f",
	[210] = "%0.2f",
	[211] = "%0.2f",
	[212] = "%0.2f",
	[213] = "%0.2f",
	[214] = "%0.2f",
	[221] = "%.3f",
	[222] = "%1d",
	[223] = "%.3f",
	[224] = "%1d",
	[225] = "%.3f",
	[226] = "%1d",
	[227] = "%.3f",
	[228] = "%1d",
	[229] = "%.3f",
	[230] = "%1d",
	[231] = "%.3f",
	[232] = "%1d",
	[233] = "%.3f",
	[234] = "%1d",
	[235] = "%.3f",
	[236] = "%1d",
	[237] = "%1d",
	[238] = "%.3f",
	[239] = "%0.1f",
	[240] = "%.1f",
	[241] = "%1d",
	[242] = "%1d",
	[243] = "%1d",
	[244] = "%1d",
	[245] = "%1d",
	[246] = "%1d",
	[247] = "%1d",
	[248] = "%0.1f",
	[249] = "%.3f",
	[250] = "%0.1f",
	[251] = "%0.1f",
	[252] = "%0.1f",
	[258] = "%0.2f",
	[259] = "%.1f",
	[261] = "%.3f",
	[262] = "%0.1f",
	[266] = "%1d",
	[267] = "%.1f",
	[268] = "%.3f",
	[270] = "%1d",
	[271] = "%.3f",
	[272] = "%1d",
	[273] = "%1d",
	[275] = "%.1f",
	[276] = "%1d",
	[277] = "%.3f",
	[278] = "%1d",
	[279] = "%1d",
	[280] = "%1d",
	[282] = "%1d",
	[283] = "%1d",
	[284] = "%.3f",
	[287] = "%1d",
	[288] = "%.3f",
	[290] = "%.3f",
	[291] = "%1d",
	[292] = "%.3f",
	[293] = "%.3f",
	[294] = "%1d",
	[295] = "%1d",
	[296] = "%.3f",
	[297] = "%.3f",
	[300] = "%.1f",
	[301] = "%.1f",
	[302] = "%.1f",
	[303] = "%.1f",
	[304] = "%.1f",
	[305] = "%.1f",
	[306] = "%.1f",
	[307] = "%.1f",
	[308] = "%.1f",
	[309] = "%.1f",
	[310] = "%.1f",
	[311] = "%.1f",
	[312] = "%.1f",
	[313] = "%.1f",
	[314] = "%.1f",
	[315] = "%.1f",
	[316] = "%.1f",
	[317] = "%.1f",
	[318] = "%.1f",
	[319] = "%.1f",
	[320] = "%1d",
	[321] = "%1d",
	[322] = "%1d",
	[323] = "%1d",
	[324] = "%1d",
	[325] = "%0.1f",
	[326] = "%.1f",
	[327] = "%.1f",
	[328] = "%.1f",
	[329] = "%.1f",
	[330] = "%.1f",
	[331] = "%.1f",
	[332] = "%.1f",
	[333] = "%.1f",
	[334] = "%.1f",
	[335] = "%.1f",
	[336] = "%.1f",
	[337] = "%.1f",
	[338] = "%.1f",
	[339] = "%.1f",
	[340] = "%.1f",
	[341] = "%.1f",
	[342] = "%.1f",
	[343] = "%.1f",
	[344] = "%.1f",
	[345] = "%.1f",
	[346] = "%1d",
	[347] = "%1d",
	[348] = "%1d",
	[349] = "%1d",
	[350] = "%1d",
	[351] = "%0.1f",
	[352] = "%.1f",
	[353] = "%.1f",
	[354] = "%.1f",
	[355] = "%.1f",
	[356] = "%1d",
	[357] = "%.1f",
	[358] = "%1d",
	[359] = "%.3f",
	[360] = "%0.1f",
	[361] = "%0.1f",
	[362] = "%0.1f",
	[363] = "%0.1f",
	[364] = "%0.1f",
	[365] = "%.1f",
	[366] = "%.1f",
	[367] = "%.3f",
	[368] = "%.3f",
	[369] = "%.1f",
	[370] = "%.1f",
	[371] = "%.1f",
	[375] = "%0.1f",
	[376] = "%0.1f",
	[377] = "%0.1f",
	[378] = "%1d",
	[379] = "%0.1f",
	[380] = "%1d",
	[381] = "%1d",
	[382] = "%1d",
	[383] = "%1d",
	[384] = "%0.1f",
	[385] = "%.1f",
	[386] = "%.1f",
	[387] = "%.1f",
	[388] = "%.1f",
	[389] = "%.1f",
	[390] = "%.1f",
	[391] = "%.1f",
	[392] = "%.1f",
	[393] = "%.1f",
	[394] = "%.1f",
	[395] = "%.1f",
	[396] = "%.1f",
	[397] = "%.1f",
	[398] = "%.1f",
	[399] = "%.1f",
	[400] = "%.1f",
	[401] = "%.1f",
	[402] = "%.1f",
	[403] = "%.1f",
	[405] = "%1d",
	[406] = "%1d",
	[407] = "%1d",
	[408] = "%1d",
	[409] = "%1d",
	[410] = "%.1f",
	[411] = "%.1f",
	[412] = "%.1f",
	[413] = "%.1f",
	[414] = "%.1f",
	[415] = "%.1f",
	[416] = "%.1f",
	[417] = "%.1f",
	[418] = "%.1f",
	[419] = "%.1f",
	[420] = "%.1f",
	[421] = "%.1f",
	[422] = "%.1f",
	[423] = "%.1f",
	[424] = "%1d",
	[425] = "%.1f",
	[426] = "%.1f",
	[427] = "%.1f",
	[428] = "%.1f",
	[429] = "%.1f",
	[430] = "%.1f",
	[431] = "%.1f",
	[432] = "%.1f",
	[433] = "%.1f",
	[434] = "%.1f",
	[435] = "%.1f",
	[436] = "%.1f",
	[437] = "%.1f",
	[438] = "%.1f",
	[439] = "%.1f",
	[440] = "%.1f",
	[441] = "%.1f",
	[442] = "%.1f",
	[443] = "%.1f",
	[444] = "%.1f",
	[445] = "%.1f",
	[446] = "%.1f",
	[447] = "%.1f",
	[448] = "%.1f",
	[449] = "%.1f",
	[450] = "%.1f",
	[451] = "%.1f",
	[452] = "%.1f",
	[453] = "%.1f",
	[454] = "%.1f",
	[455] = "%.1f",
	[456] = "%.1f",
	[457] = "%.1f",
	[458] = "%.1f",
	[459] = "%.1f",
	[460] = "%.1f",
	[461] = "%.1f",
	[462] = "%.1f",
	[463] = "%1d",
	[466] = "%.1f",
	[467] = "%.1f",
	[468] = "%.1f",
	[469] = "%1d",
	[470] = "%.1f",
	[471] = "%.1f",
	[472] = "%1d",
	[473] = "%0.1f",
	[474] = "%1d",
	[475] = "%0.1f",
	[476] = "%1d",
	[477] = "%1d",
	[531] = "%.1f",
	[532] = "%.1f",
	[533] = "%.1f",
	[601] = "%1d",
	[602] = "%1d",
	[603] = "%1d",
	[605] = "%.1f",
	[607] = "%.1f",
	[609] = "%.1f",
	[611] = "%.1f",
	[613] = "%.1f",
	[615] = "%.1f",
	[617] = "%.1f",
	[621] = "%1d",
	[622] = "%0.1f",
	[623] = "%1d",
	[624] = "%.3f",
	[626] = "%.3f",
	[628] = "%.1f",
	[630] = "%.1f",
	[632] = "%.1f",
	[634] = "%.1f",
	[636] = "%0.2f",
	[638] = "%0.2f",
	[640] = "%0.2f",
	[642] = "%0.2f",
	[644] = "%1d",
	[645] = "%0.1f",
	[646] = "%.1f",
	[651] = "%.1f",
	[655] = "%0.1f",
	[704] = "%.3f",
	[705] = "%.3f",
	[711] = "%.1f",
	[712] = "%0.2f",
	[716] = "%1d",		-- Gear Handle Position
	[718] = "%1d",
	[722] = "%.1f",
	[733] = "%1d}",
	[734] = "%1d",
	[735] = "%.1f",
	[772] = "%1d",
	[778] = "%1d",
	[779] = "%1d",
	[780] = "%1d",
	[781] = "%0.1f",
	[782] = "%0.1f",
	[783] = "%0.1f",
	[784] = "%1d",
}

gKa50HighImportanceArguments = 
{
	[44]="%0.1f", 
	[46]="%0.1f", 
	[47]="%0.1f", 
	[48]="%0.1f", 
	[78]="%0.1f", 
	[79]="%0.1f", 
	[80]="%0.1f", 
	[81]="%0.1f", 
	[82]="%0.1f", 
	[83]="%0.1f", 
	[84]="%0.1f", 
	[85]="%0.1f", 
	[86]="%0.1f", 
	[24]="%.4f", 
	[100]="%.4f", 
	[101]="%.4f", 
	[102]="%0.1f", 
	[109]="%0.1f", 
	[107]="%.4f", 
	[106]="%.4f", 
	[111]="%.4f", 
	[103]="%.4f", 
	[526]="%.4f", 
	[108]="%.4f", 
	[87]="%.4f", 
	[88]="%0.2f", 
	[89]="%.4f", 
	[112]="%.4f", 
	[118]="%.4f", 
	[124]="%.4f", 
	[115]="%.4f", 
	[119]="%0.1f", 
	[114]="%0.1f", 
	[125]="%0.1f", 
	[117]="%0.4f", 
	[527]="%0.4f", 
	[528]="%0.4f", 
	[127]="%.4f", 
	[128]="%.4f", 
	[116]="%0.1f", 
	[121]="%0.1f", 
	[53]="%.4f", 
	[52]="%.4f", 
	[94]="%.4f", 
	[93]="%.4f", 
	[95]="%0.1f", 
	[92]="%0.1f", 
	[51]="%.4f", 
	[97]="%0.2f", 
	[98]="%0.2f", 
	[99]="%0.2f", 
	[68]="%.4f", 
	[69]="%.4f", 
	[70]="%.4f", 
	[75]="%0.1f", 
	[72]="%.4f", 
	[531]="%.4f", 
	[73]="%.4f", 
	[532]="%.4f", 
	[142]="%.4f", 
	[143]="%.4f", 
	[144]="%.4f", 
	[145]="%0.1f", 
	[133]="%.4f", 
	[134]="%.4f", 
	[135]="%.4f", 
	[136]="%.4f", 
	[138]="%.4f", 
	[137]="%.4f", 
	[139]="%0.1f", 
	[140]="%0.1f", 
	[392]="%0.1f", 
	[393]="%0.1f", 
	[394]="%0.1f", 
	[395]="%0.1f", 
	[388]="%0.1f", 
	[389]="%0.1f", 
	[390]="%0.1f", 
	[391]="%0.1f", 
	[63]="%0.1f", 
	[64]="%0.1f", 
	[61]="%0.1f", 
	[62]="%0.1f", 
	[59]="%0.1f", 
	[60]="%0.1f", 
	[170]="%0.1f", 
	[175]="%0.1f", 
	[172]="%0.1f", 
	[165]="%0.1f", 
	[171]="%0.1f", 
	[176]="%0.1f", 
	[166]="%0.1f", 
	[164]="%0.1f", 
	[178]="%0.1f", 
	[173]="%0.1f", 
	[177]="%0.1f", 
	[211]="%0.1f", 
	[187]="%0.1f", 
	[204]="%0.1f", 
	[213]="%0.1f", 
	[11]="%.4f", 
	[12]="%.4f", 
	[14]="%.4f", 
	[167]="%0.1f", 
	[180]="%0.1f", 
	[179]="%0.1f", 
	[188]="%0.1f", 
	[189]="%0.1f", 
	[206]="%0.1f", 
	[212]="%0.1f", 
	[205]="%0.1f", 
	[181]="%0.1f", 
	[190]="%0.1f", 
	[207]="%0.1f", 
	[183]="%0.1f", 
	[182]="%0.1f", 
	[191]="%0.1f", 
	[208]="%0.1f", 
	[184]="%0.1f", 
	[200]="%0.1f", 
	[209]="%0.1f", 
	[185]="%0.1f", 
	[202]="%0.1f", 
	[201]="%0.1f", 
	[210]="%0.1f", 
	[186]="%0.1f", 
	[203]="%0.1f", 
	[159]="%0.1f", 
	[150]="%0.1f", 
	[161]="%0.1f", 
	[15]="%0.1f", 
	[16]="%0.1f", 
	[17]="%0.1f", 
	[18]="%0.1f", 
	[19]="%0.1f", 
	[20]="%0.1f", 
	[21]="%0.1f", 
	[22]="%0.1f", 
	[23]="%0.1f", 
	[50]="%0.1f", 
	[25]="%0.1f", 
	[28]="%0.1f", 
	[26]="%0.1f", 
	[27]="%0.1f", 
	[31]="%0.1f", 
	[32]="%0.1f", 
	[33]="%0.1f", 
	[34]="%0.1f", 
	[582]="%0.1f", 
	[541]="%0.1f", 
	[542]="%0.1f", 
	[315]="%0.1f", 
	[519]="%0.1f", 
	[316]="%0.1f", 
	[520]="%0.1f", 
	[317]="%0.1f", 
	[521]="%0.1f", 
	[318]="%0.1f", 
	[313]="%0.1f", 
	[314]="%0.1f", 
	[522]="%0.1f", 
	[319]="%0.1f", 
	[320]="%0.1f", 
	[321]="%0.1f", 
	[322]="%0.1f", 
	[323]="%0.1f", 
	[330]="%0.1f", 
	[332]="%0.1f", 
	[331]="%0.1f", 
	[333]="%0.1f", 
	[334]="%0.1f", 
	[375]="%0.1f", 
	[419]="%0.1f", 
	[577]="%.3f", 
	[574]="%.2f", 
	[575]="%.2f", 
	[576]="%.2f", 
	[437]="%0.1f", 
	[438]="%0.1f", 
	[439]="%0.1f", 
	[440]="%0.1f", 
	[441]="%0.1f", 
	[163]="%0.1f", 
	[162]="%0.1f", 
	[168]="%0.1f", 
	[169]="%0.1f", 
	[174]="%0.1f", 
	[6]="%.4f", 
	[586]="%0.1f", 
	[261]="%0.1f", 
	[461]="%0.1f", 
	[237]="%0.1f", 
	[239]="%0.1f", 
	[568]="%0.1f", 
	[241]="%0.1f", 
	[243]="%0.1f", 
	[244]="%0.1f", 
	[245]="%0.1f", 
	[592]="%.4f", 
	[234]="%0.2f", 
	[235]="%0.2f", 
	[252]="%.4f", 
	[253]="%.4f", 
	[254]="%.4f", 
	[255]="%.4f", 
	[256]="%.4f", 
	[257]="%.4f", 
	[469]="%0.1f", 
	[470]="%0.1f", 
	[471]="%.4f", 
	[472]="%.4f", 
	[473]="%.4f", 
	[474]="%.4f", 
	[475]="%.4f", 
	[476]="%.4f", 
	[342]="%0.1f", 
	[339]="%0.4f", 
	[594]="%0.4f", 
	[337]="%0.4f", 
	[596]="%0.4f"
}
gKa50LowImportanceArguments = 
{
	[110]="%.1f", 
	[113]="%.1f", 
	[54]="%1d", 
	[56]="%1d", 
	[57]="%1d", 
	[55]="%.1f", 
	[96]="%.1f", 
	[572]="%.1f", 
	[45]="%.1f", 
	[230]="%1d", 
	[131]="%.1f", 
	[132]="%.1f", 
	[616]="%.1f", 
	[512]="%.1f", 
	[513]="%.1f", 
	[514]="%.1f", 
	[515]="%.1f", 
	[516]="%.1f", 
	[523]="%.1f", 
	[517]="%.3f", 
	[130]="%0.1f", 
	[8]="%.3f", 
	[9]="%1d", 
	[7]="%.1f", 
	[510]="%0.1f", 
	[387]="%1d", 
	[402]="%.1f", 
	[396]="%1d", 
	[403]="%1d", 
	[399]="%1d", 
	[400]="%0.1f", 
	[398]="%1d", 
	[397]="%.1f", 
	[404]="%1d", 
	[406]="%.3f", 
	[407]="%.3f", 
	[405]="%.3f", 
	[408]="%0.1f", 
	[409]="%1d", 
	[382]="%0.1f", 
	[383]="%1d", 
	[381]="%0.2f", 
	[384]="%.1f", 
	[385]="%.1f", 
	[386]="%0.1f", 
	[442]="%.1f", 
	[65]="%1d", 
	[66]="%1d", 
	[67]="%1d", 
	[146]="%0.1f", 
	[147]="%0.1f", 
	[539]="%1d", 
	[151]="%1d", 
	[153]="%1d", 
	[154]="%0.1f", 
	[156]="%.1f", 
	[35]="%.1f", 
	[583]="%1d", 
	[584]="%.1f", 
	[36]="%0.1f", 
	[37]="%0.1f", 
	[38]="%.1f", 
	[39]="%.1f", 
	[41]="%.1f", 
	[43]="%.1f", 
	[42]="%.1f", 
	[40]="%.1f", 
	[496]="%1d", 
	[497]="%1d", 
	[498]="%1d", 
	[499]="%1d", 
	[312]="%0.1f", 
	[303]="%0.1f", 
	[304]="%0.1f", 
	[305]="%0.1f", 
	[306]="%0.1f", 
	[307]="%0.1f", 
	[308]="%0.1f", 
	[309]="%0.1f", 
	[310]="%0.1f", 
	[311]="%0.1f", 
	[324]="%0.1f", 
	[325]="%1d", 
	[326]="%1d", 
	[327]="%.3f", 
	[328]="%0.1f", 
	[329]="%0.1f", 
	[335]="%0.1f", 
	[336]="%0.1f", 
	[355]="%.1f", 
	[354]="%1d", 
	[353]="%.3f", 
	[356]="%1d", 
	[357]="%0.1f", 
	[371]="%0.1f", 
	[372]="%.3f", 
	[373]="%.1f", 
	[374]="%1d", 
	[376]="%.1f", 
	[377]="%.1f", 
	[378]="%.1f", 
	[379]="%.1f", 
	[380]="%1d", 
	[418]="%.1f", 
	[417]="%1d", 
	[421]="%1d", 
	[422]="%1d", 
	[420]="%1d", 
	[423]="%1d", 
	[432]="%1d", 
	[431]="%0.1f", 
	[436]="%1d", 
	[433]="%1d", 
	[435]="%1d", 
	[434]="%1d", 
	[412]="%.1f", 
	[413]="%.1f", 
	[414]="%.1f", 
	[415]="%0.1f", 
	[416]="%0.1f", 
	[428]="%0.2f", 
	[554]="%1d", 
	[555]="%1d", 
	[556]="%1d", 
	[301]="%0.1f", 
	[224]="%.1f", 
	[262]="%1d", 
	[263]="%1d", 
	[543]="%1d", 
	[544]="%1d", 
	[264]="%1d", 
	[265]="%1d", 
	[267]="%1d", 
	[268]="%1d", 
	[269]="%1d", 
	[270]="%01.f", 
	[271]="%1d", 
	[272]="%1d", 
	[273]="%1d", 
	[274]="%1d", 
	[275]="%1d", 
	[276]="%1d", 
	[277]="%1d", 
	[278]="%1d", 
	[279]="%1d", 
	[280]="%1d", 
	[281]="%1d", 
	[282]="%1d", 
	[283]="%1d", 
	[284]="%1d", 
	[285]="%1d", 
	[286]="%1d", 
	[287]="%1d", 
	[288]="%1d", 
	[289]="%1d", 
	[547]="%1d", 
	[548]="%1d", 
	[214]="%1d", 
	[215]="%1d", 
	[216]="%1d", 
	[217]="%1d", 
	[462]="%0.1f", 
	[460]="%.1f", 
	[220]="%1d", 
	[221]="%1d", 
	[218]="%1d", 
	[219]="%1d", 
	[222]="%1d", 
	[229]="%0.1f", 
	[228]="%1d", 
	[296]="%1d", 
	[297]="%0.1f", 
	[290]="%1d", 
	[291]="%1d", 
	[292]="%1d", 
	[293]="%1d", 
	[294]="%1d", 
	[569]="%1d", 
	[295]="%0.1f", 
	[570]="%0.1f", 
	[457]="%.1f", 
	[458]="%.1f", 
	[459]="%.1f", 
	[300]="%1d", 
	[299]="%1d", 
	[298]="%1d", 
	[236]="%.1f", 
	[238]="%.1f", 
	[240]="%.1f", 
	[242]="%.1f", 
	[248]="%0.1f", 
	[249]="%0.1f", 
	[250]="%1d", 
	[246]="%1d", 
	[247]="%1d", 
	[258]="%0.1f", 
	[259]="%1d", 
	[483]="%0.1f", 
	[484]="%0.1f", 
	[485]="%1d", 
	[486]="%1d", 
	[489]="%.1f", 
	[490]="%1d", 
	[491]="%1d", 
	[492]="%1d", 
	[487]="%1d", 
	[488]="%1d", 
	[452]="%1d", 
	[453]="%1d", 
	[340]="%.3f", 
	[341]="%1d", 
	[338]="%.3f"
}

gP51HighImportanceArguments = 
{
}
gP51LowImportanceArguments = 
{
}

gU1H1HighImportanceArguments = 
{
}
gU1H1LowImportanceArguments = 
{
}




-- Export arguments for the SA342 using the KA50 interface
SA342ExportArguments = {}
-- Format: device,button number, multiplier
-- arguments with multiplier 100, 101,102 or 300 are special conversion cases, and are computed in different way

--NADIR
SA342ExportArguments["20,3001"] = "23,3009,5"	-- NADIR_0 > PVI 0
SA342ExportArguments["20,3002"] = "23,3010,5"	-- NADIR_1
SA342ExportArguments["20,3003"] = "23,3011,5"	-- NADIR_2
SA342ExportArguments["20,3004"] = "23,3012,5"	-- NADIR_3
SA342ExportArguments["20,3005"] = "23,3013,5"	-- NADIR_4
SA342ExportArguments["20,3006"] = "23,3014,5"	-- NADIR_5
SA342ExportArguments["20,3007"] = "23,3015,5"	-- NADIR_6
SA342ExportArguments["20,3008"] = "23,3016,5"	-- NADIR_7
SA342ExportArguments["20,3009"] = "23,3017,5"	-- NADIR_8
SA342ExportArguments["20,3010"] = "23,3018,5"	-- NADIR_9
SA342ExportArguments["20,3011"] = "23,3004,5"	-- NADIR_ENT
SA342ExportArguments["20,3012"] = "23,3005,5"	-- NADIR_DES
SA342ExportArguments["20,3013"] = "23,3006,5"	-- NADIR_AUX
SA342ExportArguments["20,3014"] = "23,3007,5"	-- NADIR_IC
SA342ExportArguments["20,3015"] = "23,3008,5"	-- NADIR_DOWN
SA342ExportArguments["20,3016"] = "23,3019,5"	-- NADIR_POL
SA342ExportArguments["20,3017"] = "23,3020,5"	-- NADIR_GEO
SA342ExportArguments["20,3018"] = "23,3021,5"	-- NADIR_POS
SA342ExportArguments["20,3019"] = "23,3022,5"	-- NADIR_GEL
SA342ExportArguments["20,3020"] = "23,3023,5"	-- NADIR_EFF
SA342ExportArguments["20,3026"] = "23,3002,2"	-- NADIR mode
SA342ExportArguments["46,3002"] = "23,3003,2"	-- NADIR parameter
--RWR
SA342ExportArguments["20,3021"] = "24,3002,5"	-- rwr marquer
SA342ExportArguments["20,3022"] = "24,3003,5"	-- rwr page
SA342ExportArguments["7,3002"] = "24,3001,1"	-- rwr on/off/croc   >   HUD night/day/standby
--Main panel
SA342ExportArguments["25,3015"] = "9,3007,3.3"	-- SA342 Source ArtVisVhfDop  >  datalink data mode
SA342ExportArguments["20,3023"] = "2,3004,5"	-- SA342 Voltmeter Test        
SA342ExportArguments["2,3001"] = "2,3001,1"		-- SA342 Battery	2 > dc power
SA342ExportArguments["2,3002"] = "2,3002,1"		-- SA342 Alternator	2  > guarda dc power
SA342ExportArguments["2,3003"] = "2,3003,1"		-- SA342 Generator	2 > batt 2
SA342ExportArguments["2,3023"] = "2,3004,5"		-- SA342 Voltmeter Test b
SA342ExportArguments["2,3004"] = "2,3005,1"		-- SA342 Pitot	2  > guarda batt 2
SA342ExportArguments["2,3005"] = "2,3006,1"		-- SA342 Fuel Pump	2  > batt 1
SA342ExportArguments["2,3006"] = "2,3007,1"		-- SA342 Additionnal Fuel Tank	2 > guarda batt 1
SA342ExportArguments["12,3007"] = "2,3008,100"	-- SA342 Starter Start/Stop/Air	3  > weapons laser code
SA342ExportArguments["2,3007"] = "2,3009,5"		-- SA342 Test b  >  ac gnd power
SA342ExportArguments["12,3004"] = "2,3010,100"	-- SA342 Copilot Wiper	3 >  Weapon Burst Length
SA342ExportArguments["22,3001"] = "2,3011,100"	-- SA342 Pilot Wiper	3 > UV_26 Release Select Switch
SA342ExportArguments["2,3008"] = "2,3012,1"		-- SA342 space			2  >  ac left generator
SA342ExportArguments["3,3001"] = "2,3013,5"		-- SA342 HYD Test b  >  "Fuel System", "Forward Fuel Tank Pumps"
SA342ExportArguments["3,3002"] = "2,3014,5"		-- SA342 Alter Rearm b  >  "Fuel System", "Rear Fuel Tank Pumps"
SA342ExportArguments["3,3003"] = "2,3015,5"		-- SA342 Gene Rearm b  >  "Fuel System", "Inner External Fuel Tank Pumps"
SA342ExportArguments["3,3004"] = "2,3016,1"		-- SA342 Convoy Tank On/Off	2 > "Outer External Fuel Tank Pumps"
SA342ExportArguments["3,3005"] = "2,3017,1"		-- SA342 Sand Filter On/Off	2 > "Fuel Meter power"
SA342ExportArguments["2,3009"] = "15,3008,1"	-- SA342 Panels Lighting On/Off	2 > "AC Right Generator"
SA342ExportArguments["3,3006"] = "7,3006,1"		-- SA342 Trim On/Off	2 > "Left Engine Fuel Shutoff Valve"
SA342ExportArguments["3,3007"] = "7,3007,1"		-- SA342 Magnetic Brake On/Off	2 > "GUARD Left Engine Fuel Shutoff Valve"
SA342ExportArguments["46,3005"] = "26,3001,1"	-- SA342 master arm	2 > ark22 ndb mode
--LIGHTS
SA342ExportArguments["4,3012"] = "15,3001,100"	-- SA342 nav lights	3 >  engines start mode
SA342ExportArguments["2,3010"] = "15,3002,100"	-- SA342 anticol lights	3 > dc ac inverter
SA342ExportArguments["46,3004"] = "15,3011,1"	-- form light on off >  ark22 adf mode
--TV
SA342ExportArguments["3,3008"] = "13,3001,1"	-- SA342 TV On/Off	2 > "Right Engine Fuel Shutoff Valve"
SA342ExportArguments["7,3001"] = "13,3003,2"	-- SA342 TV brightness axis > hud brightness
SA342ExportArguments["8,3003"] = "13,3002,2"	-- SA342 TV Contrast axis > Shkval contrast
--GYRO
SA342ExportArguments["3,3010"] = "7,3015,1"		-- SA342 Gyro Test Switch On/Off 2 > APU Fuel Shutoff Valve
SA342ExportArguments["3,3011"] = "7,3014,1"		-- SA342 Gyro Test Cover On/Off  2 > APU Fuel Shutoff Valve guard
SA342ExportArguments["4,3014"] = "7,3016,101"	-- SA342 Left/Center/Right	  3 > Enginges De-icing / dust-protection system
SA342ExportArguments["34,3007"] = "7,3017,2.5"	-- SA342 CM/A/GM/D/GD   multipos   > Windshield Wiper Switch	
--PE
SA342ExportArguments["12,3022"] = "16,3006,1"	-- SA342 PE system M/A	 2 > weapons armed
SA342ExportArguments["12,3005"] = "16,3001,1"	-- SA342 PE centering	 2 > weapons auto manual
SA342ExportArguments["12,3006"] = "16,3002,1"	-- SA342 PE VDO/VTH	 2 > weapons HE/PA 
SA342ExportArguments["6,3005"] = "16,3007,2.5"	-- SA342 PE mode	 2 > eject syst circuit selector 
SA342ExportArguments["33,3006"] = "16,3005,1"	-- SA342 PE CTH	 3 > baro/radar alt
SA342ExportArguments["45,3003"] = "16,3003,1"	-- SA342 PE zoom -	  3 > autopik track/heading
SA342ExportArguments["33,3007"] = "16,3004,101"	-- SA342 PE zoom +	  3 > autopik track/heading
--PH
SA342ExportArguments["12,3014"] = "27,3001,2.5"	-- SA342 PH cle  >  Targeting Control Mode - Weapons System Mode 431
SA342ExportArguments["49,3001"] = "27,3002,1.25"-- SA342 PH station selection  >  r828 channel
--WP2
SA342ExportArguments["12,3019"] = "26,3011,1"	-- SA342 weapon cover left		2 > weapons power cover
SA342ExportArguments["12,3018"] = "26,3010,1"	-- SA342 weapon left		2	> weapons power
SA342ExportArguments["3,3013"] = "26,3013,1"	-- SA342 weapon cover right		2 > crossfeed valve cover
SA342ExportArguments["3,3012"] = "26,3012,1"	-- SA342 weapon right		2 > crossfeed valve
SA342ExportArguments["12,3020"] = "26,3014,1"	-- SA342 weapon riple single	2 > weapons rate fire low hi
SA342ExportArguments["28,3001"] = "26,3004,100"	-- SA342 weapons power	3 >  nav interface heading source
--FD
SA342ExportArguments["56,3004"] = "25,3002,1"	-- SA342 FD seq switch 2 > stby adi power
SA342ExportArguments["40,3005"] = "25,3001,100"	-- SA342 FD G+D	3 > fire ext work off test
SA342ExportArguments["4,3017"] = "25,3003,100"	-- SA342 FD LE VE AR 3 > engine pwr turb test
--AUTOPILOT
SA342ExportArguments["34,3001"] = "7,3001,1"	-- SA342 PA on off > CPT MECH gear
SA342ExportArguments["34,3009"] = "7,3002,1"	-- SA342 PA pitch on 2 > CPT MECH pitot static
SA342ExportArguments["34,3010"] = "7,3003,1"	-- SA342 PA roll on 2 > CPT MECH pitot ram
SA342ExportArguments["4,3013"] = "7,3004,1"		-- SA342 PA yaw on 2 > engine rotor de icing
SA342ExportArguments["25,3014"] = "7,3005,100"	-- SA342 PA mode 3 > datalink self id
--UHF
SA342ExportArguments["8,3006"] = "31,3001,1.67"	-- SA342 UHF left rot >SHKVAL scan rate
SA342ExportArguments["9,3001"] = "31,3002,1"	-- SA342 UHF drw > ABRIS button 1
SA342ExportArguments["9,3002"] = "31,3003,1"	-- SA342 UHF vld > ABRIS button 2
SA342ExportArguments["9,3003"] = "31,3005,1"	-- SA342 UHF conf > ABRIS button 3
SA342ExportArguments["9,3004"] = "31,3006,1"	-- SA342 UHF 1 > ABRIS button 4
SA342ExportArguments["9,3005"] = "31,3007,1"	-- SA342 UHF 2 > ABRIS button 5
SA342ExportArguments["9,3007"] = "31,3008,1"	-- SA342 UHF 3 > ABRIS button 6
SA342ExportArguments["34,3011"] = "31,3009,1"	-- SA342 UHF 4 > CPT MECH Pitot heat system test
SA342ExportArguments["22,3004"] = "31,3010,1"	-- SA342 UHF 5 > UV26 Num of sequences
SA342ExportArguments["22,3005"] = "31,3011,1"	-- SA342 UHF 6 > UV26 Num in sequence
SA342ExportArguments["22,3006"] = "31,3012,1"	-- SA342 UHF 7 > UV26 Dispence interval
SA342ExportArguments["22,3007"] = "31,3013,1"	-- SA342 UHF 8 > UV26 Start dispense
SA342ExportArguments["22,3008"] = "31,3014,1"	-- SA342 UHF 9 > UV26 Reset to default program
SA342ExportArguments["22,3009"] = "31,3015,1"	-- SA342 UHF 0 > UV26 Stop dispense
--FM
SA342ExportArguments["12,3023"] = "28,3001,2.5"	--  SA342 selector > weapons ballistic seletor
SA342ExportArguments["37,3001"] = "28,3002,1.43"--  SA342 channels > ppk atgm temp
--AM
SA342ExportArguments["36,3002"] = "5,3003,1"	-- SA342 AM 25-50 > laser warning sys power
SA342ExportArguments["50,3002"] = "5,3001,3"	-- SA342 AM radio A-M-SQ-TEST > spu9 source
SA342ExportArguments["30,3001"] = "5,3004,1"	-- SA342 left freq rotary > hsi commanded course
SA342ExportArguments["30,3002"] = "5,3002,1"	-- SA342 right freq rotary > hsi commanded heading
--ADF
SA342ExportArguments["11,3003"] = "21,3001,1"	-- SA342 ADF select > laser-ranger
SA342ExportArguments["11,3002"] = "21,3002,1"	-- SA342 ADF tune > laser-ranger guard
SA342ExportArguments["8,3002"] = "21,3003,1"	-- SA342 ADF on/ant/adf/test  >  abris bright
SA342ExportArguments["31,3001"] = "21,3007,1"	-- ADF 1 decimal rot >  adi zero pitch
SA342ExportArguments["38,3001"] = "21,3006,1"	-- ADF 1 decenas rot >  radar altimeter
SA342ExportArguments["56,3003"] = "21,3005,1"	-- ADF 1 centenas rot >  stby adi cage
SA342ExportArguments["9,3006"] = "21,3010,1"	-- ADF 2 decimal rot >  abris cursor
SA342ExportArguments["48,3007"] = "21,3009,1"	-- ADF 2 decenas rot >  r800 1 ot
SA342ExportArguments["48,3008"] = "21,3008,1"	-- ADF 2 centenas rot >  r800 2 rot
SA342ExportArguments["23,3001"] = "21,3004,1"	-- ADF gain rot >  hms bright
--instruments buttons
SA342ExportArguments["11,3004"] = "17,3001,1"	-- torque test >  laser ranger reset
SA342ExportArguments["48,3009"] = "17,3002,1"	-- torque safe % bug >  r800 3 rot
SA342ExportArguments["13,3002"] = "18,3002,102"	-- RALT On / Off >  VMS Emergency Mode Switch
SA342ExportArguments["30,3003"] = "18,3003,1"	-- Ralt test > HSI button test
SA342ExportArguments["12,3003"] = "9,3002,1"	-- HA pull > PUI-800 External Stores Jettison
SA342ExportArguments["12,3021"] = "9,3004,1"	-- stby HA pull > PUI-800 Emergency ATGM launch
--Clock
SA342ExportArguments["4,3022"] = "20,3002,1"	-- SA342 Clock start stop > Engine Running EGT Test Button
SA342ExportArguments["31,3003"] = "20,3003,1"	-- SA342 Clock Reset > ADI test
--Intercom
SA342ExportArguments["59,3001"] = "4,3001,1"	-- IC1 VHF >  ZMS-3 Magnetic Variation
SA342ExportArguments["58,3001"] = "4,3003,1"	-- IC1 UHF >  PShK-7 Latitude Entry
SA342ExportArguments["20,3029"] = "4,3002,1"	-- IC1 FM1 >  PVI-800 Control Panel Brightness
--Collective
SA342ExportArguments["44,3002"] = "25,3004,1"	-- SA342 flare dispenser guard > Landing Light Primary/Backup Select
SA342ExportArguments["13,3004"] = "25,3005,1"	-- SA342 flare dispenser fire > Landing Light Primary/Backup Select
SA342ExportArguments["44,3001"] = "15,3003,101"	--  SA342 Landing Light Off/Vario/On	3 > Landing Light", "On/Off/Retract
SA342ExportArguments["13,3001"] = "15,3004,1"	--  SA342 Landing Light Extend	2 > VMS Cease Message
SA342ExportArguments["13,3003"] = "15,3006,-1"	--  SA342 Landing Light Retract	2 > VMS Repeat Message
--Special case
SA342ExportArguments["48,3010"] = "24,3005,300" -- Special case, several encoders and axis in the same KA50 encoder

	

-------------------------------------------------------------------------------------------------------------------------------- end SA342



-- Export arguments for the MIG-21 using the A10C interface
MIG21ExportArguments = {}
-- Format: device,button number, multiplier
-- arguments with multiplier 100, 101,102 or >300 are special conversion cases, and are computed in different way
			
-- DC & AC buses & giro devices 1 - 2
MIG21ExportArguments["50,3001"] = "1,3001,1"	-- Battery On/Off  165 2 > "Fire System", "Left Engine Fire Pull" 102 --
MIG21ExportArguments["50,3002"] = "1,3002,1"	-- Battery Heat On/Off  155 2 > "Fire System", "APU Fire Pull" 103 --
MIG21ExportArguments["50,3003"] = "1,3003,1"	-- DC Generator On/Off  166 2 > "Fire System", "Right Engine Fire Pull"104  --
MIG21ExportArguments["39,3001"] = "2,3004,1"	-- AC Generator On/Off  169 2 > "Mechanical", "Landing Gear Lever" 716 --
MIG21ExportArguments["7,3004"] = "2,3005,1"		-- PO-750 Inverter #1 On/Off  153 2 > "AHCP", "TGP Power" 378 --
MIG21ExportArguments["7,3006"] = "2,3006,1"		-- PO-750 Inverter #2 On/Off  154 2 > "AHCP", "HUD Day/Night" 380 --
MIG21ExportArguments["7,3007"] = "2,3007,1"		-- Emergency Inverter  164 2 > "AHCP", "HUD Norm/Standbyh" 381 --
-- GIRO 21
MIG21ExportArguments["7,3008"] = "21,3008,1"	-- Giro, NPP, SAU, RLS Signal, KPP Power On/Off  162 2 > "AHCP", "CICU Power" 382 --
MIG21ExportArguments["7,3009"] = "21,3009,1"	-- DA-200 Signal, Giro, NPP, RLS, SAU Power On/Off  163 2 > "AHCP", "Datalink Power" 383 --
-- FUEL_PUMPS & FUEL_SYSTEM  4
MIG21ExportArguments["46,3008"] = "4,3010,1"	-- Fuel Tanks 3rd Group, Fuel Pump  159 2 > "Navigation Mode Select Panel", "Able - Stow" 621 --
MIG21ExportArguments["1,3001"] = "4,3011,1"		-- Fuel Tanks 1st Group, Fuel Pump  160 2 > "Electrical", "APU Generator" 241 --
MIG21ExportArguments["49,3007"] = "4,3012,1"	-- Drain Fuel Tank, Fuel Pump  161 2 > "Electrical", "Emergency Flood" 243 --
	MIG21ExportArguments["41,3009"] = "5,3013,1"	-- Fuel Quantity Set  274 axis 0.02>  "Environmental Control", "Flow Level" 284  --
-- ENGINE START DEVICE 3
MIG21ExportArguments["1,3004"] = "3,3014,1"		-- APU On/Off  302 2 > "Electrical", "AC Generator - Left" 244 --
MIG21ExportArguments["1,3005"] = "3,3015,1"		-- Engine Cold / Normal Start  288 2 > "Electrical", "AC Generator - Right" 245 --
	MIG21ExportArguments["2,3001"] = "3,3016,1"	-- Start Engine  289 btn > "Left MFCD", "OSB1" 300 --
MIG21ExportArguments["1,3006"] = "3,3017,1"		-- Engine Emergency Air Start  301 2 > "Electrical", "Battery" 246 --
	MIG21ExportArguments["2,3002"] = "3,3238,1"	-- Engine Stop/Lock  616 btn > "Left MFCD", "OSB2" 301
-- ACCELEROMETER 35
	MIG21ExportArguments["2,3003"] = "35,3018,1"	-- Accelerometer Reset  228 btn > "Left MFCD", "OSB3" 302 --
-- PITOT TUBES and related things that use dc bus for heating 27
MIG21ExportArguments["40,3002"] = "27,3019,1"	-- Pitot tube Selector Main/Emergency 229 2 > "Oxygen System", "Dilution Lever" 602 --
MIG21ExportArguments["40,3001"] = "27,3020,1"	-- Pitot tube/Periscope/Clock Heat  279 2 > "Oxygen System", "Supply Lever" 603 --
MIG21ExportArguments["4,3008"] = "27,3021,1"	-- Secondary Pitot Tube Heat  280 2 > "CMSP", "ECM Pod Jettison" 358 --
-- DA-200 34
	MIG21ExportArguments["38,3013"] = "34,3203,1"	-- variometer Set  261 axis lim 0.0001   (-1,1) > "Autopilot", "Yaw Trim" 192 --
-- ENGINE 6
MIG21ExportArguments["41,3002"] = "6,3022,1"	-- Anti surge doors - Auto/Manual 308 2 > "Environmental Control", "Windshield Defog/Deice" 276 --
MIG21ExportArguments["41,3005"] = "6,3023,1"	-- Afterburner/Maximum Off/On  300 2 > "Environmental Control", "Pitot heat" 279 --
MIG21ExportArguments["41,3006"] = "6,3024,1"	-- Emergency Afterburner Off/On  320 2 > "Environmental Control", "Bleed Air" 280 --
-- FIRE EXTINGUISHER 53 
MIG21ExportArguments["49,3012"] = "53,3025,1"	-- Fire Extinguisher Off/On  303 2 > "Light System", "Nose Illumination" 291 --
MIG21ExportArguments["49,3013"] = "53,3026,1"	-- Fire Extinguisher Cover  324 2 > "Light System", "Signal Lights" 294 --
	MIG21ExportArguments["2,3004"] = "53,3027,1"	-- Fire Extinguisher  325 btn > "Left MFCD", "OSB4" 303 --
-- Radio  55 intercom 25
MIG21ExportArguments["36,3001"] = "22,3041,1"	-- Radio System On/Off  173 2 > "Fuel System", "External Wing Tank Boost Pump" 106 --
MIG21ExportArguments["36,3002"] = "22,3042,1"	-- Radio / Compass  208 2 > "Fuel System", "External Fuselage Tank Boost Pump" 107 --
MIG21ExportArguments["36,3003"] = "22,3043,1"	-- Squelch On/Off  209 2 > "Fuel System", "Tank Gate" 108 --
	MIG21ExportArguments["54,3011"] = "22,3044,1"	-- Radio Volume  210 axis 0.1 >  "UHF Radio", "Volume" 171   --
MIG21ExportArguments["51,3007"] = "22,3045,1"	-- Radio Channel  211 multi sw 20 0.05 > "TACAN", "Volumne" 261 --
	MIG21ExportArguments["2,3005"] = "55,3046,1"	-- Radio PTT  315 btn > "Left MFCD", "OSB5" 304
-- ARK 24
MIG21ExportArguments["36,3004"] = "24,3047,1"	-- ARK On/Off  174 2 > "Fuel System", "Cross Feed" 109 --
	MIG21ExportArguments["58,3002"] = "24,3048,1"	-- ARK Sound  198 axis 0.1 > "Intercom", "INT Volume" 221  --
MIG21ExportArguments["2,3006"] = "24,3049,1"	-- ARK Change  212 btn > "Left MFCD", "OSB6" 305 --
	MIG21ExportArguments["53,3005"] = "24,3050,1"	-- ARK Channel  213 multi sw 10 0.1 > "ILS", "Volume" 249 --
MIG21ExportArguments["52,3002"] = "24,3051,1"	-- ARK Zone  189 multi sw lim 8 0.14 > "Stall Warning", "Peak Volume" 705 --
MIG21ExportArguments["36,3005"] = "24,3052,1"	-- ARK Mode - Antenna / Compass  197 2 > "Fuel System", "Boost Pump Left Wing" 110 --
MIG21ExportArguments["36,3006"] = "24,3053,1"	-- Marker Far/Near  254 2 > "Fuel System", "Boost Pump Right Wing"	 111 --
-- RSBN 25
MIG21ExportArguments["22,3005"] = "25,3054,1"	-- RSBN On/Off  176 2 > "AAP", "CDU Power" 476  
MIG21ExportArguments["43,3016"] = "25,3055,103"	-- RSBN Mode Land/Navigation/Descend  240 multi sw lim 3 0.5 > "IFF", "M-1 Switch" 202 --
MIG21ExportArguments["22,3006"] = "25,3056,1"	-- RSBN / ARK  340 2 > "AAP", "EGI Power" 477 --
	MIG21ExportArguments["2,3007"] = "25,3057,1"	-- RSBN Identify  294 btn > "Left MFCD", "OSB7" 306 --
	MIG21ExportArguments["2,3008"] = "25,3080,1"	-- RSBN self-test  347 btn > "Left MFCD", "OSB8" 307 --
--RSBN Panel 25
	MIG21ExportArguments["58,3004"] = "25,3058,1"	-- RSBN Sound  345 axis 0.1 > "Intercom", "FM Volume" 223  --
MIG21ExportArguments["12,3003"] = "25,3059,1"	-- RSBN Navigation  351 multi sw 100 0.01 > "TISL", "Altitude above target tens of thousands of feet" 624 --
MIG21ExportArguments["12,3004"] = "25,3060,1"	-- PRMG Landing  352 multi sw 100 0.01  >   "TISL", "Altitude above target thousands of feet" 626 --
	MIG21ExportArguments["2,3009"] = "25,3061,1"	-- RSBN Reset  366 btn > "Left MFCD", "OSB9" 308 --
MIG21ExportArguments["44,3002"] = "25,3062,1"	-- RSBN Bearing  367 2 > "HARS", "Mode" 270 --
MIG21ExportArguments["44,3003"] = "25,3063,1"	-- RSBN Distance  368 2 > "HARS", "Hemisphere Selector" 273 --
-- SAU 8
MIG21ExportArguments["37,3001"] = "8,3064,1"	-- SAU On/Off 179 2 > "Engine System", "Left Engine Fuel Flow Control" 122 --
MIG21ExportArguments["37,3002"] = "8,3065,1"	-- SAU Pitch On/Off 180 2 > "Engine System", "Right Engine Fuel Flow Control" 123 --
MIG21ExportArguments["2,3010"] = "8,3066,1"	-- SAU - Stabilize  	343 btn > "Left MFCD", "OSB10" 309
	MIG21ExportArguments["2,3011"] = "8,3067,1"	-- SAU cancel current mode  	376 btn > "Left MFCD", "OSB11" 310
	MIG21ExportArguments["2,3012"] = "8,3068,1"	-- SAU - Recovery 	377 btn > "Left MFCD", "OSB12" 311
MIG21ExportArguments["37,3005"] = "8,3069,1"	-- SAU Preset - Limit Altitude 344 2 > "Engine System", "APU" 126 --
MIG21ExportArguments["2,3013"] = "8,3070,1"	-- SAU - Landing - Command  	341 btn > "Left MFCD", "OSB13" 312
MIG21ExportArguments["2,3014"] = "8,3071,1"	-- SAU - Landing - Auto  	342 btn > "Left MFCD", "OSB14" 313
MIG21ExportArguments["2,3015"] = "8,3072,1"	-- SAU Reset/Off  	348 btn > "Left MFCD", "OSB15" 314  --
-- LIGHTS 46
	MIG21ExportArguments["58,3006"] = "46,3231,1"	-- Cockpit Texts Back-light  612 axis 0.1 +300 dwn> "Intercom", "VHF Volume"  225  --
	MIG21ExportArguments["58,3008"] = "46,3232,1"	-- Instruments Back-light  156 axis 0.1 +300 dwn>   "Intercom", "UHF Volume"  227  --
	MIG21ExportArguments["58,3010"] = "46,3233,1"	-- Main Red Lights  157 axis 0.1 +300 dwn>          "Intercom", "AIM Volume"  229  --
	MIG21ExportArguments["58,3012"] = "46,3234,1"	-- Main White Lights  222 axis 0.1 +300 dwn>        "Intercom", "IFF Volume"  231  --
MIG21ExportArguments["49,3018"] = "46,3032,1"	-- Navigation Lights Off/Min/Med/Max  194 multi sw 4 0.33 >  "Light System", "Refueling Lighting Dial" 116 --
MIG21ExportArguments["43,3015"] = "46,3333,103"	-- Landing Lights Off/Taxi/Land  323 mlti sw lim 3 0.5 > 	"IFF", "Audio Light Switch", 201 
-- SPO 37
MIG21ExportArguments["69,3003"] = "37,3083,1"	-- SPO-10 RWR On/Off 202 2 > "KY-58 Secure Voice", "Delay" 780 --
	MIG21ExportArguments["2,3016"] = "37,3084,1"	-- SPO-10 Test 226 btn > "Left MFCD", "OSB16" 315 --
	MIG21ExportArguments["69,3007"] = "37,3085,1"	-- SPO-10 Night / Day  	227 2 > "KY-58 Secure Voice", "Power Switch" 784 --
	MIG21ExportArguments["58,3014"] = "37,3086,1"	-- SPO-10 Volume  	225 axis 0.1 > "Intercom", "ILS Volume" 233  --
-- SRZO IFF
MIG21ExportArguments["38,3030"] = "38,3087,1"	-- SRZO IFF Coder/Decoder On/Off 188 2 > "Autopilot", "Emergency Brake" 772 --
MIG21ExportArguments["49,3016"] = "38,3088,1"	-- SRZO Codes 192 multi sw 12 0.08 >  "Light System", "Weapon Station Lights Brightness" 195 --
MIG21ExportArguments["38,3015"] = "38,3089,1"	-- IFF System 'Type 81' On/Off 346 2 > "Autopilot", "Speed Brake Emergency Retract" 174 --
MIG21ExportArguments["38,3016"] = "38,3210,1"	-- Emergency Transmitter Cover 190 2 > "Autopilot", "Pitch/Roll Emergency Override" 175
MIG21ExportArguments["38,3023"] = "38,3211,1"	-- Emergency Transmitter On/Off 191 2 > "Autopilot", "Flaps Emergency Retract" 183
MIG21ExportArguments["38,3024"] = "38,3229,1"	-- SRZO Self Destruct Cover 427 2 > "Autopilot", "Manual Reversion Flight Control System Switch" 184
	MIG21ExportArguments["2,3017"] = "38,3230,1"	-- SRZO Self Destruct 428 btn > "Left MFCD", "OSB17" 316 --
-- SOD (increase radar signal for ATC radar, most likely won't be implemented)  39
MIG21ExportArguments["41,3008"] = "39,3090,1"	-- SOD IFF On/Off 200 2 > "Environmental Control", "Main Air Supply" 283 --
	MIG21ExportArguments["2,3018"] = "39,3091,1"	-- SOD Identify 199 btn > "Left MFCD", "OSB18" 317 --
MIG21ExportArguments["43,3017"] = "39,3092,103"	-- SOD Wave Selector 3/1/2 201 multi sw 3 0.5 > "IFF", "M-2 Switch" 203 --
MIG21ExportArguments["44,3005"] = "39,3093,1"	-- SOD Modes 204 multi sw 5 0.25 > "HARS", "Latitude Correction" 271 --
-- RADAR 40
MIG21ExportArguments["43,3018"] = "40,3094,103"	-- Radar Off/Prep/On 205 multi sw 3 0.5 > "IFF", "M-3/A Switch" 204 --
MIG21ExportArguments["43,3019"] = "40,3095,103"	-- Low Altitude Off/Comp/On 206 multi sw 3 0.5 > "IFF", "M-C Switch" 205 --
MIG21ExportArguments["49,3004"] = "40,3096,1"	-- Locked Beam On/Off 207 2 > "Light System", "Accelerometer & Compass Lights" 295 --
	MIG21ExportArguments["2,3019"] = "40,3097,1"	-- Radar Screen Magnetic Reset 266 btn > "Left MFCD", "OSB19" 318 --
	MIG21ExportArguments["2,3020"] = "40,3098,1"	-- Radar Interferes - Continues 330 btn > "Left MFCD", "OSB20" 319
	MIG21ExportArguments["3,3001"] = "40,3099,1"	-- Radar Interferes - Temporary 331 btn > "Right MFCD", "OSB1" 326
	MIG21ExportArguments["3,3002"] = "40,3100,1"	-- Radar Interferes - Passive	 332 btn > "Right MFCD", "OSB2" 327
	MIG21ExportArguments["3,3003"] = "40,3101,1"	-- Radar Interferes - Weather 333 btn > "Right MFCD", "OSB3" 328
	MIG21ExportArguments["3,3004"] = "40,3102,1"	-- Radar Interferes - IFF 334 btn > "Right MFCD", "OSB4" 329
	MIG21ExportArguments["3,3005"] = "40,3103,1"	-- Radar Interferes - Low Speed 335 btn > "Right MFCD", "OSB5" 330
	MIG21ExportArguments["3,3006"] = "40,3104,1"	-- Radar Interferes - Self-test 336 btn > "Right MFCD", "OSB6" 331
	MIG21ExportArguments["3,3007"] = "40,3105,1"	-- Radar Interferes - Reset 337 btn > "Right MFCD", "OSB7" 332
	MIG21ExportArguments["3,3008"] = "40,3190,1"	-- Lock Target  378 btn >  "Right MFCD", "OSB8"   333                   STICK
	MIG21ExportArguments["58,3016"] = "40,3239,1"	-- Radar Polar Filter 623 axis 0.1 > "Intercom", "TCN Volume" 235  --
-- SPRD 48                3,3010
MIG21ExportArguments["36,3007"] = "48,3106,1"	-- SPRD (RATO) System On/Off 167 2 > "Fuel System", "Boost Pump Main Fuseloge Left" 112 --
MIG21ExportArguments["36,3008"] = "48,3107,1"	-- SPRD (RATO) Drop System On/Off 168 2 > "Fuel System", "Boost Pump Main Fuseloge Right" 113 --
MIG21ExportArguments["36,3009"] = "48,3108,1"	-- SPRD (RATO) Start Cover 252 2 > "Fuel System", "Signal Amplifier" 114 --
	MIG21ExportArguments["3,3009"] = "48,3110,1"	-- SPRD (RATO) Start 253 btn > "Right MFCD", "OSB9" 334 --
MIG21ExportArguments["36,3012"] = "48,3109,1"	-- SPRD (RATO)t Drop Cover 317 2 > "Fuel System", "Fill Disable Wing Left" 117 --
	MIG21ExportArguments["3,3010"] = "48,3111,1"	-- SPRD (RATO) Drop 318 btn > "Right MFCD", "OSB10" 335 --
-- SPS 10
MIG21ExportArguments["53,3001"] = "10,3112,1"	-- SPS System Off/On 293 2 > "ILS", "Power" 247 --
-- ARU 11
MIG21ExportArguments["67,3001"] = "11,3113,1"	-- ARU System - Manual/Auto 295 2 > "Radar Altimeter", "Normal/Disabled" 130 --
MIG21ExportArguments["38,3021"] = "11,3114,1"	-- ARU System - Low Speed/Neutral/High Speed 296 spr 3 sw -1 0 1 > "Autopilot", "Alieron Emergency Disengage"  177
MIG21ExportArguments["38,3022"] = "11,3115,1"	-- ARU System - Low Speed/Neutral/High Speed 296 spr 3 sw -1 0 1 > "Autopilot", "Elevator Emergency Disengage"  180
-- Airbrake 12
	MIG21ExportArguments["36,3013"] = "12,3116,1"	-- Airbrake - Out/In 316 2 > "Fuel System", "Fill Disable Wing Right" 118
-- Gear brakes
MIG21ExportArguments["36,3014"] = "13,3117,1"	-- ABS Off/On 299 2 > "Fuel System", "Fill Disable Main Left" 119 --
MIG21ExportArguments["36,3015"] = "13,3118,1"	-- Nosegear Brake Off/On 238 2 > "Fuel System", "Fill Disable Main Right" 120 --
MIG21ExportArguments["36,3016"] = "13,3119,1"	-- Emergency Brake 237 2 > "Fuel System", "Refuel Control Lever" 121 --
-- Gears 14
MIG21ExportArguments["54,3010"] = "14,3120,1"	-- Gear Handle Fixator 326 2 > "UHF Radio", "Squelch" 170 --
MIG21ExportArguments["50,3004"] = "14,3121,1"	-- Gear Up/Neutral/Down 327 multi sw 3 1.0 > "Fire System", "Discharge Switch" 105 ----------- -1 0 1
	MIG21ExportArguments["12,3008"] = "14,3122,1"	-- Main Gears Emergency Release Handle 223 axis 0.2 > "TISL Code Wheel 4" 642 --
MIG21ExportArguments["54,3014"] = "14,3123,1"	-- Nose Gear Emergency Release Handle 281 2 > "UHF Radio", "Cover" 734 --
-- Flaps 15
	MIG21ExportArguments["12,3010"] = "15,3124,1"	-- Flaps Neutral 311 2 > "TISL", "Enter" 628 --
	MIG21ExportArguments["12,3011"] = "15,3125,1"	-- Flaps Take-Off 312 2 > "TISL", "OverTemp" 630 --
	MIG21ExportArguments["12,3012"] = "15,3126,1"	-- Flaps Landing 313 2 > "TISL", "Bite" 632 --
	MIG21ExportArguments["12,3013"] = "15,3127,1"	-- Flaps Reset buttons 314 btn > "TISL", "Track" 634 --
-- Drag chute 16
	MIG21ExportArguments["3,3012"] = "16,3128,1"	-- Release Drag Chute 298 btn > "Right MFCD", "OSB12" 337 --
MIG21ExportArguments["43,3022"] = "16,3129,1"	-- Drop Drag Chute Cover 304 2 > "IFF", "IFF On/Out" 208 --
	MIG21ExportArguments["3,3013"] = "16,3130,1"	-- Drop Drag Chute 305 btn > "Right MFCD", "OSB13" 338 --
--TRIMER
MIG21ExportArguments["38,3031"] = "9,3131,1"	-- Trimmer On/Off" 172 2 > "Autopilot", "HARS-SAS Override/Norm" 196 --
-- KONUS 17
MIG21ExportArguments["58,3001"] = "17,3133,1"	-- Nosecone On/Off 170 2 > "Intercom", "INT Switch" 222 --
MIG21ExportArguments["58,3003"] = "17,3134,1"	-- Nosecone Control - Manual/Auto 309 2 > "Intercom", "FM Switch" 224 --
	MIG21ExportArguments["12,3005"] = "17,3135,1"	-- Nosecone manual position controller 236 axis 0.05 > "TISL", "TISL Code Wheel 1" 636  --
-- SOPLO 18
MIG21ExportArguments["58,3005"] = "18,3136,1"	-- Engine Nozzle 2 Position Emergency Control 291 2 > "Intercom", "VHF Switch" 226 --
--MAIN_HYDRO and BUSTER_HYDRO   44 
MIG21ExportArguments["58,3007"] = "44,3137,1"	-- Emergency Hydraulic Pump On/Off 171 2 > "Intercom", "UHF Switch" 228 --
MIG21ExportArguments["58,3009"] = "44,3138,1"	-- Aileron Booster - Off/On 319 2 >        "Intercom", "AIM Switch" 230 --
	--KPP 28
MIG21ExportArguments["58,3011"] = "28,3139,1"	-- KPP Main/Emergency 177 2 > "Intercom", "IFF Switch" 232 --
	MIG21ExportArguments["3,3014"] = "28,3140,1"	-- KPP Cage 259 btn > "Right MFCD", "OSB14" 339 --
	MIG21ExportArguments["9,3064"] = "28,3141,301"	-- KPP Set 260 axis lim 0.0001 > "CDU", "Blank" 469 rocker --
	MIG21ExportArguments["9,3065"] = "28,3141,301"	-- KPP Set 260 axis lim 0.0001 > "CDU", "Blank" 469 rocker --
	--IAS / TAS / KSI (NPP) 23
MIG21ExportArguments["58,3013"] = "23,3142,1"	-- NPP On/Off 178 2 > "Intercom", "ILS Switch" 234 --
	MIG21ExportArguments["3,3015"] = "23,3143,1"	-- NPP Adjust 258 btn > "Right MFCD", "OSB15" 340  --
	--MIG21ExportArguments["47,3001"] = "23,3144,1"	-- NPP Course set 263 axis 0.1 > "ADI", "Pitch Trim Knob" 22  --
	MIG21ExportArguments["9,3062"] = "23,3144,302"	-- NPP Course set 263 axis 0.1 > "CDU", "Page" 463 rocker  --
	MIG21ExportArguments["9,3063"] = "23,3144,302"	-- NPP Course set 263 axis 0.1 > "CDU", "Page" 463 rocker  --
-- ALTIMETER and radioALTIMETER 32 33
MIG21ExportArguments["58,3015"] = "33,3145,1"	-- Radio Altimeter/Marker On/Off 175 2 > "Intercom", "TCN Switch" 236 --
MIG21ExportArguments["5,3007"] = "33,3146,1"	-- Dangerous Altitude Warning Set 284 multi sw 8 0.14 > "CMSC", "RWR Volume" 368 --
MIG21ExportArguments["9,3066"] = "32,3073,300"	-- Altimeter pressure knob 262 axis lim 0.02 -1 0 1> "CDU", "+/-" 472  rocker --
MIG21ExportArguments["9,3067"] = "32,3073,300"	-- Altimeter pressure knob 262 axis lim 0.02 -1 0 1> "CDU", "+/-" 472  rocker --
--OXYGENE_SYSTEM 19
MIG21ExportArguments["58,3017"] = "19,3147,1"	-- Helmet Air Condition Off/On 285 2 > "Intercom", "Hot Mic Switch" 237 --
MIG21ExportArguments["39,3008"] = "19,3148,1"	-- Emergency Oxygen Off/On 286 2 > "Mechanical", "Auxiliary Landing Gear Handle" 718 --
MIG21ExportArguments["39,3010"] = "19,3149,1"	-- Mixture/Oxygen 287 2 > "Mechanical", "Seat Arm Handle" 733 --
--CANOPY 43
MIG21ExportArguments["8,3010"] = "43,3150,1"	-- Hermetize Canopy 328 2 > "UFC", "0" 395 --
MIG21ExportArguments["8,3011"] = "43,3151,1"	-- Secure Canopy 329 2 > "UFC", "Space" 396
	MIG21ExportArguments["3,3016"] = "43,3152,1"	-- Canopy Open 375 btn > "Right MFCD", "OSB16" 341
	MIG21ExportArguments["3,3017"] = "43,3194,1"	-- Canopy Close 385 btn > "Right MFCD", "OSB17" 342
MIG21ExportArguments["3,3018"] = "43,3153,1"	-- -- Canopy Anti Ice 239 btn > "Right MFCD", "OSB18" 343 --
MIG21ExportArguments["8,3012"] = "43,3154,1"	-- Canopy Emergency Release Handle 224 2 > "UFC", "Display Hack Time" 394
	MIG21ExportArguments["0,0000"] = "43,3272,1"	-- Canopy Ventilation System 649 lever > ojo difieren los ids
-- ASP Gunsight 41
MIG21ExportArguments["8,3013"] = "41,3155,1"	-- ASP Optical sight On/Off 186 2 >         "UFC", "Select Funciton Mode"      397 --
MIG21ExportArguments["8,3014"] = "41,3156,1"	-- -- ASP Main Mode - Manual/Auto 241 2 >      "UFC", "Select Letter Mode"     398 --
MIG21ExportArguments["8,3015"] = "41,3157,1"	-- -- ASP Mode - Bombardment/Shooting 242 2 >  "UFC", "Clear"       399 --
MIG21ExportArguments["8,3016"] = "41,3158,1"	-- -- ASP Mode - Missiles-Rockets/Gun 243 2 >  "UFC", "Enter"        400 --
MIG21ExportArguments["8,3017"] = "41,3159,1"	-- ASP Mode - Giro/Missile 244 2 >          "UFC", "Create Overhead Mark Point"  401 --
MIG21ExportArguments["8,3018"] = "41,3160,1"	-- Pipper On/Off 249 2 >                    "UFC", "Display and Adjust Altitude Alert Values"  402 --
MIG21ExportArguments["8,3030"] = "41,3161,1"	-- Fix net On/Off 250 2 >                   "UFC", "FWD"    531 --
	MIG21ExportArguments["49,3009"] = "41,3162,1"	-- Target Size 245 axis 0.1 >                      "Light System", "Formation Lights"            288  --
	MIG21ExportArguments["49,3001"] = "41,3163,1"	-- Intercept Angle 246 axis 0.1 >                  "Light System", "Engine Instrument Lights"    290  --
	MIG21ExportArguments["49,3002"] = "41,3164,1"	-- Scale Backlights control 247 axis 0.1 >         "Light System", "Flight Instruments Lights"   292  --
	MIG21ExportArguments["49,3003"] = "41,3165,1"	-- Pipper light control 248 axis 0.1 >             "Light System", "Auxillary instrument Lights" 293  --
	MIG21ExportArguments["49,3005"] = "41,3166,1"	-- Fix Net light control 251 axis 0.1 >            "Light System", "Flood Light"                 296  --
	MIG21ExportArguments["49,3006"] = "41,3213,1"	-- TDC Range / Pipper Span control 384 axis 0.1 >  "Light System", "Console Lights"              297  --
-- WEAPON_CONTROL 42
MIG21ExportArguments["9,3015"] = "42,3167,1"	-- Missiles - Rockets Heat On/Off  181 2 >          "CDU", "1"  425 --
MIG21ExportArguments["9,3016"] = "42,3168,1"	-- Missiles - Rockets Launch On/Off  182 2 >        "CDU", "2"  426 --
MIG21ExportArguments["9,3017"] = "42,3169,1"	-- Pylon 1-2 Power On/Off  183 2 >                  "CDU", "3"  427 --
MIG21ExportArguments["9,3018"] = "42,3170,1"	-- Pylon 3-4 Power On/Off  184 2 >                  "CDU", "4"  428 --
MIG21ExportArguments["9,3019"] = "42,3171,1"	-- GS-23 Gun On/Off  185 2 >                        "CDU", "5"  429 --
MIG21ExportArguments["9,3020"] = "42,3172,1"	-- Guncam On/Off  187 2 >                           "CDU", "6"  430 --
MIG21ExportArguments["9,3021"] = "42,3173,1"	-- Tactical Drop Cover  277 2 >                     "CDU", "7"  431 --
MIG21ExportArguments["9,3022"] = "42,3174,1"	-- Tactical Drop  278 2 >                           "CDU", "8"  432 --
MIG21ExportArguments["9,3023"] = "42,3175,1"	-- Emergency Missile/Rocket Launcher Cover  275 2 > "CDU", "9"  433 --
	MIG21ExportArguments["3,3019"] = "42,3176,1"	-- Emergency Missile/Rocket Launcher  276 btn > "Right MFCD", "OSB19" 344 --
MIG21ExportArguments["9,3024"] = "42,3177,1"	-- Drop Wing Fuel Tanks Cover  256 2 >				"CDU", "0" 434 --
	MIG21ExportArguments["3,3020"] = "42,3178,1"	-- Drop Wing Fuel Tanks"  257 btn > "Right MFCD", "OSB20" 345 --
	MIG21ExportArguments["8,3001"] = "42,3196,1"	-- Drop Center Fuel Tank  386 btn > "UFC", "1"  385        STICK
MIG21ExportArguments["8,3031"] = "42,3179,1"	-- Drop Payload - Outer Pylons Cover  269 2 > "UFC", "MID" 532 --
	MIG21ExportArguments["8,3002"] = "42,3180,1"	-- Drop Payload - Outer Pylons  270 btn > "UFC", "2" 386 --
MIG21ExportArguments["8,3032"] = "42,3181,1"	-- Drop Payload - Inner Pylons Cover  271 2 > "UFC", "AFT" 533 --
	MIG21ExportArguments["8,3003"] = "42,3182,1"	-- Drop Payload - Inner Pylons  272 btn > "UFC", "3" 387 --
MIG21ExportArguments["24,3001"] = "42,3183,1"	-- -- Weapon Mode - Air/Ground  230 2 > "UFC", "Master Caution" 403 --
MIG21ExportArguments["43,3020"] = "42,3184,103"	-- Weapon Mode - IR Missile/Neutral/SAR Missile  231 multi sw 3 0.5 > "IFF", "RAD Test/Monitor Switch" 206 --
	MIG21ExportArguments["8,3004"] = "42,3185,1"	-- Activate Gun Loading Pyro - 1  232 btn > "UFC", "4"  388
	MIG21ExportArguments["8,3005"] = "42,3186,1"	-- Activate Gun Loading Pyro - 2  233 btn > "UFC", "5" 389
	MIG21ExportArguments["8,3006"] = "42,3187,1"	-- Activate Gun Loading Pyro - 3  234 btn > "UFC", "6" 390
MIG21ExportArguments["52,3001"] = "42,3188,1"	-- Weapon Selector  235 multi sw 11 0.10 > "Stall Warning", "Stall Volume" 704 ------------
	MIG21ExportArguments["49,3015"] = "42,3189,1"	-- Missile Seeker Sound  297 axis 0.1 > "Light System", "Refuel Status Indexer Brightness" 193  --
--HELMET_VISOR
MIG21ExportArguments["3,3011"] = "45,3205,1"	-- Helmet Heat - Manual/Auto  306 2 > "Right MFCD", "OSB11" 336 --
	MIG21ExportArguments["8,3007"] = "45,3206,1"	-- Helmet Quick Heat  310 btn >  "UFC", "7" 391 --
	MIG21ExportArguments["12,3014"] = "45,3207,1"	-- Helmet visor - off/on  369 2 > "IFFCC", "Ext Stores Jettison" 101
--AIR CONDITIONING
	MIG21ExportArguments["0,0000"] = "50,3208,1"	-- Cockpit Air Condition Off/Cold/Auto/Warm  292 multi sw 4 0.33 > ----------------NOT SIMULATED-----------------------------------------------------------
-- SARPP
MIG21ExportArguments["5,3001"] = "49,3209,1"	-- SARPP-12 Flight Data Recorder On/Off  193 2 > "CMSC", "Cycle JMR Program Button" 365
--Dummy buttons/switches
MIG21ExportArguments["5,3002"] = "40,3254,1"	-- Radar emission - Cover  632 2 >            "CMSC", "Cycle MWS Program Button"   366 --
MIG21ExportArguments["5,3003"] = "40,3255,1"	-- Radar emission - Combat/Training  633 2 >  "CMSC", "Priority Button"));         369 --
MIG21ExportArguments["5,3004"] = "17,3260,1"	-- 1.7 Mach Test Button - Cover  638 2 >      "CMSC", "Separate Button"));         370
	MIG21ExportArguments["5,3005"] = "17,3261,1"	-- 1.7 Mach Test Button  639 2 >              "CMSC", "Unknown Button"));          371 --
-- IAB PBK-3
MIG21ExportArguments["46,3001"] = "56,3197,1"	-- Emergency Jettison  387 2 >                       "Navigation Mode Select Panel", "HARS"  605 --
MIG21ExportArguments["46,3002"] = "56,3198,1"	-- Emergency Jettison Armed / Not Armed  388 2 >     "Navigation Mode Select Panel", "EGI"   607 --
MIG21ExportArguments["46,3003"] = "56,3199,1"	-- Tactical Jettison  389 2 >                        "Navigation Mode Select Panel", "TISL"  609 --
MIG21ExportArguments["46,3004"] = "56,3200,1"	-- Special AB / Missile-Rocket-Bombs-Cannon  390 2 > "Navigation Mode Select Panel", "STEERPT"  611 --
MIG21ExportArguments["46,3005"] = "56,3201,1"	-- Brake Chute  391 2 >                              "Navigation Mode Select Panel", "ANCHR" 613 --
MIG21ExportArguments["46,3006"] = "56,3202,1"	-- Detonation Air / Ground  392 2 >                  "Navigation Mode Select Panel", "TCN"   615 --
-- SPS 141-100
MIG21ExportArguments["9,3001"] = "57,3214,1"	-- On / Off  393 2 >             "CDU", "LSK 3L"  410 --
MIG21ExportArguments["9,3002"] = "57,3215,1"	-- Transmit / Receive  394 2 >   "CDU", "LSK 5L"  411 --
MIG21ExportArguments["9,3003"] = "57,3216,1"	-- Program I / II  395 2 >       "CDU", "LSK 7L"  412 --
MIG21ExportArguments["9,3004"] = "57,3217,1"	-- Continuous / Impulse  396 2 > "CDU", "LSK 9L"  413 --
	MIG21ExportArguments["8,3008"] = "57,3218,1"	-- Test  397 btn >  "UFC", "8" 392  --
MIG21ExportArguments["9,3005"] = "57,3219,1"	-- Dispenser Auto / Manual  398 2 > "CDU", "LSK 3R" 414 --
MIG21ExportArguments["43,3021"] = "57,3220,103"	-- Off / Parallel / Full  399 multi sw 3 0.5 > "IFF", "Ident/Mic Switch" 207 --
MIG21ExportArguments["9,3006"] = "57,3221,1"	-- Manual Activation button - Cover  400 2 > "CDU", "LSK 5R" 415 --
	MIG21ExportArguments["8,3009"] = "57,3222,1"	-- Manual Activation button  401 btn >  "UFC", "9" 393 --
-- GUV Control Box 
MIG21ExportArguments["9,3007"] = "42,3223,1"	-- On / Off  420 2 >            "CDU", "LSK 7R"  416 --
MIG21ExportArguments["9,3008"] = "42,3224,1"	-- MAIN GUN / UPK Guns  421 2 > "CDU", "LSK 9R"  417 --
MIG21ExportArguments["9,3027"] = "42,3225,1"	-- LOAD 1  422 2 > "CDU", "A"  437 --
MIG21ExportArguments["9,3028"] = "42,3226,1"	-- LOAD 2  425 2 > "CDU", "B"  438 --
MIG21ExportArguments["9,3029"] = "42,3227,1"	-- LOAD 3  424 2 > "CDU", "C"  439 --
-- Warning lights
MIG21ExportArguments["9,3030"] = "47,3034,1"	-- Check Warning Lights T4    369 2 >  "CDU", "D" 440 --
MIG21ExportArguments["9,3031"] = "47,3035,1"	-- Check Warning Lights T10   370 2 >  "CDU", "E" 441 --
MIG21ExportArguments["9,3032"] = "47,3036,1"	-- Check Warning Lights T4-2  371 2 >  "CDU", "F" 442 --
MIG21ExportArguments["9,3033"] = "47,3037,1"	-- Check Warning Lights T4-3  372 2 >  "CDU", "G" 443 --
MIG21ExportArguments["9,3034"] = "47,3038,1"	-- Check Warning Lights T10-2 373 2 >  "CDU", "H" 444 --
MIG21ExportArguments["9,3035"] = "47,3039,1"	-- Check Warning Lights PPS   374 2 >  "CDU", "I" 445 --
MIG21ExportArguments["9,3036"] = "47,3040,1"	-- SORC   255 2 > "CDU", "J" 446   --
-- Clock
MIG21ExportArguments["43,3021"] = "26,3249,1"	-- Mech clock left lever 265 multi sw 3  1 0 -1  > "IFF", "Ident/Mic Switch" 207 --
MIG21ExportArguments["58,3018"] = "26,3251,1"	-- Mech clock left lever 264 axis  0.04 > "Intercom", "Master Volume" 238
MIG21ExportArguments["9,3037"] = "26,3252,1"	-- Mech clock right lever 268 btn  > "CDU", "K" 447 --
MIG21ExportArguments["41,3003"] = "26,3253,1"	-- Mech clock right lever  267 axis  0.05 -015 0.15 > "Environmental Control", "Canopy Defog" 277 -- 






	
-- Lookup tables for weapons store type display
gKa50StationTypes = 
{
	["9A4172"] = "NC", 
	["S-8KOM"] = "HP", 
	["S-13"] = "HP", 
	["UPK-23-250"] = "NN", 
	["AO-2.5RT"] = "A6", 
	["PTAB-2.5KO"] = "A6",
	["FAB-250"] = "A6", 
	["FAB-500"] = "A6" 
}

-- State data
gKa50Trigger = 0

gCurrentAircraft = "none"  -- not set yet.

------------
-- SCRIPT --
------------

--os.setlocale("ISO-8559-1", "numeric")   -- this line makes the export.lua crash on 1.5.5

-- Simulation id
gSimID = string.format("%08x*",os.time())

-- State data for export
gPacketSize = 0
gSendStrings = {}
gLastData = {}

-- Frame counter for non important data
gTickCount = 0



----------------------------------------
-- AIRCRAFT-SPECIFIC EXPORT FUNCTIONS --
----------------------------------------

-----------------------------
-- HIGH IMPORTANCE EXPORTS --
-- done every export event --
-----------------------------

-- Pointed to by ProcessHighImportance, if the player aircraft is an A-10
function ProcessA10HighImportance(mainPanelDevice)
	-- Send Altimeter Values	
	SendData(2051, string.format("%0.4f;%0.4f;%0.5f", mainPanelDevice:get_argument_value(52), 
													  mainPanelDevice:get_argument_value(53), 
													  mainPanelDevice:get_argument_value(51)))
	-- Barometric Pressure Setting
	SendData(2059, string.format("%0.2f;%0.2f;%0.2f;%0.3f", mainPanelDevice:get_argument_value(56), 
															mainPanelDevice:get_argument_value(57), 
															mainPanelDevice:get_argument_value(58), 
															mainPanelDevice:get_argument_value(59)))		
	-- Calcuate HSI Value
	SendData(2029, string.format("%0.2f;%0.2f;%0.4f", mainPanelDevice:get_argument_value(29), 
													  mainPanelDevice:get_argument_value(30), 
													  mainPanelDevice:get_argument_value(31)))
	-- Calculate Total Fuel
	SendData(2090, string.format("%0.2f;%0.2f;%0.5f", mainPanelDevice:get_argument_value(90), 
													  mainPanelDevice:get_argument_value(91), 
													  mainPanelDevice:get_argument_value(92)))
													  
	
			-- process AM freq digits
			
			
			
			
			if am_radio_freq_inicialized== 0 then  -- get the actual AM digits from the cockpit in case the sw is in manual mode, and inicialize values only one time
				local AM_mode_sw = math.floor((mainPanelDevice:get_argument_value(135)*10 + 0.4))/10
				if AM_mode_sw == 0.2  then  
					freq_digit_1, freq_digit_2, freq_digit_3 = get_radio_freq_in_manual_mode(55) 
					am_radio_freq_inicialized = 1
				end
			end
			
			if fm_radio_freq_inicialized== 0 then  -- get the actual FM digits from the cockpit in case the sw is in manual mode, and inicialize values only one time
				local FM_mode_sw = math.floor((mainPanelDevice:get_argument_value(135)*10 + 0.4))/10
				if FM_mode_sw == 0.2 then  
					freq_FM_digit_1, freq_FM_digit_2, freq_FM_digit_3 = get_radio_freq_in_manual_mode(56) 
					fm_radio_freq_inicialized = 1
				end
			end
	
			local actual_AM_digit_1 = math.floor((mainPanelDevice:get_argument_value(139)*10 + 0.4))/10
			local actual_AM_digit_2 = math.floor((mainPanelDevice:get_argument_value(140)*10 + 0.4))/10
			local actual_AM_digit_3 = math.floor((mainPanelDevice:get_argument_value(141)*10 + 0.4))/10
			
			if actual_AM_digit_1 > 0.9 then actual_AM_digit_1= 0.9 end
			if actual_AM_digit_2 > 0.9 then actual_AM_digit_2= 0.9 end
			if actual_AM_digit_3 > 0.9 then actual_AM_digit_3= 0.9 end
			
			
			if 	actual_AM_digit_1 ~= gAM_digit_1 then
				gAM_digit_1, freq_digit_1 = Convert_radio_first_digits(actual_AM_digit_1, gAM_digit_1, freq_digit_1)
			end
			
			if 	actual_AM_digit_2 ~= gAM_digit_2 then
				gAM_digit_2, freq_digit_2 = Convert_radio_other_digits(actual_AM_digit_2, gAM_digit_2, freq_digit_2)
			end
			
			if 	actual_AM_digit_3 ~= gAM_digit_3 then
				gAM_digit_3, freq_digit_3 = Convert_radio_other_digits(actual_AM_digit_3, gAM_digit_3, freq_digit_3)
			end
			
			-- process FM freq digits
			local actual_FM_digit_1 = math.floor((mainPanelDevice:get_argument_value(153)*10 + 0.4))/10
			local actual_FM_digit_2 = math.floor((mainPanelDevice:get_argument_value(154)*10 + 0.4))/10
			local actual_FM_digit_3 = math.floor((mainPanelDevice:get_argument_value(155)*10 + 0.4))/10
			
			if actual_FM_digit_1 > 0.9 then actual_FM_digit_1= 0.9 end
			if actual_FM_digit_2 > 0.9 then actual_FM_digit_2= 0.9 end
			if actual_FM_digit_3 > 0.9 then actual_FM_digit_3= 0.9 end
			
			
			if 	actual_FM_digit_1 ~= gFM_digit_1 then
				gFM_digit_1, freq_FM_digit_1 = Convert_radio_first_digits(actual_FM_digit_1, gFM_digit_1, freq_FM_digit_1)
			end
			
			if 	actual_FM_digit_2 ~= gFM_digit_2 then
				gFM_digit_2, freq_FM_digit_2 = Convert_radio_other_digits(actual_FM_digit_2, gFM_digit_2, freq_FM_digit_2)
			end
			
			if 	actual_FM_digit_3 ~= gFM_digit_3 then
				gFM_digit_3, freq_FM_digit_3 = Convert_radio_other_digits(actual_FM_digit_3, gFM_digit_3, freq_FM_digit_3)
			end
	
	SendData(139, string.format("%0.2f", freq_digit_1))
	SendData(140, string.format("%0.2f", freq_digit_2))
	SendData(141, string.format("%0.2f", freq_digit_3))
	SendData(153, string.format("%0.2f", freq_FM_digit_1))
	SendData(154, string.format("%0.2f", freq_FM_digit_2))
	SendData(155, string.format("%0.2f", freq_FM_digit_3))
																								  
													  
										
end

function Convert_radio_first_digits(actual, stored, freq_output)   -- this function convert the new radio system  to the old one and let caploz profile continue working

				if actual == 0.9 and  stored == 0 then  -- decrement from 0
					stored = 0.9
					freq_output = freq_output - 0.05
					if freq_output < 0.14 then freq_output = 0.75 end
								
				elseif actual == 0 and  stored == 0.9 then -- increment from 0.9
					stored = 0
					freq_output = freq_output + 0.05
					if freq_output > 0.76 then freq_output = 0.15 end	
					
				elseif  actual > stored and stored < 0.85 then  -- regular increment
					stored = actual
					freq_output = freq_output + 0.05
					if freq_output > 0.76 then freq_output = 0.15 end
				
				elseif actual < stored and stored > 0.05 then  -- regular decrement
					stored = actual
					freq_output = freq_output - 0.05
					if freq_output < 0.14 then freq_output = 0.75 end
				end

				return stored, freq_output
end


function get_radio_freq_in_manual_mode(device_number)
local digit1
local digit2
local digit3
local radio_freq

	local AM = GetDevice(device_number)
	radio_freq=AM:get_frequency()
	digit1= math.floor(radio_freq/10000000)
	digit2= math.floor(radio_freq/1000000) - (digit1 *10)
	digit3= math.floor(radio_freq/100000) - (((digit1 *10) + digit2)*10)
	
	
	return  digit1/20, digit2/10, digit3/10
	
end

function Convert_radio_other_digits(actual, stored, freq_output)  -- this function convert the new radio system  to the old one and let caploz profile continue working

				if actual == 0.9 and  stored == 0 then  -- decrement from 0
					stored = 0.9
					freq_output = freq_output - 0.1
					if freq_output < 0 then freq_output = 0.9 end
								
				elseif actual == 0 and  stored == 0.9 then -- increment from 0.9
					stored = 0
					freq_output = freq_output + 0.1
					if freq_output > 0.91 then freq_output = 0 end	
					
				elseif  actual > stored and stored < 0.9 then  -- regular increment
					stored = actual
					freq_output = freq_output + 0.1
					if freq_output > 0.91 then freq_output= 0 end
				
				elseif actual < stored and stored > 0 then  -- regular decrement
					stored = actual
					freq_output = freq_output - 0.1
					if freq_output < 0 then freq_output = 0.9 end
				end

				return stored, freq_output
end





-- Pointed to by ProcessHighImportance, if the player aircraft is an SA342M (Using KA50 interface)
function ProcessSA342HighImportance(mainPanelDevice)

	--- Altitude
	SendData("87", string.format("%.4f", mainPanelDevice:get_argument_value(87) ))		-- Baro_Altimeter_thousands (0-1) > Barometric Altimeter
	SendData("89", string.format("%.4f", mainPanelDevice:get_argument_value(573) ))		-- Baro_Altimeter_hundred (0-1) > Commanded Altitude
	SendData("471", string.format("%.4f", mainPanelDevice:get_argument_value(94) ))		-- Radar_Altimeter  > Common Pressure
	SendData("472", string.format("%.4f", mainPanelDevice:get_argument_value(93) ))		-- DangerRALT_index  > Main Pressure
	--- Velocity
	SendData("24", string.format("%.4f", mainPanelDevice:get_argument_value(24) ))		-- Variometre > vertical velocity
	SendData("51", string.format("%.4f", mainPanelDevice:get_argument_value(51) ))		-- IAS > Indicated Airspeed
	-- Engine Management
	SendData("53", string.format("%.4f", mainPanelDevice:get_argument_value(16) ))		-- Torque > Rotor Pitch
	SendData("133", string.format("%.4f", mainPanelDevice:get_argument_value(151) ))	-- TempThm > Left Engine EGT
	SendData("134", string.format("%.4f", mainPanelDevice:get_argument_value(15) ))		-- TQuatre > Right Engine EGT
	SendData("135", string.format("%.4f", mainPanelDevice:get_argument_value(135) ))	-- Turbine_RPM > Left Engine RPM
	SendData("136", string.format("%.4f", mainPanelDevice:get_argument_value(52) ))		-- Rotor_RPM > Right Engine RPM
	SendData("111", string.format("%.4f", mainPanelDevice:get_argument_value(55) ))		-- Torque_Bug > ADI air speed deviation
	-- HA
	local HA_rot_var= (mainPanelDevice:get_argument_value(115)*0.06)-0.03
	local Adjusted_HA = (-2 * mainPanelDevice:get_argument_value(27))- HA_rot_var
	SendData("101", string.format("%.4f", Adjusted_HA ))								-- HA_Pitch plus HA rot  > ADI pitch
	SendData("100", string.format("%.4f", mainPanelDevice:get_argument_value(28) ))		-- HA_Roll > ADI roll
	SendData("108", string.format("%.4f", mainPanelDevice:get_argument_value(20) ))		-- HA_bille > ADI side slip
	SendData("107", string.format("%.4f", mainPanelDevice:get_argument_value(118) ))	-- HA_barre_Verticale > ADI bank deviation
	SendData("106", string.format("%.4f", mainPanelDevice:get_argument_value(119) ))	-- HA_barre_Horizontale > ADI pitch deviation
	SendData("109", string.format("%.4f", mainPanelDevice:get_argument_value(19) ))		-- HA_flag_HS > ADI malfunction flag
	-- Stby HA
	local STB_HA_rot_var= (mainPanelDevice:get_argument_value(215)*0.06)-0.03
	local Adjusted_STB_HA = (-2 * mainPanelDevice:get_argument_value(213))- STB_HA_rot_var
	SendData("143", string.format("%.4f", Adjusted_STB_HA ))							-- Stdby_HA_Pitch plus Stb_HA rot > Backup ADI pitch
	SendData("142", string.format("%.4f", mainPanelDevice:get_argument_value(214) ))	-- Stdby_HA_Roll > Backup ADI roll
	SendData("145", string.format("%.4f", mainPanelDevice:get_argument_value(211) ))	-- Stdby_HA_flag > Backup ADI warning flag
	-- HSI
	local valFixed = 1 - mainPanelDevice:get_argument_value(113)
	SendData("112", string.format("%.4f", valFixed ))									-- ADF_Fond > HSI Heading
	SendData("118", string.format("%.4f", mainPanelDevice:get_argument_value(102) ))	-- ADF_AiguilleLarge > HSI Commaned Course
	SendData("124", string.format("%.4f", mainPanelDevice:get_argument_value(103) ))	-- ADF_Aiguille_fine > HSI Commanded Heading
	SendData("372", string.format("%.4f", mainPanelDevice:get_argument_value(110) ))	-- ADF_100 >  R-828 VHF-1 Radio Volume
	SendData("574", string.format("%.4f", mainPanelDevice:get_argument_value(111) ))	-- ADF_10 > R-800 VHF-2 Radio 2nd Rotary Window
	SendData("575", string.format("%.4f", mainPanelDevice:get_argument_value(112) ))	-- ADF_1 > R-800 VHF-2 Radio rd Rotary Window
	--Gyro
	SendData("144", string.format("%.4f", mainPanelDevice:get_argument_value(200) ))	-- Gyro needle > Backup ADI side slip
	--Clock
	SendData("70", string.format("%.4f", mainPanelDevice:get_argument_value(42) ))		-- CLOCK_SECOND > Current Time Seconds
	SendData("406", string.format("%.4f", mainPanelDevice:get_argument_value(210) ))	-- CLOCK_exterior corone > Shkval Brightness
	-- PA
	SendData("103", string.format("%.4f", mainPanelDevice:get_argument_value(37) ))		-- SA342 PA T > adi lateral dev
	SendData("526", string.format("%.4f", mainPanelDevice:get_argument_value(38) ))		-- SA342 PA R > adi alt dev
	SendData("127", string.format("%.4f", mainPanelDevice:get_argument_value(39) ))		-- SA342 PA L > hsi long dev
	-- main alarms lamps
	SendData("64", string.format("%.4f", mainPanelDevice:get_argument_value(303) ))		-- SA342 Voyant_ALARME > Mechanical Nose Gear Down Indicator
	SendData("61", string.format("%.4f", mainPanelDevice:get_argument_value(17) ))		-- SA342 Voyant_Torque > Mechanical Right Gear Up Indicator
	
end






------------------------------------------
-- MIG-21 exported as a A10C aircraft   --
-- 	  by Capt Zeen and slicker55        --
------------------------------------------

-- Pointed to by ProcessHighImportance, if the player aircraft is an MIG-21 (Using A10C interface)


function ProcessMIG21HighImportance ()


		local _LAST_ONE = 0 -- used to mark the end of the tables	
		local MainPanel = GetDevice(0)
		
		-- Pilot console instruments
		local ENGINE_TEMPERATURE = MainPanel:get_argument_value(51)
		local FUEL_METER = MainPanel:get_argument_value(52)
		local ENGINE_RPM = ValueConvert(MainPanel:get_argument_value(50),{ 0.0, 1, 110 },{ 0.0, 0.2, 1.0 })
		local ENGINE_RPM2 = MainPanel:get_argument_value(670)
		local IAS_indicator = ValueConvert(MainPanel:get_argument_value(100),{ 0.0, 83.33, 166.67, 250.0, 333.34, 416.67, 555.55 },{ 0.0, 0.15, 0.30, 0.45, 0.60, 0.75, 1.0 })
		local COMPRESSED_AIR_main = MainPanel:get_argument_value(413)
		local COMPRESSED_AIR_aux = MainPanel:get_argument_value(414)
		local OXYGENE_instrument_IK52 = MainPanel:get_argument_value(59)
		local OXYGENE_instrument_M2000 = MainPanel:get_argument_value(58)
		local OIL_PRESSURE = MainPanel:get_argument_value(627)
		local ACCELEROMETER = MainPanel:get_argument_value(110)
		local MAX_G = MainPanel:get_argument_value(113)
		local MIN_G = MainPanel:get_argument_value(114)
		local UUA_indicator = ValueConvert(MainPanel:get_argument_value(105),{ -0.1745, 0.0, 0.6108 },{ -0.2857, 0.0, 1.0 })
		local KONUS_efficiency = MainPanel:get_argument_value(625)
		local KONUS_UPES_3_instrument = MainPanel:get_argument_value(66)
		local ARU_3G_instrument = MainPanel:get_argument_value(64)
		local TAS_indicator = ValueConvert(MainPanel:get_argument_value(101),{ 0.0, 8, 63, 135, 206, 350 },{ 0.0, 0.20, 0.309, 0.49, 0.67, 1.00 })
		local M_indicator = ValueConvert(MainPanel:get_argument_value(102),{ 0.0,  13,  67,  180,  208, 350 },{ 0.0, 0.202, 0.312, 0.6, 0.66, 1.00 })
		local DC_BUS_V_needle = MainPanel:get_argument_value(124)
		local RADIO_ALTIMETER_indicator = ValueConvert(MainPanel:get_argument_value(103),{ 63, 81, 88, 115, 129, 154, 160, 173, 179, 186, 193, 212, 229, 246, 257, 277, 294, 300, 301, },{ 0.0, 0.041, 0.07, 0.103, 0.13, 0.181, 0.21, 0.245, 0.260, 0.298, 0.325, 0.472, 0.58, 0.680, 0.732, 0.807, 0.867, 0.909, 1.0 })
		local DA200_TurnNeedle = MainPanel:get_argument_value(107)
		local DA200_VerticalVelocity = ValueConvert(MainPanel:get_argument_value(106),{37, 55, 75, 100, 110, 145, 180, 215, 250, 260, 285, 305, 323},{ -1.0, -0.878, -0.754, -0.575, -0.504, -0.256, 0.0, 0.256, 0.505, 0.571, 0.751, 0.871, 1.0 })
		local variometer_set = MainPanel:get_argument_value(261)
			DA200_VerticalVelocity= DA200_VerticalVelocity + (variometer_set*20)  -- adjust VVI + variometer set value
		local DA200_SLIPBALL = MainPanel:get_argument_value(31)
		local H_indicator_needle_m = MainPanel:get_argument_value(104)
		local H_indicator_needle_km = MainPanel:get_argument_value(112)
		local GIDRO_PRESS_P_needle = ValueConvert(MainPanel:get_argument_value(126),{ 210, 60 },{ 0.0, 1.0 })
		local GIDRO_PRESS_S_needle = ValueConvert(MainPanel:get_argument_value(125),{ 60, 210 },{ 0.0, 1.0 })
		local DC_BUS_ISA_K = MainPanel:get_argument_value(55)
		local COCKPIT_PRESSURE_ALTIMETER = ValueConvert(MainPanel:get_argument_value(655),{ 0, 320 },{ 0.0, 1.0 })
		local COCKPIT_PRESSURE = ValueConvert(MainPanel:get_argument_value(656),{ 270, 290, 319, 251, 216, 180, 150, 120, 90, 55 },{ -1.0, -0.56, -0.27, 0.0, 0.17, 0.35, 0.50, 0.66, 0.82, 1.0 })
		local ARK_RSBN_needle = MainPanel:get_argument_value(36)
		local KSI_course_set_needle = MainPanel:get_argument_value(68)
		local KPP_Bank = MainPanel:get_argument_value(108)
		local KPP_Pitch = MainPanel:get_argument_value(109)
		local KPP_Set = MainPanel:get_argument_value(260)
			KPP_Pitch = KPP_Pitch + (KPP_Set/9) -- adjust KPP pitch + KPP_set value
		local Needle_ora_sec = MainPanel:get_argument_value(117)
		local Needle_ora = MainPanel:get_argument_value(115)
		local Needle_ora_perc = MainPanel:get_argument_value(116)
		local Needle_ora_min_kis = MainPanel:get_argument_value(121)
		local Needle_ora_sec_kis = MainPanel:get_argument_value(122)
		local RSBN_distance_meter_Hundreds = MainPanel:get_argument_value(355)
		local RSBN_distance_meter_Tens = MainPanel:get_argument_value(356)
		local RSBN_distance_meter_Singles = MainPanel:get_argument_value(357)
		local Gearbrake_needle1 = MainPanel:get_argument_value(56)
		local Gearbrake_needle2 = MainPanel:get_argument_value(57)
		local IAS_Nr = MainPanel:get_argument_value(100)
		local KSI_course_indicator = MainPanel:get_argument_value(111)
		local RSBN_NPP_kurs_needle = MainPanel:get_argument_value(590)
		local RSBN_NPP_glisada_needle = MainPanel:get_argument_value(589)
		local RSBN_KPP_kurs_director = MainPanel:get_argument_value(565)
		local RSBN_KPP_glisada_director = MainPanel:get_argument_value(566)
		local ENGINE_OXYGENE_manometer = MainPanel:get_argument_value(61)
		local AltimeterPressure = ValueConvert(MainPanel:get_argument_value(262),{ 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79 },{ -1.000, -0.889, -0.770, -0.668, -0.557, -0.450, -0.333, -0.222, -0.118, -0.007, 0.313, 0.639, 1.000 })
		local Clock_status_bar = MainPanel:get_argument_value(118)*10

	
		
		local sw_table =
		{			
			[1] = convert_sw (MainPanel:get_argument_value(165)),			-- Battery On/Off
			[2] = convert_sw (MainPanel:get_argument_value(155)),			-- Battery Heat On/Off
			[3] = convert_sw (MainPanel:get_argument_value(166)),			-- DC Generator On/Off
			[4] = convert_sw (MainPanel:get_argument_value(169)),			-- AC Generator On/Off
			[5] = convert_sw (MainPanel:get_argument_value(153)),			-- PO-750 Inverter #1 On/Off
			[6] = convert_sw (MainPanel:get_argument_value(154)),			-- PO-750 Inverter #2 On/Off
			[7] = convert_sw (MainPanel:get_argument_value(164)),			-- Emergency Inverter
			[8] = convert_sw (MainPanel:get_argument_value(162)),			-- Giro, NPP, SAU, RLS Signal, KPP Power On/Off
			[9] = convert_sw (MainPanel:get_argument_value(163)),			-- DA-200 Signal, Giro, NPP, RLS, SAU Power On/Off
			[10] = convert_sw (MainPanel:get_argument_value(159)),			-- Fuel Tanks 3rd Group, Fuel Pump
			[11] = convert_sw (MainPanel:get_argument_value(160)),			-- Fuel Tanks 1st Group, Fuel Pump
			[12] = convert_sw (MainPanel:get_argument_value(161)),			-- Drain Fuel Tank, Fuel Pump
			[13] = convert_sw (MainPanel:get_argument_value(302)),			-- APU On/Off
			[14] = convert_sw (MainPanel:get_argument_value(288)),			-- Engine Cold / Normal Start
			[15] = convert_sw (MainPanel:get_argument_value(301)),			-- Engine Emergency Air Start			
			[16] = convert_sw (MainPanel:get_argument_value(229)),			-- Pitot tube Selector Main/Emergency
			[17] = convert_sw (MainPanel:get_argument_value(279)),			-- Pitot tube/Periscope/Clock Heat
			[18] = convert_sw (MainPanel:get_argument_value(280)),			-- Secondary Pitot Tube Heat				
			[19] = convert_sw (MainPanel:get_argument_value(308)),			-- Anti surge doors - Auto/Manual
			[20] = convert_sw (MainPanel:get_argument_value(300)),			-- Afterburner/Maximum Off/On
			[21] = convert_sw (MainPanel:get_argument_value(320)),			-- Emergency Afterburner Off/On				
			[22] = convert_sw (MainPanel:get_argument_value(303)),			-- Fire Extinguisher Off/On
			[23] = convert_sw (MainPanel:get_argument_value(324)),			-- Fire Extinguisher Cover					
			[24] = convert_sw (MainPanel:get_argument_value(173)),			-- Radio System On/Off
			[25] = convert_sw (MainPanel:get_argument_value(208)),			-- Radio / Compass
			[26] = convert_sw (MainPanel:get_argument_value(209)),			-- Squelch On/Off
			[27] = convert_sw (MainPanel:get_argument_value(174)),			-- ARK On/Off
			[28] = convert_sw (MainPanel:get_argument_value(197)),			-- ARK Mode - Antenna / Compass
			[29] = convert_sw (MainPanel:get_argument_value(176)),			-- RSBN On/Off
			[30] = convert_sw (MainPanel:get_argument_value(340)),			-- RSBN / ARK	
			[31] = convert_sw (MainPanel:get_argument_value(367)),			-- RSBN Bearing
			[32] = convert_sw (MainPanel:get_argument_value(368)),			-- RSBN Distance
			[33] = convert_sw (MainPanel:get_argument_value(179)),			-- SAU On/Off
			[34] = convert_sw (MainPanel:get_argument_value(180)),			-- SAU Pitch On/Off	
			[35] = convert_sw (math.floor((MainPanel:get_argument_value(323)*2)-1)),  -- Landing Lights Off/Taxi/Land - 3 posiciones 0,5
			[36] = convert_sw (MainPanel:get_argument_value(202)),			-- SPO-10 RWR On/Off
			[37] = convert_sw (MainPanel:get_argument_value(188)),			-- SRZO IFF Coder/Decoder On/Off	
			[38] = convert_sw (MainPanel:get_argument_value(346)),			-- IFF System 'Type 81' On/Off
			[39] = convert_sw (MainPanel:get_argument_value(190)),			-- Emergency Transmitter Cover
			[40] = convert_sw (MainPanel:get_argument_value(191)),			-- Emergency Transmitter On/Off
			[41] = convert_sw (MainPanel:get_argument_value(427)),			-- SRZO Self Destruct Cover
			[42] = convert_sw (MainPanel:get_argument_value(200)),			-- SOD IFF On/Off	
			[43] = convert_sw (MainPanel:get_argument_value(207)),			-- Locked Beam On/Off
			[44] = convert_sw (MainPanel:get_argument_value(167)),			-- SPRD (RATO) System On/Off	
			[45] = convert_sw (MainPanel:get_argument_value(168)),			-- SPRD (RATO) Drop System On/Off	
			[46] = convert_sw (MainPanel:get_argument_value(252)),			-- SPRD (RATO) Start Cover
			[47] = convert_sw (MainPanel:get_argument_value(317)),       	-- SPRD (RATO)t Drop Cover
			[48] = string.format("%02.f", math.floor((MainPanel:get_argument_value(211)*20)+ 0.05)) -- Radio channel selector 20 channels from 0 to 19 - 0,0555
			-- warning 48 uses 2 characters
			
		}																
		
		local sw_table_2 =
		{			
			[1] = convert_sw (MainPanel:get_argument_value(299)),			-- ABS Off/On
			[2] = convert_sw (MainPanel:get_argument_value(238)),			-- Nosegear Brake Off/On
			[3] = convert_sw (MainPanel:get_argument_value(237)),			-- Emergency Brake
			[4] = convert_sw (MainPanel:get_argument_value(281)),			-- Nose Gear Emergency Release Handle
			[5] = convert_sw (MainPanel:get_argument_value(304)),			-- Drop Drag Chute Cover
			[6] = convert_sw (MainPanel:get_argument_value(172)),			-- Trimmer On/Off			
			[7] = convert_sw (MainPanel:get_argument_value(170)),			-- Nosecone On/Off
			[8] = convert_sw (MainPanel:get_argument_value(309)),			-- Nosecone Control - Manual/Auto
			[9] = convert_sw (MainPanel:get_argument_value(291)),			-- Engine Nozzle 2 Position Emergency Control				
			[10] = convert_sw (MainPanel:get_argument_value(171)),			-- Emergency Hydraulic Pump On/Off
			[11] = convert_sw (MainPanel:get_argument_value(319)),			-- Aileron Booster - Off/On
			[12] = convert_sw (MainPanel:get_argument_value(175)),			-- Radio Altimeter/Marker On/Off			
			[13] = convert_sw (MainPanel:get_argument_value(285)),			-- Helmet Air Condition Off/On
			[14] = convert_sw (MainPanel:get_argument_value(286)),			-- Emergency Oxygen Off/On					
			[15] = convert_sw (MainPanel:get_argument_value(287)),			-- Mixture/Oxygen
			[16] = convert_sw (MainPanel:get_argument_value(224)),			-- Canopy Emergency Release Handle
			[17] = convert_sw (MainPanel:get_argument_value(186)),			-- ASP Optical sight On/Off
			[18] = convert_sw (MainPanel:get_argument_value(241)),			-- ASP Main Mode - Manual/Auto
			[19] = convert_sw (MainPanel:get_argument_value(242)),			-- ASP Mode - Bombardment/Shooting
			[20] = convert_sw (MainPanel:get_argument_value(243)),			-- ASP Mode - Missiles-Rockets/Gun
			[21] = convert_sw (MainPanel:get_argument_value(244)),			-- ASP Mode - Giro/Missile	
			[22] = convert_sw (MainPanel:get_argument_value(249)),			-- Pipper On/Off
			[23] = convert_sw (MainPanel:get_argument_value(250)),			-- Fix net On/Off
			[24] = convert_sw (MainPanel:get_argument_value(181)),			-- Missiles - Rockets Heat On/Off
			[25] = convert_sw (MainPanel:get_argument_value(182)),			-- Missiles - Rockets Launch On/Off
			[26] = convert_sw (MainPanel:get_argument_value(183)),			-- Pylon 1-2 Power On/Off
			[27] = convert_sw (MainPanel:get_argument_value(184)),			-- Pylon 3-4 Power On/Off
			[28] = convert_sw (MainPanel:get_argument_value(185)),			-- GS-23 Gun On/Off
			[29] = convert_sw (MainPanel:get_argument_value(187)),			-- Guncam On/Off
			[30] = convert_sw (MainPanel:get_argument_value(277)),			-- Tactical Drop Cover
			[31] = convert_sw (MainPanel:get_argument_value(278)),			-- Tactical Drop
			[32] = convert_sw (MainPanel:get_argument_value(275)),			-- Emergency Missile/Rocket Launcher Cover
			[33] = convert_sw (MainPanel:get_argument_value(256)),			-- Drop Wing Fuel Tanks Cover
			[34] = convert_sw (MainPanel:get_argument_value(269)),			-- Drop Payload - Outer Pylons Cover
			[35] = convert_sw (MainPanel:get_argument_value(271)),			-- Drop Payload - Inner Pylons Cover
			[36] = convert_sw (MainPanel:get_argument_value(230)),			-- Weapon Mode - Air/Ground	
			[37] = convert_sw (MainPanel:get_argument_value(383)),			-- Release Weapon Cover
			[38] = convert_sw (MainPanel:get_argument_value(306)),			-- Helmet Heat - Manual/Auto
			[39] = convert_sw (MainPanel:get_argument_value(193)),			-- SARPP-12 Flight Data Recorder On/Off
			[40] = convert_sw (MainPanel:get_argument_value(632)),			-- Radar emission - Cover
			[41] = convert_sw (MainPanel:get_argument_value(633)),			-- Radar emission - Combat/Training
			[42] = convert_sw (MainPanel:get_argument_value(638)),			-- 1.7 Mach Test Cover (note: clickable.lua shows this as PNT_439 in error)
			[43] = convert_sw (MainPanel:get_argument_value(387)),			-- Emergency Jettison - RN24 Nuke Panel
			[44] = convert_sw (MainPanel:get_argument_value(388)),			-- Emergency Jettison Armed / Not Armed - RN24 Nuke Panel
			[45] = convert_sw (MainPanel:get_argument_value(389)),			-- Tactical Jettison - RN24 Nuke Panel
			[46] = convert_sw (MainPanel:get_argument_value(390)),			-- Special AB / Missile-Rocket-Bombs-Cannon - RN24 Nuke Panel
			[47] = convert_sw (MainPanel:get_argument_value(391)),			-- Brake Chute - RN24 Nuke Panel
			[48] = convert_sw (MainPanel:get_argument_value(392)),			-- Detonation Air / Ground - RN24 Nuke Panel
			[49] = convert_sw (MainPanel:get_argument_value(393)),			-- On / Off - SPS 141 CMS Panel
			[50] = convert_sw (MainPanel:get_argument_value(394)),			-- Transmit / Receive (Active/Passive) - SPS 141 CMS Panel
			[51] = string.format("%02.f", math.floor((MainPanel:get_argument_value(235)*10)+0.2))  -- Weapon Selector - 11 positions 0.1
			-- warning 51 uses 2 characters
			
		}

		
		
		local sw_table_3 =
		{	
			[1] = convert_sw (MainPanel:get_argument_value(395)),			-- Program I / II - SPS 141 CMS Panel
			[2] = convert_sw (MainPanel:get_argument_value(396)),			-- Continuous / Impulse - SPS 141 CMS Panel
			[3] = convert_sw (MainPanel:get_argument_value(398)),			-- Dispenser Auto / Manual - SPS 141 CMS Panel
			[4] = convert_sw (math.floor((MainPanel:get_argument_value(399)*2)-1)), -- Off / Parallel / Full - SPS 141 CMS Panel - 3 posiciones 0,5
			[5] = convert_sw (MainPanel:get_argument_value(400)),			-- Manual Activation button - Cover - SPS 141 CMS Panel
			[6] = convert_sw (MainPanel:get_argument_value(420)),			-- On / Off - UPK Panel
			[7] = convert_sw (MainPanel:get_argument_value(341)),			-- SAU - Landing - Command
			[8] = convert_sw (MainPanel:get_argument_value(342)),			-- SAU - Landing - Auto
			[9] = convert_sw (MainPanel:get_argument_value(343)),			-- SAU - Stabilize
			[10] = convert_sw (MainPanel:get_argument_value(348)),			-- SAU Reset/Off
			[11] = convert_sw (MainPanel:get_argument_value(344)),			-- SAU Preset - Limit Altitude
			[12] = convert_sw (MainPanel:get_argument_value(177)),			-- KPP Main/Emergency (Giro/Aux Giro switch)
			[13] = convert_sw (MainPanel:get_argument_value(254)),			-- Marker Far/Near
			[14] = convert_sw (MainPanel:get_argument_value(239)),			-- Canopy Anti Ice
			[15] = convert_sw (math.floor((MainPanel:get_argument_value(205)*2)-1)),       -- Radar Off/Prep/On - 3 posiciones 0,5
			[16] = (math.floor((MainPanel:get_argument_value(284)*7.142)+ 0.1))+1,         -- Dangerous Altitude Warning Set - 8 posiciones 0,14	
			[17] = convert_sw (math.floor((MainPanel:get_argument_value(231)*2)-1)),       -- Weapon Mode - IR Missile/Neutral/SAR Missile - 3 posiciones 0,5
			[18] = convert_sw (math.floor((MainPanel:get_argument_value(240)*2)-1)),       -- RSBN Mode Land/Navigation/Descend - 3 posiciones 0,5
			[19] = convert_sw (math.floor((MainPanel:get_argument_value(201)*2)-1)),       -- SOD Wave Selector 3/1/2 - 3 posiciones 0,5
			[20] = convert_sw (math.floor((MainPanel:get_argument_value(206)*2)-1)),       -- Low Altitude Off/Comp/On - 3 posiciones 0,5
			[21] = (math.floor((MainPanel:get_argument_value(204)*4)+ 0.1))+1,             -- SOD Modes - 5 posiciones 0,25
			[22] = (math.floor((MainPanel:get_argument_value(189)*7.142)+ 0.1))+1,         -- ARK Zone - 8 posiciones 0,14
			[23] = convert_sw (MainPanel:get_argument_value(296)),                         -- ARU System - Low Speed/Neutral/High Speed - 3 posiciones 1.00, 0.00, -1.00
			[24] = (math.floor((MainPanel:get_argument_value(213)*10)+0.1)),               -- ARK Change - 9 posiciones 0,1 (starting at 0,1)
			[25] = convert_sw (MainPanel:get_argument_value(295)),                         -- ARU System - Manual/Auto
			[26] = convert_sw (MainPanel:get_argument_value(293)),                         -- SPS System Off/On
			[27] = convert_sw (MainPanel:get_argument_value(178)),                         -- NPP (FDS)On/Off
			[28] = convert_sw (MainPanel:get_argument_value(421)),			               -- MAIN GUN / UPK Guns (ON UPK23-250 PANEL)
			[29] = (math.floor((MainPanel:get_argument_value(194)*3.030)+ 0.1))+1,          -- Navigation Lights Off/Min/Med/Max - 4 posiciones 0,33
										
		} 
		
		
		
		-- right rpm

		local sw_table_4 =
		{	
			[1] = convert_sw (MainPanel:get_argument_value(256)),	   -- Drop Wing Fuel Tanks Cover
			[2] = convert_sw (MainPanel:get_argument_value(265)),      -- Mech clock left lever
			[3] = convert_sw (MainPanel:get_argument_value(268)),      -- Mech clock right lever
			[4] = convert_sw (MainPanel:get_argument_value(326)),      -- Gear Handle Fixator
			[5] = convert_sw (MainPanel:get_argument_value(327)),      -- Gear Up/Neutral/Down - 3 posiciones 1.00, 0.00, -1.00
			[6] = convert_sw (MainPanel:get_argument_value(329)),      -- Secure Canopy Lever
			[7] = convert_sw (MainPanel:get_argument_value(328)),      -- Hermetize Canopy Lever
			[8] = convert_sw (math.floor(MainPanel:get_argument_value(1)+0.5)),        -- Canopy Open/Close
			[9] = string.format ( "%02.f", math.floor((MainPanel:get_argument_value(192)*13)+ 0.05))  -- SRZO Channel Selector - 13 Channels from 0 - 12
			-- warning 9 uses 2 characters
			
		} 
		
		
		
		local lamps_table =
		{	
			[1] = convert_lamp (MainPanel:get_argument_value(513)),    -- OIL_LIGHT
			[2] = convert_lamp (MainPanel:get_argument_value(542)),    -- SORC
			[3] = convert_lamp (MainPanel:get_argument_value(500)),    -- LOW_ALT_LIGHT
			[4] = convert_lamp (MainPanel:get_argument_value(546)),	   -- SAU_stabilization_LIGHT
			[5] = convert_lamp (MainPanel:get_argument_value(544)),	   -- SAU_landing_COMMAND_LIGHT
			[6] = convert_lamp (MainPanel:get_argument_value(545)),	   -- SAU_landing_AUTO_LIGHT
			[7] = convert_lamp (MainPanel:get_argument_value(547)),	   -- SAU_privedenie_LIGHT
			[8] = convert_lamp (MainPanel:get_argument_value(584)),	   -- MISSILE_55_1_LIGHT
			[9] = convert_lamp (MainPanel:get_argument_value(585)),	   -- MISSILE_55_2_LIGHT
			[10] = convert_lamp (MainPanel:get_argument_value(586)),   -- MISSILE_62_LIGHT
			[11] = convert_lamp (MainPanel:get_argument_value(538)),   -- ASP_LAUNCH_LIGHT
			[12] = convert_lamp (MainPanel:get_argument_value(540)),   -- ASP_DISENGAGE_LIGHT
			[13] = convert_lamp (MainPanel:get_argument_value(503)),   -- FUEL_450
			[14] = convert_lamp (MainPanel:get_argument_value(63)),	   -- TACTICAL_DROP_ARMED_LIGHT
			[15] = convert_lamp (MainPanel:get_argument_value(553)),   -- RADAR_ERROR_LIGHT
			[16] = convert_lamp (MainPanel:get_argument_value(554)),   -- RADAR_LOW_ALT_LIGHT
			[17] = convert_lamp (MainPanel:get_argument_value(555)),   -- RADAR_FIX_BEAM_LIGHT
			[18] = convert_lamp (MainPanel:get_argument_value(607)),   -- SRZO_ON (EOD)_LIGHT
			[19] = convert_lamp (MainPanel:get_argument_value(608)),   -- SRZO_CODE_LIGHT
			[20] = convert_lamp (MainPanel:get_argument_value(609)),   -- SRZO_CIPH (DEC)_LIGHT
			[21] = convert_lamp (MainPanel:get_argument_value(549)),   -- RSBN_dalnost_korekcija_LIGHT
			[22] = convert_lamp (MainPanel:get_argument_value(534)),   -- FIRE_LIGHT
			[23] = convert_lamp (MainPanel:get_argument_value(537)),   -- AOA_WARNING_LIGHT
			[24] = convert_lamp (MainPanel:get_argument_value(550)),   -- GUN_gotovn_LIGHT
			[25] = convert_lamp (MainPanel:get_argument_value(606)),   -- SOD_ANSWER
			[26] = convert_lamp (MainPanel:get_argument_value(516)),   -- MARKER_LIGHT
			[27] = convert_lamp (MainPanel:get_argument_value(601)),   -- SPO_L_F (SPO LEFT TOP) LIGHT
			[28] = convert_lamp (MainPanel:get_argument_value(602)),   -- SPO_R_F (SPO RIGHT TOP) LIGHT
			[29] = convert_lamp (MainPanel:get_argument_value(603)),   -- SPO_R_B (SPO RIGHT BOTTOM) LIGHT
			[30] = convert_lamp (MainPanel:get_argument_value(604)),   -- SPO_L_B (SPO LEFT BOTTOM) LIGHT
			[31] = convert_lamp (MainPanel:get_argument_value(605)),   -- SPO_MUTED(SPO TEST) LIGHT
			[32] = convert_lamp (MainPanel:get_argument_value(517)),   -- KONUS_LIGHT
			[33] = convert_lamp (MainPanel:get_argument_value(518)),   -- STABILISATOR_LIGHT
			[34] = convert_lamp (MainPanel:get_argument_value(519)),   -- TRIMMER_LIGHT
			[35] = convert_lamp (MainPanel:get_argument_value(509)),   -- START_DEVICE_ZAZIG_LIGHT
			[36] = convert_lamp (MainPanel:get_argument_value(510)),   -- DC_GEN_LIGHT
			[37] = convert_lamp (MainPanel:get_argument_value(511)),   -- AC_GEN_LIGHT
			[38] = convert_lamp (MainPanel:get_argument_value(512)),   -- NOZZLE_LIGHT
			[39] = convert_lamp (MainPanel:get_argument_value(514)),   -- CHECK_BUSTER_PRESSURE
			[40] = convert_lamp (MainPanel:get_argument_value(515)),   -- CHECK_HYDRAULIC_PRESSURE
			[41] = convert_lamp (MainPanel:get_argument_value(505)),   -- FUEL_PODW
			[42] = convert_lamp (MainPanel:get_argument_value(502)),   -- FUEL_1GR
			[43] = convert_lamp (MainPanel:get_argument_value(504)),   -- FUEL_3GR
			[44] = convert_lamp (MainPanel:get_argument_value(568)),   -- RSBN_KPP_tangaz_blinker (RED T LIGHT)
			[45] = convert_lamp (MainPanel:get_argument_value(526)),   -- PYLON_1_ON_LIGHT
			[46] = convert_lamp (MainPanel:get_argument_value(527)),   -- PYLON_2_ON_LIGHT
			[47] = convert_lamp (MainPanel:get_argument_value(528)),   -- PYLON_3_ON_LIGHT
			[48] = convert_lamp (MainPanel:get_argument_value(529)),   -- PYLON_4_ON_LIGHT
			[49] = convert_lamp (MainPanel:get_argument_value(524)),   -- RATO_L_LIGHT
			[50] = convert_lamp (MainPanel:get_argument_value(501)),   -- FUEL_PODC
			[51] = convert_lamp (MainPanel:get_argument_value(525)),   -- RATO_R_LIGHT
			[52] = convert_lamp (MainPanel:get_argument_value(506)),   -- FUEL_RASHOD (DISP TK EMPTY)
			[53] = convert_lamp (MainPanel:get_argument_value(507)),   -- FORSAZ_1_LIGHT (AFTERBURNER)
			[54] = convert_lamp (MainPanel:get_argument_value(508)),   -- FORSAZ_2_LIGHT (SECOND AFTERBURNER)
			[55] = convert_lamp (MainPanel:get_argument_value(523)),   -- CENTRAL_PYLON_LIGHT
			[56] = convert_lamp (MainPanel:get_argument_value(530)),   -- PYLON_1_OFF_LIGHT(UB POD 1 EMPTY)
			[57] = convert_lamp (MainPanel:get_argument_value(531)),   -- PYLON_2_OFF_LIGHT(UB POD 2 EMPTY)
			[58] = convert_lamp (MainPanel:get_argument_value(532)),   -- PYLON_3_OFF_LIGHT(UB POD 3 EMPTY)
			[59] = convert_lamp (MainPanel:get_argument_value(533)),   -- PYLON_4_OFF_LIGHT(UB POD 4 EMPTY)
			[60] = convert_lamp (MainPanel:get_argument_value(536)),   -- GIRO_ARRETIR (CAGE VERT RED LIGHT)
			[61] = convert_lamp (MainPanel:get_argument_value(535)),   -- KPP_ARRETIR_light (RED LIGHT MARKED APPETNP)
			[62] = convert_lamp (MainPanel:get_argument_value(541)),   -- CANOPY_WARNG_LIGHT
			[63] = convert_lamp (MainPanel:get_argument_value(9)),     -- GEAR_NOSE_UP_LIGHT
			[64] = convert_lamp (MainPanel:get_argument_value(12)),    -- GEAR_NOSE_DOWN_LIGHT
			[65] = convert_lamp (MainPanel:get_argument_value(10)),    -- GEAR_LEFT_UP_LIGHT
			[66] = convert_lamp (MainPanel:get_argument_value(13)),    -- GEAR_LEFT_DOWN_LIGHT
			[67] = convert_lamp (MainPanel:get_argument_value(11)),    -- GEAR_RIGHT_UP_LIGHT
			[68] = convert_lamp (MainPanel:get_argument_value(14)),    -- GEAR_RIGHT_DOWN_LIGHT
			[69] = convert_lamp (MainPanel:get_argument_value(522)),   -- AIRBRAKE_LIGHT
			[70] = convert_lamp (MainPanel:get_argument_value(521)),   -- FLAPS_LIGHT
			[71] = convert_lamp (MainPanel:get_argument_value(520)),   -- CHECK_GEAR_LIGHT
			[72] = convert_lamp (MainPanel:get_argument_value(581)),   -- IAB_LIGHT_1 (RN24 PANEL 'LOADED' LIGHT)
			[73] = convert_lamp (MainPanel:get_argument_value(582)),   -- IAB_LIGHT_2 (RN24 PANEL 'ARMED' LIGHT)
			[74] = convert_lamp (MainPanel:get_argument_value(583)),   -- IAB_LIGHT_3 (RN24 PANEL 'FUSE ON' LIGHT)
			[75] = convert_lamp (MainPanel:get_argument_value(594)),   -- SPS_LAUNCH(SPS 141 PANEL 'LAUNCH' LIGHT)
			[76] = convert_lamp (MainPanel:get_argument_value(592)),   -- SPS_WORKS (SPS 141 PANEL 'READY' LIGHT)
			[77] = convert_lamp (MainPanel:get_argument_value(593)),   -- SPS_ILLUMINATION (SPS 141 PANEL 'SIGNAL' LIGHT)
			[78] = convert_lamp (MainPanel:get_argument_value(701)),   -- GUV_LAUNCH (UPK23-250 PANEL 'STATUS' LIGHT)
			[79] = convert_lamp (MainPanel:get_argument_value(560)),   -- RADAR_JAMMED (HORIZ LEFT 'JAMMING' - RED LIGHT)
			[80] = convert_lamp (MainPanel:get_argument_value(571)),   -- RADAR_19A_1 (CMS 'C' LIGHT) 
			[81] = convert_lamp (MainPanel:get_argument_value(572)),   -- ADAR_19A_2(CMS 'O N' LIGHT) 
			[82] = convert_lamp (MainPanel:get_argument_value(573)),   -- RADAR_19A_3 (CMS 'T E' LIGHT) 
			[83] = convert_lamp (MainPanel:get_argument_value(574)),   -- RADAR_19A_4 (CMS 'WEATH' LIGHT)
			[84] = convert_lamp (MainPanel:get_argument_value(575)),   -- RADAR_19A_5(CMS 'IFF' LIGHT) 
			[85] = convert_lamp (MainPanel:get_argument_value(576)),   -- RADAR_19A_6 (CMS 'LOW' LIGHT) 
			[86] = convert_lamp (MainPanel:get_argument_value(577)),   -- RADAR_19A_7 (CMS 'SELF TEST' LIGHT)
			[87] = convert_lamp (MainPanel:get_argument_value(578)),   -- RADAR_19A_8 (CMS 'RESET' LIGHT) 
			[88] = convert_lamp (MainPanel:get_argument_value(558)),   -- RADAR_LAUNCH (VERTICAL TOP - RED LIGHT)
			[89] = convert_lamp (MainPanel:get_argument_value(559)),   -- RADAR_MISSILE_HEAD_RDY (VERTICAL BOTTOM - RED LIGHT)
			[90] = convert_lamp (MainPanel:get_argument_value(561)),   -- RADAR_BROKEN (HORIZ RIGHT - RED LIGHT)
			[91] = convert_lamp (MainPanel:get_argument_value(562)),   -- RADAR_DISENGAGE(ROUND RED LIGHT)
			[92] = convert_lamp (MainPanel:get_argument_value(539)),   -- ASP_TGT_ACQUIRED_LIGHT(ROUND GREEN LIGHT)
			[93] = convert_lamp (MainPanel:get_argument_value(60)),    -- OXYGENE_instrument_IK52_blinking_lungs
			[94] = convert_lamp (MainPanel:get_argument_value(587)),   -- RSBN_NPP_kurs_blinker (WHITE COURSE LIGHT)
			[95] = convert_lamp (MainPanel:get_argument_value(588)),   -- RSBN_NPP_glisada_blinker (WHITE GLIDESLOPE LIGHT)
			[96] = convert_lamp (MainPanel:get_argument_value(567))    -- RSBN_KPP_kren_blinker (RED K LIGHT)
			
			} 
		
		



	----------------------------------------------------------
	---- ok, now lets send all this MIG-21 data across A10C interface to Helios
	----------------------------------------------------------			
	
	
	-- gauges and instruments  >>> "SAI", "Pitch Adjust"
	SendData("715", string.format("%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f, %.2f,%.2f,%.2f,%.4f,%.2f,%.2f,%.2f,%.3f,%.3f,%.2f, %.2f",
		ENGINE_TEMPERATURE, --1
		FUEL_METER, --2
		ENGINE_RPM, --3
		ENGINE_RPM2, --4
		IAS_indicator, --5
		COMPRESSED_AIR_main, --6
		COMPRESSED_AIR_aux, --7
		OXYGENE_instrument_IK52, --8
		OXYGENE_instrument_M2000, --9
		OIL_PRESSURE, --10
		ACCELEROMETER, --11
		MAX_G, --12
		MIN_G, --13
		UUA_indicator, --14
		KONUS_efficiency, --15
		KONUS_UPES_3_instrument, --16
		ARU_3G_instrument, --17
		TAS_indicator, --18
		M_indicator, --19
		DC_BUS_V_needle, --20
		_LAST_ONE  -- Last one, do not delete this
	) )
					
			
		
	-- gauges and instruments  	>>> "ADI", "Glide Slope Indicator"
	SendData("27", string.format("%.2f,%.1f,%.2f,%.2f,%.2f,%.f,%.3f,%.3f,%.3f,%.3f, %.3f,%.3f,%.3f,%.3f, %.3f,%.2f",
		RSBN_distance_meter_Hundreds, --1
		RSBN_distance_meter_Tens, --2
		RSBN_distance_meter_Singles, --3
		Gearbrake_needle1, --4
		Gearbrake_needle2, --5
		IAS_Nr, --6
		KSI_course_indicator, --7
		RSBN_NPP_kurs_needle, --8
		RSBN_NPP_glisada_needle, --9
		RSBN_KPP_kurs_director, --10
		RSBN_KPP_glisada_director, --11
		KPP_Pitch, --12
		ENGINE_OXYGENE_manometer, --13
		AltimeterPressure, --14
		Clock_status_bar, --15
		_LAST_ONE  -- Last one, do not delete this
	) )
			
			
	-- gauges and instruments  	>>> "ADI", "Slip Ball"
	SendData("24", string.format("%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.2f,%.3f, %.3f,%.3f,%.3f,%.3f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f",
		RADIO_ALTIMETER_indicator, --1
		DA200_TurnNeedle, --2
		DA200_VerticalVelocity, --3
		DA200_SLIPBALL, --4
		H_indicator_needle_m, --5
		H_indicator_needle_km, --6
		GIDRO_PRESS_P_needle, --7
		GIDRO_PRESS_S_needle, --8
		DC_BUS_ISA_K, --9 
		COCKPIT_PRESSURE_ALTIMETER, --10
		COCKPIT_PRESSURE, --11
		ARK_RSBN_needle, --12
		KSI_course_set_needle, --13
		KPP_Bank, --14
		Needle_ora_sec, --15
		Needle_ora, --16
		Needle_ora_perc, --17
		Needle_ora_min_kis, --18
		Needle_ora_sec_kis, --19
		_LAST_ONE  -- Last one, do not delete this
	) )
		
			
	-- switches and lamps tables exported on pure networvalues from A10C				
	SendData("269", string.format("%s", table.concat(lamps_table,"") ) )    -- lamps table	    >>> "HARS", "SYN-IND Sync Needle"
	SendData("23", string.format("%s", table.concat(sw_table,"") ) )		-- switches table 1 >>>	"ADI", "Turn Needle"
	SendData("2000", string.format("%s", table.concat(sw_table_2,"") ) )	-- switches table 2 >>>	"UHF Radio", "Fequency"
	SendData("20", string.format("%s", table.concat(sw_table_3,"") ) )		-- switches table 3 >>>	"ADI", "Bank Steering Bar Offset"
	SendData("21", string.format("%s", table.concat(sw_table_4,"") ) )		-- switches table 4 >>>	"ADI", "Pitch Steering Bar Offset"
	--flaps			
	SendData("628", string.format("%.1f", MainPanel:get_argument_value(311) ) )		-- Flaps Neutral 311 2 > "TISL", "Enter" 628 --
	SendData("630", string.format("%.1f", MainPanel:get_argument_value(312) ) )		-- Flaps Take-Off 312 2 > "TISL", "OverTemp" 630 --
	SendData("632", string.format("%.1f", MainPanel:get_argument_value(313) ) )		-- Flaps Landing 313 2 > "TISL", "Bite" 632 --
	SendData("634", string.format("%.1f", MainPanel:get_argument_value(314) ) )		-- Flaps Reset buttons 314 btn > "TISL", "Track" 634 --
	--axis	
	SendData("171", string.format("%.3f", MainPanel:get_argument_value(210) ) )		-- Radio Volume  210 axis 0.1 >  "UHF Radio", "Volume" 171
	SendData("221", string.format("%.3f", MainPanel:get_argument_value(198) ) )		-- ARK Sound  198 axis 0.1 > "Intercom", "INT Volume" 221
	SendData("223", string.format("%.3f", MainPanel:get_argument_value(345) ) )		-- RSBN Sound  345 axis 0.1 > "Intercom", "FM Volume" 223 
	SendData("225", string.format("%.3f", MainPanel:get_argument_value(612) ) )		-- Cockpit Texts Back-light  612 axis 0.1 +300 dwn> "Intercom", "VHF Volume"  225
	SendData("227", string.format("%.3f", MainPanel:get_argument_value(156) ) )		-- Instruments Back-light  156 axis 0.1 +300 dwn>   "Intercom", "UHF Volume"  227
	SendData("229", string.format("%.3f", MainPanel:get_argument_value(157) ) )		-- Main Red Lights  157 axis 0.1 +300 dwn>          "Intercom", "AIM Volume"  229
	SendData("231", string.format("%.3f", MainPanel:get_argument_value(222) ) )		-- Main White Lights  222 axis 0.1 +300 dwn>        "Intercom", "IFF Volume"  231
	SendData("233", string.format("%.3f", MainPanel:get_argument_value(225) ) )		-- SPO-10 Volume  	225 axis 0.1 > "Intercom", "ILS Volume" 233 
	SendData("235", string.format("%.3f", MainPanel:get_argument_value(623) ) )		-- Radar Polar Filter 623 axis 0.1 > "Intercom", "TCN Volume" 235 
	SendData("636", string.format("%.3f", MainPanel:get_argument_value(236) ) )		-- Nosecone manual position controller 236 axis 0.05 > "TISL", "TISL Code Wheel 1" 636 
	SendData("238", string.format("%.3f", MainPanel:get_argument_value(263) ) )		-- NPP Course set 263 axis 0.1 > "Intercom", "Master Volume" 238
	SendData("288", string.format("%.3f", MainPanel:get_argument_value(245) ) )		-- Target Size 245 axis 0.1 >                      "Light System", "Formation Lights"            288 
	SendData("290", string.format("%.3f", MainPanel:get_argument_value(246) ) )		-- Intercept Angle 246 axis 0.1 >                  "Light System", "Engine Instrument Lights"    290 
	SendData("292", string.format("%.3f", MainPanel:get_argument_value(247) ) )		-- Scale Backlights control 247 axis 0.1 >         "Light System", "Flight Instruments Lights"   292 
	SendData("293", string.format("%.3f", MainPanel:get_argument_value(248) ) )		-- Pipper light control 248 axis 0.1 >             "Light System", "Auxillary instrument Lights" 293 
	SendData("296", string.format("%.3f", MainPanel:get_argument_value(251) ) )		-- Fix Net light control 251 axis 0.1 >            "Light System", "Flood Light"                 296 
	SendData("297", string.format("%.3f", MainPanel:get_argument_value(348) ) )		-- TDC Range / Pipper Span control 384 axis 0.1 >  "Light System", "Console Lights"              297 
	SendData("193", string.format("%.3f", MainPanel:get_argument_value(297) ) )		-- Missile Seeker Sound  297 axis 0.1 > "Light System", "Refuel Status Indexer Brightness" 193 	
	SendData("642", string.format("%.3f", MainPanel:get_argument_value(223) ) )		-- Main Gears Emergency Release Handle 223 axis 0.2 > "TISL Code Wheel 4" 642 aaaaaaaaaa
	SendData("277", string.format("%.3f", MainPanel:get_argument_value(267) ) )		-- Mech clock right lever  267 axis  0.05 -015 0.15 > "Environmental Control", "Canopy Defog" 277 --
	SendData("192", string.format("%.3f", MainPanel:get_argument_value(261) ) )		-- variometer Set  261 axis lim 0.0001   (-1,1) > "Autopilot", "Yaw Trim" 192  --
	--others
	SendData("624", string.format("%.3f", MainPanel:get_argument_value(351) ) )		-- RSBN Channel Selector - 99 positions 0 - 99 > "TISL", "Altitude above target tens of thousands of feet" 624 
	SendData("626", string.format("%.3f", MainPanel:get_argument_value(352) ) )		-- PRMG Channel Selector - 99 positions 0 - 99 >"TISL", "Altitude above target thousands of feet" 626 
	SendData("780", string.format("%.1d", MainPanel:get_argument_value(202) ) )		-- SPO-10 RWR On/Off 202 2 > "KY-58 Secure Voice", "Delay" 780 --	
	SendData("784", string.format("%.1d", MainPanel:get_argument_value(227) ) )		-- SPO-10 Night / Day  	227 2 > "KY-58 Secure Voice", "Power Switch" 784 --		
	SendData("170", string.format("%.1d", MainPanel:get_argument_value(326) ) )		-- Gear Handle Fixator 326 2 > "UHF Radio", "Squelch" 170 --
	SendData("105", string.format("%.1d", MainPanel:get_argument_value(327) ) )		-- Gear Up/Neutral/Down 327 multi sw 3 1.0 > "Fire System", "Discharge Switch" 105 ----------- -1 0 1
	SendData("540", string.format("%.1d", MainPanel:get_argument_value(611) ) )		-- SRZO_ERROR lamp > "AOA Indexer", "High Indicator" 540
	

	FlushData()
end


--------------------------------------------------------------------- End of MIG-21 exports   -----------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------










-- Pointed to by ProcessHighImportance, if the player aircraft is something else
function ProcessNoHighImportance(mainPanelDevice)
end


-----------------------------------------------------
-- LOW IMPORTANCE EXPORTS                          --
-- done every gExportLowTickInterval export events --
-----------------------------------------------------


-- Pointed to by ProcessLowImportance, if the player aircraft is an A-10
function ProcessA10LowImportance(mainPanelDevice)
	-- Get Radio Frequencies
	local lUHFRadio = GetDevice(54)
	SendData(2000, string.format("%7.3f", lUHFRadio:get_frequency()/1000000))

	  -- TACAN Channel
	SendData(2263, string.format("%0.2f;%0.2f;%0.2f", mainPanelDevice:get_argument_value(263), 
													  mainPanelDevice:get_argument_value(264), 
													  mainPanelDevice:get_argument_value(265)))
end


-- Pointed to by ProcessLowImportance, if the player aircraft is a Ka-50
function ProcessKa50LowImportance(mainPanelDevice)
	local lWeaponSystem = GetDevice(12)
	local lEKRAN = GetDevice(10)
	local lCannonAmmoCount = " "
	local lStationNumbers = lWeaponSystem:get_selected_weapon_stations()
	local lStationCount = " "
	local lStationType = " "	
	local lTargetingPower = mainPanelDevice:get_argument_value(433)
	local lTrigger = mainPanelDevice:get_argument_value(615)
	if lTrigger == 0 then
		gKa50Trigger = 1
	end
	if lTrigger == -1 then
		gKa50Trigger = 0
	end

	if lTargetingPower == 1 then
		lCannonAmmoCount = string.format("%02d",string.match(lWeaponSystem:get_selected_gun_ammo_count() / 10,"(%d+)"))
	
		if #lStationNumbers ~= 0 and gKa50Trigger == 0 then
			lStationCount = 0
			for i=1,#lStationNumbers do
				lStationCount = lStationCount + lWeaponSystem:get_weapon_count_on_station(lStationNumbers[i])
			end
			
			lStationCount = string.format("%02d", lStationCount);
			
			lStationType = gKa50StationTypes[lWeaponSystem:get_weapon_type_on_station(lStationNumbers[1])]
			if lStationType == nil then
				lStationType = " "
			end
		end
	end

	local lEkranText = lEKRAN:get_actual_text_frame()
	local lEkranSendString = string.sub(lEkranText,1,8).."\n"..string.sub(lEkranText,12,19).."\n"..string.sub(lEkranText,23,30).."\n"..string.sub(lEkranText,34,41) 
	
	SendData("2001",lStationType)
	SendData("2002",lStationCount)
	SendData("2003",lCannonAmmoCount)
	SendData("2004",lEkranSendString)
end






-- Pointed to by ProcessLowImportance, if the player aircraft is a SA342 (using ka50 interface)
function ProcessSA342LowImportance(mainPanelDevice)
																						-- SA342  >  KA50
	--Instruments Flags
	SendData("190", string.format("%.4f", mainPanelDevice:get_argument_value(29) ))		-- SA342 HA loc >
	SendData("207", string.format("%.4f", mainPanelDevice:get_argument_value(18) ))		-- SA342 HA GS >
	SendData("183", string.format("%.4f", mainPanelDevice:get_argument_value(108) ))	-- SA342 HSI px >
	SendData("182", string.format("%.4f", mainPanelDevice:get_argument_value(109) ))	-- SA342 HSI but >
	SendData("191", string.format("%.4f", mainPanelDevice:get_argument_value(107) ))	-- SA342 HSI cap >
	SendData("208", string.format("%.4f", mainPanelDevice:get_argument_value(208) ))	-- SA342 Gyro flags >
	--- Clock
	SendData("68", string.format("%.4f", mainPanelDevice:get_argument_value(41) ))		-- SA342 CLOCK_HOUR > Current Time Hours
	SendData("69", string.format("%.4f", mainPanelDevice:get_argument_value(43) ))		-- SA342 CLOCK_MINUTE > Current Time Minutes
	SendData("73", string.format("%.4f", mainPanelDevice:get_argument_value(44) ))		-- SA342 CLOCK_MINI > Stop Watch Minutes
	-- Qcomb
	SendData("137", string.format("%.4f", mainPanelDevice:get_argument_value(137) ))	-- SA342 QComb > Rear Tank Fuel Quantity
	-- voltmetre
	SendData("52", string.format("%.4f", mainPanelDevice:get_argument_value(14) ))		-- SA342 Voltmetre > Rotor RPM
	-- torque
	SendData("55", string.format("%1d", mainPanelDevice:get_argument_value(58) ))		-- SA342 torque test button >  laser ranger reset
	-- alarms panel
	SendData("59", string.format("%.4f", mainPanelDevice:get_argument_value(1) ))		-- SA342 TA_PITOT > Mechanical Left Gear Up Indicator
	SendData("47", string.format("%.4f", mainPanelDevice:get_argument_value(2) ))		-- SA342 TA_HMOT > Caution Under Fire Indicator
	SendData("48", string.format("%.4f", mainPanelDevice:get_argument_value(3) ))		-- SA342 TA_HBTP > Caution Lower Gear Indicator
	SendData("78", string.format("%.4f", mainPanelDevice:get_argument_value(4) ))		-- SA342 TA_HRAL > Caution Left Engine Max RPM Indicator
	SendData("79", string.format("%.4f", mainPanelDevice:get_argument_value(5) ))		-- SA342 TA_GENE > Caution Right Engine Max RPM Indicator
	SendData("80", string.format("%.4f", mainPanelDevice:get_argument_value(6) ))		-- SA342 TA_ALTER > Caution Ny Max	
	SendData("81", string.format("%.4f", mainPanelDevice:get_argument_value(7) ))		-- SA342 TA_BAT > Caution Left Engine Vibration Indicator	
	SendData("82", string.format("%.4f", mainPanelDevice:get_argument_value(8) ))		-- SA342 TA_PA > Caution Right Engine Vibration Indicator	
	SendData("83", string.format("%.4f", mainPanelDevice:get_argument_value(9) ))		-- SA342 TA_NAV > Caution IAS Max Indicator	
	SendData("84", string.format("%.4f", mainPanelDevice:get_argument_value(10) ))		-- SA342 TA_COMB > Caution Main Transmission Warning Indicator	
	SendData("85", string.format("%.4f", mainPanelDevice:get_argument_value(11) ))		-- SA342 TA_BPHY > Caution Fire Indicator	
	SendData("86", string.format("%.4f", mainPanelDevice:get_argument_value(12) ))		-- SA342 TA_LIM > Caution IFF Failure Indicator
	SendData("63", string.format("%.4f", mainPanelDevice:get_argument_value(13) ))		-- SA342 TA_FILT > Mechanical Nose Gear Up Indicator		
	-- other alarms
	SendData("62", string.format("%.4f", mainPanelDevice:get_argument_value(97) ))		-- SA342 RAlt_Alarm > Mechanical Right Gear Down Indicator
	SendData("170", string.format("%.4f", mainPanelDevice:get_argument_value(300) ))	-- SA342 Voyant_DEM > Left Warning Panel R-Alt Hold Indicator
	SendData("175", string.format("%.4f", mainPanelDevice:get_argument_value(301) ))	-- SA342 Voyant_RLT > Left Warning Panel Auto Hover
	SendData("172", string.format("%.4f", mainPanelDevice:get_argument_value(302) ))	-- SA342 Voyant_BLOC > Left Warning Panel Auto Descent
	SendData("165", string.format("%.4f", mainPanelDevice:get_argument_value(320) ))	-- SA342 Voyant_SUPP > Left Warning Panel ENR Nav On
	SendData("171", string.format("%.4f", mainPanelDevice:get_argument_value(321) ))	-- SA342 Voyant_CONV > Left Warning Panel ENR Course
	SendData("176", string.format("%.4f", mainPanelDevice:get_argument_value(322) ))	-- SA342 Voyant_FILTAS > Left Warning Panel Next WP"
	SendData("166", string.format("%.4f", mainPanelDevice:get_argument_value(201) ))	-- SA342 Voyant_TEST > Left Warning Panel ENR End
	SendData("164", string.format("%.4f", mainPanelDevice:get_argument_value(202) ))	-- SA342 Voyant_TRIM > Left Warning Panel AC-POS Cal. Data
	SendData("178", string.format("%.4f", mainPanelDevice:get_argument_value(203) ))	-- SA342 Voyant_BPP > Left Warning Panel Weap. Arm
	SendData("173", string.format("%.4f", mainPanelDevice:get_argument_value(127) ))	-- SA342 Voyant_BPP > Left Warning Panel cannon"
	-- PH panel
	SendData("392", string.format("%.4f", mainPanelDevice:get_argument_value(183) ))	-- SA342 PH_Bon_Light > "PUI-800", "Station 1 Present Lamp"
	SendData("393", string.format("%.4f", mainPanelDevice:get_argument_value(184) ))	-- SA342 PH_Mauvais_Light > "PUI-800", "Station 2 Present Lamp"
	SendData("394", string.format("%.4f", mainPanelDevice:get_argument_value(185) ))	-- SA342 PH_Alim_Light > "PUI-800", "Station 3 Present Lamp"
	SendData("177", string.format("%.4f", mainPanelDevice:get_argument_value(189) ))	-- SA342 PH_TestI_Light > canon <> lamp
	SendData("395", string.format("%.4f", mainPanelDevice:get_argument_value(190) ))	-- SA342 PH_Jour_Light > "PUI-800", "Station 4 Present Lamp"
	SendData("211", string.format("%.4f", mainPanelDevice:get_argument_value(192) ))	-- SA342 PH_TestII_Light > Xfeed valve open lamp
	SendData("388", string.format("%.4f", mainPanelDevice:get_argument_value(193) ))	-- SA342 PH_Nuit_Light > "PUI-800", "Station 1 Ready Lamp"
	SendData("389", string.format("%.4f", mainPanelDevice:get_argument_value(186) ))	-- SA342 PH_Pret_Light > "PUI-800", "Station 2 Ready Lamp
	SendData("390", string.format("%.4f", mainPanelDevice:get_argument_value(187) ))	-- SA342 PH_Autor_Light > "PUI-800", "Station 3 Ready Lamp"
	SendData("391", string.format("%.4f", mainPanelDevice:get_argument_value(188) ))	-- SA342 PH_Defaut_Light > "PUI-800", "Station 4 Ready Lamp"
	SendData("187", string.format("%.4f", mainPanelDevice:get_argument_value(191) ))	-- SA342 PH_ilum light > turbo gear lamp
	SendData("517", string.format("%.4f", mainPanelDevice:get_argument_value(178) ))	-- SA342 PH_Gisement into "ABRIS", "Brightness"
	-- Nadir
	SendData("312", string.format("%.1f", mainPanelDevice:get_argument_value(351)/5 ))		-- SA342 NADIR 0 > PVI 0
	SendData("303", string.format("%.1f", mainPanelDevice:get_argument_value(338)/5 ))		-- SA342 NADIR 1
	SendData("304", string.format("%.1f", mainPanelDevice:get_argument_value(339)/5 ))		-- SA342 NADIR 2
	SendData("305", string.format("%.1f", mainPanelDevice:get_argument_value(340)/5 ))		-- SA342 NADIR 3
	SendData("306", string.format("%.1f", mainPanelDevice:get_argument_value(342)/5 ))		-- SA342 NADIR 4
	SendData("307", string.format("%.1f", mainPanelDevice:get_argument_value(343)/5 ))		-- SA342 NADIR 5
	SendData("308", string.format("%.1f", mainPanelDevice:get_argument_value(344)/5 ))		-- SA342 NADIR 6
	SendData("309", string.format("%.1f", mainPanelDevice:get_argument_value(346)/5 ))		-- SA342 NADIR 7
	SendData("310", string.format("%.1f", mainPanelDevice:get_argument_value(347)/5 ))		-- SA342 NADIR 8
	SendData("311", string.format("%.1f", mainPanelDevice:get_argument_value(348)/5 ))		-- SA342 NADIR 9
	SendData("315", string.format("%.1f", mainPanelDevice:get_argument_value(333)/5 ))		-- SA342 NADIR_ENT
	SendData("519", string.format("%.1f", mainPanelDevice:get_argument_value(334)/5 ))		-- SA342 NADIR_DES
	SendData("316", string.format("%.1f", mainPanelDevice:get_argument_value(335)/5 ))		-- SA342 NADIR_AUX
	SendData("520", string.format("%.1f", mainPanelDevice:get_argument_value(336)/5 ))		-- SA342 NADIR_IC
	SendData("317", string.format("%.1f", mainPanelDevice:get_argument_value(337)/5 ))		-- SA342 NADIR_DOWN
	SendData("521", string.format("%.1f", mainPanelDevice:get_argument_value(341)/5 ))		-- SA342 NADIR_POL
	SendData("318", string.format("%.1f", mainPanelDevice:get_argument_value(345)/5 ))		-- SA342 NADIR_GEO
	SendData("313", string.format("%.1f", mainPanelDevice:get_argument_value(349)/5 ))		-- SA342 NADIR_POS
	SendData("314", string.format("%.1f", mainPanelDevice:get_argument_value(350)/5 ))		-- SA342 NADIR_GEL
	SendData("522", string.format("%.1f", mainPanelDevice:get_argument_value(352)/5 ))		-- SA342 NADIR_EFF
	SendData("324", string.format("%.1f", mainPanelDevice:get_argument_value(331)/2 ))		-- SA342 NADIR Mode
	SendData("357", string.format("%.1f", mainPanelDevice:get_argument_value(332)/2 ))		-- SA342 NADIR Parameter
	SendData("531", string.format("%.4f", mainPanelDevice:get_argument_value(330) ))		-- SA342 NADIR Light Intensity >  flight time seconds
	--RWR
	SendData("319", string.format("%.1f", mainPanelDevice:get_argument_value(149)/5 ))		-- SA342 RWR marquer
	SendData("320", string.format("%.1f", mainPanelDevice:get_argument_value(150)/5 ))		-- SA342 RWR page
	SendData("9", string.format("%1d", mainPanelDevice:get_argument_value(148) ))			-- SA342 RWR ON-OFF-PTR
	SendData("98", string.format("%.4f", mainPanelDevice:get_argument_value(122) ))	    	-- SA342 rwr brt rot  >  Accelerometer max g
	SendData("99", string.format("%.4f", mainPanelDevice:get_argument_value(121) ))			-- SA342 rwr audio rot  >  Accelerometer min g
	--Main panel
	SendData("329", string.format("%.1f", mainPanelDevice:get_argument_value(218)/3.3 ))	-- SA342 Source ArtVisVhfDop
	SendData("262", string.format("%1d", mainPanelDevice:get_argument_value(264) ))			-- SA342 Battery	2 > guarda del dc power
	SendData("263", string.format("%1d", mainPanelDevice:get_argument_value(265) ))			-- SA342 Alternator	2
	SendData("543", string.format("%1d", mainPanelDevice:get_argument_value(268) ))			-- SA342 Generator	2
	SendData("544", string.format("%1d", mainPanelDevice:get_argument_value(170) ))			-- SA342 Pitot	2
	SendData("264", string.format("%1d", mainPanelDevice:get_argument_value(271) ))			-- SA342 Fuel Pump	2
	SendData("265", string.format("%1d", mainPanelDevice:get_argument_value(267) ))			-- SA342 Additionnal Fuel Tank	2
	SendData("408", string.format("%.1f", (mainPanelDevice:get_argument_value(56) +1)/10 ))	-- SA342 Starter Start/Stop/Air	3  >  laser convert -1 0 1 to 0 0.1 0.2
	SendData("267", string.format("%1d", mainPanelDevice:get_argument_value(57) ))			-- SA342 Test
	SendData("400", string.format("%.1f", (mainPanelDevice:get_argument_value(48) +1)/10 ))	-- SA342 Copilot Wiper	3
	SendData("36", string.format("%.1f", (mainPanelDevice:get_argument_value(49) +1)/10 ))	-- SA342 Pilot Wiper	3  
	SendData("268", string.format("%1d", mainPanelDevice:get_argument_value(61) ))			-- SA342 space				2
	SendData("321", string.format("%.1f", mainPanelDevice:get_argument_value(62)/5 ))		-- SA342 Voltmeter Test
	SendData("271", string.format("%1d", mainPanelDevice:get_argument_value(59) ))			-- SA342 HYD Test
	SendData("272", string.format("%1d", mainPanelDevice:get_argument_value(66) ))			-- SA342 Alter Rearm
	SendData("273", string.format("%1d", mainPanelDevice:get_argument_value(67) ))			-- SA342 Gene Rearm
	SendData("274", string.format("%1d", mainPanelDevice:get_argument_value(63) ))			-- SA342 Convoy Tank On/Off	2
	SendData("275", string.format("%1d", mainPanelDevice:get_argument_value(64) ))			-- SA342 Sand Filter On/Off	2
	SendData("354", string.format("%.1d", mainPanelDevice:get_argument_value(269) ))		-- SA342 armt 2
	SendData("269", string.format("%1d", mainPanelDevice:get_argument_value(382) ))			-- SA342 Panels Lighting On/Off		2
	SendData("276", string.format("%1d", mainPanelDevice:get_argument_value(60) ))			-- SA342 Trim On/Off		2
	SendData("277", string.format("%1d", mainPanelDevice:get_argument_value(65) ))			-- SA342 Magnetic Brake On/Off		2
	--Lights
	SendData("415", string.format("%.1f", (mainPanelDevice:get_argument_value(146) +1)/10 ))-- SA342 Navigation Lights CLI / OFF / FIX	3
	SendData("270", string.format("%.1f", (mainPanelDevice:get_argument_value(228) +1)/10 ))-- SA342 Anticollision Light NOR / OFF / ATT	3 
	SendData("592", string.format("%.4f", mainPanelDevice:get_argument_value(22) ))			-- SA342 Main Dashboard Lighting >  Engine Power Indicator Power Indicator Mode
	SendData("2003", string.format("%.4f", mainPanelDevice:get_argument_value(21) ))		-- SA342 Console Lighting >  PUI-800 Cannon Rounds
	SendData("2001", string.format("%.4f", mainPanelDevice:get_argument_value(145) ))		-- SA342 UV Lighting >  PUI-800Selected Station Type	
	SendData("72", string.format("%.4f", mainPanelDevice:get_argument_value(30) ))			-- SA342 AntiCollision Light Intensity >  flight time hours
	SendData("138", string.format("%.4f", mainPanelDevice:get_argument_value(230) ))		-- SA342 formation lights brt >  Fuel System Forward Tank Fuel Quantity
	SendData("356", string.format("%1d", mainPanelDevice:get_argument_value(229) ))			-- SA342  inter_Feux_Formation >
	--TV
	SendData("278", string.format("%1d", mainPanelDevice:get_argument_value(124) ))			-- SA342 TV On/Off		2
	SendData("8", string.format("%.4f", mainPanelDevice:get_argument_value(123)/2 ))		-- SA342 TV Brightness		2
	SendData("407", string.format("%.4f", mainPanelDevice:get_argument_value(125)/2 ))		-- SA342 TV Contrast		2
	--Gyro
	SendData("280", string.format("%1d", mainPanelDevice:get_argument_value(198) ))			-- SA342 Gyro Test Switch On/Off    2
	SendData("281", string.format("%1d", mainPanelDevice:get_argument_value(197) ))			-- SA342 Gyro Test Cover On/Off		2
	SendData("154", string.format("%.1f", (mainPanelDevice:get_argument_value(199) +1)/2 ))	-- SA342 Left/Center/Right	3 
	SendData("147", string.format("%.1f", mainPanelDevice:get_argument_value(153)/2.5 ))	-- SA342 CM/A/GM/D/GD   multipos	
	--PE
	SendData("396", string.format("%1d", mainPanelDevice:get_argument_value(367) ))			-- SA342 PE system M/A		2
	SendData("403", string.format("%1d", mainPanelDevice:get_argument_value(362) ))			-- SA342 PE centering		2
	SendData("399", string.format("%1d", mainPanelDevice:get_argument_value(364) ))			-- SA342 PE VDO VTH		2
	SendData("462", string.format("%.1f", mainPanelDevice:get_argument_value(370)/2.5  ))	-- SA342 PE mode		2 ( convert steps 0.25 to steps 0.1
	SendData("335", string.format("%.1f", mainPanelDevice:get_argument_value(366) ))		-- SA342 PE CTH		3 pos 
	SendData("336", string.format("%0.1f", (mainPanelDevice:get_argument_value(365) +1)/2 ))-- SA342 PE CTH		3 pos 
	--PH
	SendData("431", string.format("%.1f", mainPanelDevice:get_argument_value(180)/2.5 ))	-- SA342 PH cle
	SendData("371", string.format("%.1f", mainPanelDevice:get_argument_value(181)/1.25 ))	-- SA342 PH station selection
	--Weapons
	SendData("548", string.format("%1d", mainPanelDevice:get_argument_value(373) ))			-- SA342 weapon cover left		2
	SendData("547", string.format("%1d", mainPanelDevice:get_argument_value(372) ))			-- SA342 weapon left		2
	SendData("283", string.format("%1d", mainPanelDevice:get_argument_value(375) ))			-- SA342 weapon cover right		2
	SendData("282", string.format("%1d", mainPanelDevice:get_argument_value(374) ))			-- SA342 weapon right		2
	SendData("398", string.format("%1d", mainPanelDevice:get_argument_value(376) ))			-- SA342 weapon riple single		2
	SendData("204", string.format("%.4f", mainPanelDevice:get_argument_value(377) ))		-- SA342 weapon left lamp > AGB Oil Press
	SendData("213", string.format("%.4f", mainPanelDevice:get_argument_value(378) ))		-- SA342 weapon right lamp >	SL Hook Open	
	SendData("229", string.format("%.1f", (mainPanelDevice:get_argument_value(354)+1)/10))  -- SA342 weapons power	3
	SendData("532", string.format("%.4f", mainPanelDevice:get_argument_value(357) ))		-- SA342 wp1 display brt >  Clock Stop Watch Seconds
	--FD flare dispenser
	SendData("167", string.format("%.4f", mainPanelDevice:get_argument_value(223) ))		-- SA342 FD g1 lamp > right alarm panel
	SendData("180", string.format("%.4f", mainPanelDevice:get_argument_value(224) ))		-- SA342 FD g2 lamp > right alarm panel
	SendData("179", string.format("%.4f", mainPanelDevice:get_argument_value(225) ))		-- SA342 FD d1 lamp > right alarm panel
	SendData("188", string.format("%.4f", mainPanelDevice:get_argument_value(226) ))		-- SA342 FD d2 lamp > right alarm panel
	SendData("189", string.format("%.4f", mainPanelDevice:get_argument_value(227) ))		-- SA342 FD leu lamp > right alarm panel
	SendData("206", string.format("%.4f", mainPanelDevice:get_argument_value(231) ))		-- SA342 FD left lamp > right alarm panel
	SendData("212", string.format("%.4f", mainPanelDevice:get_argument_value(232) ))		-- SA342 FD right lamp > right alarm panel
	SendData("205", string.format("%.4f", mainPanelDevice:get_argument_value(233) ))		-- SA342 FD power lamp > right alarm panel
	SendData("230", string.format("%.1d", mainPanelDevice:get_argument_value(221) ))		-- SA342 FD seq switch 2 > AGB Oil Press
	SendData("248", string.format("%.1f", (mainPanelDevice:get_argument_value(220)+1)/10))  -- SA342 FD G+D	3 >
	SendData("295", string.format("%.1f", (mainPanelDevice:get_argument_value(222)+1)/10))  -- SA342 FD LE VE AR 3 >
	--PA Autopilot
	SendData("65", string.format("%.1d", mainPanelDevice:get_argument_value(31) ))		-- SA342 PA on off > CPT MECH gear
	SendData("539", string.format("%.1d", mainPanelDevice:get_argument_value(32) ))		-- SA342 PA pitch on 2 > CPT MECH pitot static
	SendData("151", string.format("%.1d", mainPanelDevice:get_argument_value(33) ))		-- SA342 PA roll on 2 > CPT MECH pitot ram
	SendData("153", string.format("%.1d", mainPanelDevice:get_argument_value(34) ))		-- SA342 PA yaw on 2 > engine rotor de icing
	SendData("328", string.format("%.1f", (mainPanelDevice:get_argument_value(35)+1)/10)) -- SA342 PA mode 3 > datalink self id
	--UHF 
	SendData("301", string.format("%.1f", mainPanelDevice:get_argument_value(383)/1.67 ))	-- SA342 UHF left rot
	SendData("512", string.format("%.1d", mainPanelDevice:get_argument_value(384) ))	-- SA342 UHF drw
	SendData("513", string.format("%.1d", mainPanelDevice:get_argument_value(385) ))	-- SA342 UHF vld
	SendData("514", string.format("%.1d", mainPanelDevice:get_argument_value(387) ))	-- SA342 UHF conf
	SendData("515", string.format("%.1d", mainPanelDevice:get_argument_value(388) ))	-- SA342 UHF 1
	SendData("516", string.format("%.1d", mainPanelDevice:get_argument_value(389) ))	-- SA342 UHF 2
	SendData("523", string.format("%.1d", mainPanelDevice:get_argument_value(390) ))	-- SA342 UHF 3
	SendData("156", string.format("%.1d", mainPanelDevice:get_argument_value(391) ))	-- SA342 UHF 4
	SendData("38", string.format("%.1d", mainPanelDevice:get_argument_value(392) ))		-- SA342 UHF 5
	SendData("39", string.format("%.1d", mainPanelDevice:get_argument_value(393) ))		-- SA342 UHF 6
	SendData("41", string.format("%.1d", mainPanelDevice:get_argument_value(394) ))		-- SA342 UHF 7
	SendData("43", string.format("%.1d", mainPanelDevice:get_argument_value(395) ))		-- SA342 UHF 8
	SendData("42", string.format("%.1d", mainPanelDevice:get_argument_value(396) ))		-- SA342 UHF 9
	SendData("40", string.format("%.1d", mainPanelDevice:get_argument_value(397) ))		-- SA342 UHF 0
	--FM radio
	SendData("484", string.format("%.1f", mainPanelDevice:get_argument_value(272)/2.5 ))	-- SA342 FM mode selector
	SendData("483", string.format("%.1f", mainPanelDevice:get_argument_value(273)/1.43 ))	-- SA342 FM channels selector
	--AM radio
	SendData("252", string.format("%.4f", mainPanelDevice:get_argument_value(133) ))	-- SA342 AM 1 digit > 
	SendData("253", string.format("%.4f", mainPanelDevice:get_argument_value(134) ))	-- SA342 AM 2 digit > 
	SendData("254", string.format("%.4f", mainPanelDevice:get_argument_value(136) ))	-- SA342 AM 3 digit > 
	SendData("255", string.format("%.4f", mainPanelDevice:get_argument_value(138) ))	-- SA342 AM 1 dec digit > 
	SendData("256", string.format("%.4f", mainPanelDevice:get_argument_value(139) ))	-- SA342 AM 2 dec digit >
	SendData("181", string.format("%.4f", mainPanelDevice:get_argument_value(141) ))	-- SA342 AM on lamp > 
	SendData("583", string.format("%.1d", mainPanelDevice:get_argument_value(130) ))	-- SA342 AM 25/50 > 	
	SendData("428", string.format("%0.2f", mainPanelDevice:get_argument_value(128)/3 ))	-- SA342 selector A M SQ TEST
	--ADF
	SendData("56", string.format("%1d", mainPanelDevice:get_argument_value(166) ))		-- SA342 ADF select		2
	SendData("57", string.format("%1d", mainPanelDevice:get_argument_value(167) ))		-- SA342 ADF tune	2
	SendData("473", string.format("%.4f", mainPanelDevice:get_argument_value(158) ))	-- SA342 ADF1 1 digit > 
	SendData("474", string.format("%.4f", mainPanelDevice:get_argument_value(159) ))	-- SA342 ADF1 2 digit > 
	SendData("475", string.format("%.4f", mainPanelDevice:get_argument_value(160) ))	-- SA342 ADF1 3 digit > 
	SendData("476", string.format("%.4f", mainPanelDevice:get_argument_value(161) ))	-- SA342 ADF1 dec digit > 	
	SendData("257", string.format("%.4f", mainPanelDevice:get_argument_value(162) ))	-- SA342 ADF2 1 digit > 
	SendData("235", string.format("%.2f", mainPanelDevice:get_argument_value(163) ))	-- SA342 ADF2 2 digit > 
	SendData("234", string.format("%.2f", mainPanelDevice:get_argument_value(164) ))	-- SA342 ADF2 3 digit > 
	SendData("6", string.format("%.4f", mainPanelDevice:get_argument_value(165) ))		-- SA342 ADF2 dec digit > 
	SendData("405", string.format("%.4f", mainPanelDevice:get_argument_value(179) ))	-- SA342 ADF gain rot >  hms bright
	--Radio alt
	SendData("386", string.format("%1d", mainPanelDevice:get_argument_value(91) ))		-- Ralt on /off
	SendData("119", string.format("%.4f", mainPanelDevice:get_argument_value(99) ))		-- Ralt on off flag > HSI Heading Warning Flag
	SendData("114", string.format("%.4f", mainPanelDevice:get_argument_value(98) ))		-- Ralt test flag > HSI Course Warning Flag
	SendData("113", string.format("%1d", mainPanelDevice:get_argument_value(100) ))		-- Ralt test > HSI button test
	--QFE
	local qfe_mil= math.floor((mainPanelDevice:get_argument_value(95)+0.05)*10)*1000
	local qfe_cent= math.floor((mainPanelDevice:get_argument_value(92)+0.05)*10)*100
	local qfe_dec= math.floor((mainPanelDevice:get_argument_value(90)+0.05)*10)*10
	local qfe_unit= math.floor((mainPanelDevice:get_argument_value(88)+0.05)*10)
	local qfe= qfe_mil+qfe_cent+qfe_dec+qfe_unit
	SendData("2002", string.format("%.4f", qfe ))										-- SA342 QFE > PUI-800 Selected Station Count
	--Intercom Pilot
	SendData("338", string.format("%.4f", mainPanelDevice:get_argument_value(68) ))		-- SA342 IC1 VHF >  ZMS-3 Magnetic Variation
	SendData("340", string.format("%.4f", mainPanelDevice:get_argument_value(69) ))		-- SA342 IC1 UHF >  PShK-7 Latitude Entry
	SendData("327", string.format("%.4f", mainPanelDevice:get_argument_value(70) ))		-- SA342 IC1 FM1 >  PVI-800 Control Panel Brightness
	-- HA nad Stby HA
	SendData("128", string.format("%.4f", mainPanelDevice:get_argument_value(115) ))	-- SA342 HA rot >  HSI Lateral deviation
	SendData("97", string.format("%.4f", mainPanelDevice:get_argument_value(215) ))		-- SA342 Stby HA rot  >  Accelerometer Current gs
	--Collective
	SendData("382", string.format("%.1f", (mainPanelDevice:get_argument_value(105)+1)/2))  -- SA342 Landing Light Off/Vario/On > Landing Light On/Off/Retract
	SendData("383", string.format("%1d", mainPanelDevice:get_argument_value(194) ))    -- SA342 flare dispenser guard > Landing Light Primary/Backup Select
	SendData("402", string.format("%1d", mainPanelDevice:get_argument_value(116) ))    -- SA342 flare dispenser guard > Landing Light Primary/Backup Select
	SendData("397", string.format("%1d", mainPanelDevice:get_argument_value(216) ))    -- SA342 flare dispenser guard > Landing Light Primary/Backup Select
end





-- Pointed to by ProcessLowImportance, if the player aircraft is something else
function ProcessNoLowImportance(mainPanelDevice)
end


-----------------------------------------
-- FLAMING CLIFFS AIRCRAFT             --
-- FC aircraft don't support GetDevice --
-----------------------------------------

function ProcessFCExports ()

	local myData = LoGetSelfData()

	if (myData) then
	
		local altBar = LoGetAltitudeAboveSeaLevel()
		local altRad = LoGetAltitudeAboveGroundLevel()
		local pitch, bank, yaw = LoGetADIPitchBankYaw()
		local engine = LoGetEngineInfo()
		local hsi    = LoGetControlPanel_HSI()
		local vvi = LoGetVerticalVelocity()
		local ias = LoGetIndicatedAirSpeed()
		local route = LoGetRoute()
		local aoa = LoGetAngleOfAttack()
		local accelerometer = LoGetAccelerationUnits()
		local glide = LoGetGlideDeviation()
		local side = LoGetSideDeviation()
		local distanceToWay = 999
		local navInfo = LoGetNavigationInfo()
	
	
		if engine then
					local fuelLeftKG = engine.fuel_internal  + engine.fuel_external
					local fuelConsumptionKGsec = engine.FuelConsumption.left + engine.FuelConsumption.right
		end
				
		if (myData and route) then -- if neither are nil
			local myLoc = LoGeoCoordinatesToLoCoordinates(myData.LatLongAlt.Long, myData.LatLongAlt.Lat)
			distanceToWay = math.sqrt((myLoc.x - route.goto_point.world_point.x)^2 + (myLoc.z -  route.goto_point.world_point.z)^2)
		end

			
		if (myData) then
			if myData.Name=="F-15C" then   --- F-15C  prepared for Capt Zeen helios profile
				
				SendData("1", string.format("%.2f", pitch * 57.3) )
				SendData("2", string.format("%.2f", bank * 57.3) )
				SendData("3", string.format("%.2f", yaw * 57.3) )
				SendData("4", string.format("%.2f", altBar) )
				SendData("7", string.format("%.2f", 360 - (hsi.RMI_raw * 57.3) ))
				SendData("8", string.format("%.2f", (myData.Heading * 57.3)) )
				SendData("13", string.format("%.2f", vvi) )
				SendData("16", string.format("%.2f", aoa * 57.3 ) )
				SendData("17", string.format("%.2f", glide) )
				SendData("18", string.format("%.2f", side) )
				
				
				-- prepare pairs of data to send more info to helios........
				
				SendData("9", string.format("%.4f", (math.floor(engine.fuel_internal) + (engine.RPM.left /1000))  ) ) --fuel int + rpm left in rpm.left import data
				SendData("10", string.format("%.4f", (math.floor(engine.fuel_external) + (engine.RPM.right /1000))  ) ) --fuel ext + rpm right in rpm.right import data
				SendData("11", string.format("%.4f", (math.floor(engine.fuel_internal+engine.fuel_external) + (engine.Temperature.left/1000)) ) ) --fuel TOTAL +  eng temp left in eng temp left import data
				if math.floor(route.goto_point.world_point.x)<0 then
					SendData("12", string.format("%.4f", (math.floor(route.goto_point.world_point.x) - (engine.Temperature.right/1000)) ) ) --x coord +  eng temp left in eng temp rifgt import data
					else
					SendData("12", string.format("%.4f", (math.floor(route.goto_point.world_point.x) + (engine.Temperature.right/1000)) ) ) --x coord +  eng temp left in eng temp rifgt import data
				end
				
				SendData("14", string.format("%.5f", (math.floor(distanceToWay) + (ias /10000))  ) ) --distance to way + ias in IAS import data
				
				-- end of pairs
								
				SendData("5", string.format("%.2f", accelerometer.y ))   -- acelerometer in Radar altidud import data
				SendData("15", string.format("%s", navInfo.SystemMode.master .." / ".. navInfo.SystemMode.submode))  -- HUD MODE and SUBMODE in distancetoway import data
				SendData("6", string.format("%.2f", 360 - (hsi.ADF_raw * 57.3)) )  --HSI in f15 format
				
			else

--------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------     Other airplanes
--------------------------------------------------------------------------------------------------------------

					SendData("1", string.format("%.2f", pitch * 57.3) )
					SendData("2", string.format("%.2f", bank * 57.3) )
					SendData("3", string.format("%.2f", yaw * 57.3) )
					SendData("4", string.format("%.2f", altBar) )
					SendData("5", string.format("%.2f", altRad) )
					SendData("6", string.format("%.2f", (360 - (hsi.ADF_raw * 57.3))+(360 - (myData.Heading * 57.3)) ))
					SendData("7", string.format("%.2f", 360 - (hsi.RMI_raw * 57.3) ))
					SendData("8", string.format("%.2f", (myData.Heading * 57.3)) )
					SendData("9", string.format("%.2f", engine.RPM.left) )
					SendData("10", string.format("%.2f", engine.RPM.right) )
					SendData("11", string.format("%.2f", engine.Temperature.left) )
					SendData("12", string.format("%.2f", engine.Temperature.right) )
					SendData("13", string.format("%.2f", vvi) )
					SendData("14", string.format("%.2f", ias) )
					SendData("15", string.format("%.2f", distanceToWay) )
					SendData("16", string.format("%.2f", aoa * 57.3 ) )
					SendData("17", string.format("%.2f", glide) )
					SendData("18", string.format("%.2f", side) )
		
				
				
			end
		end
		
		FlushData()
		
	else
		--if debug_output_file then
		--	debug_output_file:write("ProcessFCExports(4.2) called but myData is nil\r\n")
		--end
	end
	
end




------------------------------------------------
-- P-51D and TF-51D exported as a FC aircraft --
-- 				by Capt Zeen				  --
------------------------------------------------

function ProcessP51Exports ()

		
						-- read from main panel
						local MainPanel = GetDevice(0)
							local AirspeedNeedle = MainPanel:get_argument_value(11)*1000
							local Altimeter_10000_footPtr = MainPanel:get_argument_value(96)*100000
							local Variometer = MainPanel:get_argument_value(29)   
							local TurnNeedle = MainPanel:get_argument_value(27)   
							local Slipball = MainPanel:get_argument_value(28)
							local CompassHeading = MainPanel:get_argument_value(1) 
							local CommandedCourse = MainPanel:get_argument_value(2) 							
							local Manifold_Pressure = MainPanel:get_argument_value(10) 
							local Engine_RPM = MainPanel:get_argument_value(23)
							local AHorizon_Pitch = MainPanel:get_argument_value(15) 
							local AHorizon_Bank = MainPanel:get_argument_value(14) 
							local AHorizon_PitchShift = MainPanel:get_argument_value(16) * 10.0 * math.pi/180.0
							local AHorizon_Caged = MainPanel:get_argument_value(20) 
							local GyroHeading = MainPanel:get_argument_value(12) 
							local vaccum_suction = MainPanel:get_argument_value(9)
							local carburator_temp = MainPanel:get_argument_value(21)
							local coolant_temp = MainPanel:get_argument_value(22)
							local Acelerometer = MainPanel:get_argument_value(175)
							local OilTemperature = MainPanel:get_argument_value(30)
							local OilPressure = MainPanel:get_argument_value(31)
							local FuelPressure = MainPanel:get_argument_value(32)
							local Clock_hours = MainPanel:get_argument_value(4)
							local Clock_minutes = MainPanel:get_argument_value(5)
							local Clock_seconds = MainPanel:get_argument_value(6)
							local LandingGearGreenLight = MainPanel:get_argument_value(80) 
							local LandingGearRedLight = MainPanel:get_argument_value(82)
							local Hight_Blower_Lamp = MainPanel:get_argument_value(59) 						
							local Acelerometer_Min = MainPanel:get_argument_value(177)
							local Acelerometer_Max = MainPanel:get_argument_value(178)
							local Ammeter = MainPanel:get_argument_value(101)	
							local hydraulic_Pressure = MainPanel:get_argument_value(78)  
							local Oxygen_Flow_Blinker = MainPanel:get_argument_value(33)
							local Oxygen_Pressure = MainPanel:get_argument_value(34)
							local Fuel_Tank_Left = MainPanel:get_argument_value(155)
							local Fuel_Tank_Right = MainPanel:get_argument_value(156)
							local Fuel_Tank_Fuselage = MainPanel:get_argument_value(160)
							local Tail_radar_warning = MainPanel:get_argument_value(161)
							local Channel_A = MainPanel:get_argument_value(122)
							local Channel_B = MainPanel:get_argument_value(123)
							local Channel_C = MainPanel:get_argument_value(124)
							local Channel_D = MainPanel:get_argument_value(125)
							local transmit_light = MainPanel:get_argument_value(126)
							local RocketCounter = MainPanel:get_argument_value(77)
													
						--- preparing landing gear and High Blower lights, all together, in only one value	
							local gear_lights = 0
							if LandingGearGreenLight > 0 then gear_lights = gear_lights +100 end
							if LandingGearRedLight > 0 then gear_lights = gear_lights +10 end
							if Hight_Blower_Lamp > 0 then gear_lights = gear_lights +1 end
						------------------------------------------------------------	
						
						--- preparing radio lights, all together, in only one value	
							local radio_active = 0
							if Channel_A > 0 then radio_active = 1 end
							if Channel_B >0 then radio_active= 2 end
							if Channel_C >0 then radio_active= 3 end
							if Channel_D >0 then radio_active= 4 end
							if transmit_light >0 then radio_active = radio_active + 10 end
						------------------------------------------------------------
						
						
						---- sending P51 and tf51 data across fc2 interface
						
							SendData("1", string.format("%.5f", math.floor((AHorizon_Pitch+1)*1000) + ((AHorizon_Bank+1)/100) ) ) 	-- pitch
							SendData("2", string.format("%.3f", math.floor(Oxygen_Flow_Blinker*100) + (Oxygen_Pressure/100) ) )		-- bank
							SendData("3", string.format("%.4f", math.floor(OilTemperature*100) + (vaccum_suction/100) ) )			-- yaw
							SendData("4", string.format("%.3f", math.floor(Altimeter_10000_footPtr) + (AHorizon_Caged/100) ) )		-- barometric altitude 
							SendData("5", string.format("%.5f", math.floor(Clock_hours*1000000) + (Tail_radar_warning/100) ) )		-- radar altitude 
							SendData("6", string.format("%.5f", math.floor(CompassHeading*1000) + (CommandedCourse/100) ) )			-- adf
							SendData("7", string.format("%.4f", math.floor(Clock_seconds*100) + (hydraulic_Pressure/100) ) )		-- rmi
							SendData("8", string.format("%.2f", math.floor(GyroHeading*1000) + (radio_active/100) ) )				-- heading
							SendData("9", string.format("%.4f", math.floor(Engine_RPM*100) + (Manifold_Pressure/100) ) )			-- left rpm
							SendData("10", string.format("%.4f", math.floor(Fuel_Tank_Left*100) + (Fuel_Tank_Right/100) ) )			-- right rpm
							SendData("11", string.format("%.4f", math.floor(carburator_temp*100) + (coolant_temp/100) ) )			-- left temp
							SendData("12", string.format("%.4f", math.floor(gear_lights) + (Acelerometer_Min/100 ) ) )				-- right temp
							SendData("13", string.format("%.2f", Variometer) )														-- vvi
							SendData("14", string.format("%.5f", math.floor(AirspeedNeedle)+ (RocketCounter/100) ) )				-- ias
							SendData("15", string.format("%.4f", math.floor(OilPressure*100) + (FuelPressure/100) ) )				-- distance to way
							SendData("16", string.format("%.3f", math.floor(Acelerometer*1000) + (Acelerometer_Max/100 ) ) )		-- aoa
							SendData("17", string.format("%.4f", math.floor((TurnNeedle+1)*100) + ((Slipball+1)/100) ) )			-- glide
							SendData("18", string.format("%.4f", math.floor(Fuel_Tank_Fuselage*100) + (Ammeter/100) ) )				-- side
						

	FlushData()
end




------------------------------------------------
-- MI-8 exported as a FC aircraft --
-- 				by Capt Zeen				  --
------------------------------------------------
function convert_sw (valor)
	return math.abs(valor-1)+1
end
function convert_lamp (valor_lamp)
	return (valor_lamp  > 0.1) and 1 or 0
end

function parse_indication(indicator_id)  -- Thanks to [FSF]Ian code
	local ret = {}
	local li = list_indication(indicator_id)
	if li == "" then return nil end
	local m = li:gmatch("-----------------------------------------\n([^\n]+)\n([^\n]*)\n")
	while true do
	local name, value = m()
	if not name then break end
		ret[name] = value
	end
	return ret
end

function get_uv26_display()

local li = parse_indication(4)  -- use 5 in DCS1.5     use 4 DCSin 1.5.4
if not li then return "   " end
if not li.txt_digits then return "   " end
return li.txt_digits

end


function ProcessMI8Exports ()


					local _LAST_ONE = 0 -- used to mark the end of the tables	
					local MainPanel = GetDevice(0)
					
					-- radios information
					local R863_ = GetDevice(38)
					local R828_ = GetDevice(39)
					local R863__ON = 0
					local R863__freq= 0
					local R828__ON = 0
					local R828__freq= 0
					
					R863__freq = R863_:get_frequency()
					if (R863_:is_on()) then
					  R863__ON = 1
					end
					R828__freq = R828_:get_frequency()
					if (R828_:is_on()) then
					  R828__ON = 1
					end
					
							-- Pilot console instruments
					local IAS = MainPanel:get_argument_value(24) -- 0 to 1
					local RAM_Temp = ValueConvert(MainPanel:get_argument_value(904),{-50.0, 0, 70.0},{-1.0, 0.0, 1.0})
					local Variometer = ValueConvert(MainPanel:get_argument_value(16),{-30, -20, -10, -5, -2, -1, 0, 1, 2, 5, 10, 20, 30},{-1.0, -0.71, -0.43, -0.23, -0.09, -0.05, 0, 0.05, 0.09, 0.23, 0.43, 0.71, 1.0})
					local TurnNeedle = MainPanel:get_argument_value(22)   
					local Slipball = MainPanel:get_argument_value(23)
					local CompassHeading = MainPanel:get_argument_value(25) 
					local CommandedCourse = MainPanel:get_argument_value(27) + MainPanel:get_argument_value(25) -- convert Commanded Course for helios russian HSI
					local bearing_needle = MainPanel:get_argument_value(28)	* 360	
					   if bearing_needle > 180 then bearing_needle = bearing_needle-360 end   -- convert Bearing Needle from 0,360 to -180,180 for helios russian HSI
					local Engine_RPM_R  = MainPanel:get_argument_value(41) 
					local Engine_RPM_L = MainPanel:get_argument_value(40)
					local RotorRPM = MainPanel:get_argument_value(42)*110
					local RotorPitch = MainPanel:get_argument_value(36)*15
					local LeftEngineTemperature	= MainPanel:get_argument_value(43)*1200
					local RightEngineTemperature = MainPanel:get_argument_value(45)*1200
					local Altimeter = MainPanel:get_argument_value(19)*10000
					local AGB_3K_Left_roll = MainPanel:get_argument_value(13)*180
					local AGB_3K_Left_pitch = (MainPanel:get_argument_value(12)*-180)/2
					local RALT = MainPanel:get_argument_value(34)  -- 0 to 1
					local RALT_danger_alt = MainPanel:get_argument_value(31)  -- 0 to 1
							-- hover indicator
					local diss15_hover_x = MainPanel:get_argument_value(830)
					local diss15_hover_y = MainPanel:get_argument_value(828)
					local diss15_hover_z = MainPanel:get_argument_value(829)
							-- engines start panel dials
					local hydro_pressure_main = MainPanel:get_argument_value(404)
					local hydro_pressure_aux = MainPanel:get_argument_value(405)
					local APU_temperature = MainPanel:get_argument_value(402)  -- 0 to 1
					local APU_pressure = MainPanel:get_argument_value(403)
							-- electric panel dials
					local DC_voltage = MainPanel:get_argument_value(526)
					local DC_battery_I_current = MainPanel:get_argument_value(527)
					local DC_battery_II_current	 = MainPanel:get_argument_value(528)
					local DC_VU_I_current = MainPanel:get_argument_value(529)
					local DC_VU_II_current = MainPanel:get_argument_value(530)	
					local DC_VU_III_current	 = MainPanel:get_argument_value(531)
					local AC_voltage = MainPanel:get_argument_value(532)
					local AC_generator_I_current = MainPanel:get_argument_value(533)
					local AC_generator_II_current = MainPanel:get_argument_value(534)
					local DC_APU_current = MainPanel:get_argument_value(493)	
					local AntiIce_ampermeter = MainPanel:get_argument_value(371)
							--Ingeneer console
					local SPUU_pointer = MainPanel:get_argument_value(126)  -- (-1 to 1)
					local autopilot_yaw_indicator = MainPanel:get_argument_value(122)  -- (-1 to 1)	
					local autopilot_pitch_indicator	= MainPanel:get_argument_value(124)  -- (-1 to 1)	
					local autopilot_roll_indicator = MainPanel:get_argument_value(123)* 3.03  -- (-1 to 1)
					local autopilot_altitude_indicator = MainPanel:get_argument_value(125)  -- (-1 to 1)
					local autopilot_yaw_scale = MainPanel:get_argument_value(119)  -- 0 to 1
					local autopilot_roll_scale = MainPanel:get_argument_value(120) -- 0 to 1
					local autopilot_pitch_scale	= MainPanel:get_argument_value(121) -- 0 to 1
							--Engeneer console dials
					local oils_p_main_reductor = MainPanel:get_argument_value(111) -- 0 to 1
					local oils_t_main_reductor = MainPanel:get_argument_value(114)+ 0.25  -- 0 to 1
					local oils_temp_tail_reductor = MainPanel:get_argument_value(113)+ 0.25  -- 0 to 1
					local oils_temp_intermediate_reductor = MainPanel:get_argument_value(112)+ 0.25  -- 0 to 1
					local oils_p_left_engine = MainPanel:get_argument_value(115) -- 0 to 1
					local oils_t_left_engine = MainPanel:get_argument_value(116)+ 0.25  -- 0 to 1
					local oils_p_right_engine = MainPanel:get_argument_value(117) -- 0 to 1
					local oils_t_right_engine = MainPanel:get_argument_value(118) + 0.25  -- 0 to 1
					local Burst_lenght = MainPanel:get_argument_value(346) -- 0 to 1
							-- Copilot Console
					local FuelScaleUpper = MainPanel:get_argument_value(62) -- 0 to 1				
					local diss15_drift_angle = MainPanel:get_argument_value(791) -- -1 to 1	
					local diss15_W_shutter = MainPanel:get_argument_value(795) -- 0 to 1
					local diss15_W_memory_lamp = MainPanel:get_argument_value(796) -- 0 to 1 inverted LAMP
					local diss15_W_hundreds = MainPanel:get_argument_value(792) -- 0 to 1
					local diss15_W_tens	= MainPanel:get_argument_value(793) -- 0 to 1
					local diss15_W_ones = MainPanel:get_argument_value(794) -- 0 to 1
					local diss15_coord_on_lamp = MainPanel:get_argument_value(817) -- 0 to 1 inversed LAMP
					local diss15_coord_forward = MainPanel:get_argument_value(805) -- 0 to 1 inversed
					local diss15_coord_X_hundreds = MainPanel:get_argument_value(806) -- 0 to 1
					local diss15_coord_X_tens = MainPanel:get_argument_value(807) -- 0 to 1
					local diss15_coord_X_ones = MainPanel:get_argument_value(808) -- 0 to 1
					local diss15_coord_right = MainPanel:get_argument_value(802) -- 0 to 1
					local diss15_coord_Z_hundreds = MainPanel:get_argument_value(799) -- 0 to 1
					local diss15_coord_Z_tens = MainPanel:get_argument_value(800) -- 0 to 1
					local diss15_coord_Z_ones = MainPanel:get_argument_value(801) -- 0 to 1
					local diss15_coord_angle_hundreds = MainPanel:get_argument_value(811) -- 0 to 1
					local diss15_coord_angle_tens = MainPanel:get_argument_value(812) -- 0 to 1
					local diss15_coord_angle_ones = MainPanel:get_argument_value(813) -- 0 to 1
					local diss15_coord_angle_minutes = MainPanel:get_argument_value(814) -- 0 to 1
					local EnginesMode = MainPanel:get_argument_value(39) -- 0 to 1
					local LeftEngineMode = MainPanel:get_argument_value(37) -- 0 to 1
					local RightEngineMode = MainPanel:get_argument_value(38) -- 0 to 1
							-- weapons panel
					local AMMO_CNT1_1 = MainPanel:get_argument_value(577) -- 0 to 1
					local AMMO_CNT1_2 = MainPanel:get_argument_value(578) -- 0 to 1
					local AMMO_CNT2_1 = MainPanel:get_argument_value(580) -- 0 to 1
					local AMMO_CNT2_2 = MainPanel:get_argument_value(581) -- 0 to 1
					local AMMO_CNT3_1 = MainPanel:get_argument_value(583) -- 0 to 1
					local AMMO_CNT3_2 = MainPanel:get_argument_value(584) -- 0 to 1
							-- clock
					local CLOCK_currtime_hours = MainPanel:get_argument_value(49)*12
					local CLOCK_currtime_minutes = MainPanel:get_argument_value(50)*60
					local CLOCK_currtime_seconds = MainPanel:get_argument_value(51)*60
					local CLOCK_flight_hours = MainPanel:get_argument_value(52)*12
					local CLOCK_flight_minutes = MainPanel:get_argument_value(53)*60
					local CLOCK_flight_time_meter_status = MainPanel:get_argument_value(56)*2
					local CLOCK_seconds_meter_time_minutes = MainPanel:get_argument_value(54)*60
					local CLOCK_seconds_meter_time_seconds = MainPanel:get_argument_value(55)*60
							--Left pilot up panel
					local air_system_pressure = MainPanel:get_argument_value(320) -- 0 to 1
					local air_system_brake_pressure = MainPanel:get_argument_value(321) -- 0 to 1
							-- ARC-9
					local ARC_9_Signal = MainPanel:get_argument_value(681) -- 0 to 1
					local ARC_9_Volume = MainPanel:get_argument_value(448)
					local ARC_9_Backup_Frequency_Tune = MainPanel:get_argument_value(449)
					local ARC_9_Backup_100_rotary = MainPanel:get_argument_value(675)
					local ARC_9_Backup_10_rotary = MainPanel:get_argument_value(450)
					local ARC_9_Main_Frequency_Tune = MainPanel:get_argument_value(451)
					local ARC_9_Main_100_rotary = MainPanel:get_argument_value(678)
					local ARC_9_Main_10_rotary = MainPanel:get_argument_value(452)
					local ARC_UD_Volume = MainPanel:get_argument_value(455)
					local GMC_Latitude_Selection = MainPanel:get_argument_value(474)
							-- jadro
					local Jadro_1A_Volume = MainPanel:get_argument_value(743)
					local Jadro_1A_Frequency_Selector_1MHz = MainPanel:get_argument_value(745)	
					local Jadro_1A_Frequency_Selector_100kHz = MainPanel:get_argument_value(746)	
					local Jadro_1A_Frequency_Selector_10kHz	 = MainPanel:get_argument_value(747)
					local Jadro_1A_Frequency_Selector_Left_mouse_1kHz = MainPanel:get_argument_value(748)	
					local Jadro_1A_Frequency_Selector_1MHz_SLAVE = MainPanel:get_argument_value(750)	
					local Jadro_1A_Frequency_Selector_Right_mouse_100Hz  = MainPanel:get_argument_value(749)
							-- others
					local rmi_needle = MainPanel:get_argument_value(28)	
					local Baro_press = ValueConvert(MainPanel:get_argument_value(21),{661.0, 790.0},{-0.051, 0.668})
					local uv26 = get_uv26_display()
					local G_Meter = ValueConvert(MainPanel:get_argument_value(907),{-1.0, 0, 1.0},{-1.0, 0.343, 1.0})
					local G_Meter_Max = ValueConvert(MainPanel:get_argument_value(908),{1.0, 3.0},{0.343, 1.0})
					local G_Meter_Min = ValueConvert(MainPanel:get_argument_value(909),{-1.0, 0.0 ,0.5, 1.0},{-1.0, 0.0, 0.174, 0.343})
					local G_Meter_Min_real = MainPanel:get_argument_value(909)
					local engines_throttle	 = MainPanel:get_argument_value(192)
					local R828_Radio_volume	 = MainPanel:get_argument_value(737)
					local R863_Radio_volume	 = MainPanel:get_argument_value(156)
					local Listening_volume	 = MainPanel:get_argument_value(840)
					local Common_volume	 = MainPanel:get_argument_value(841)
					local Sight_Brightness	 = MainPanel:get_argument_value(589)
							-- new implementations in DCS 1.5
					local Standby_Generator_V_adjust = MainPanel:get_argument_value(498)
					local Generator_1_V_adjust = MainPanel:get_argument_value(536)
					local Generator_2_V_adjust = MainPanel:get_argument_value(537)
					local KO_50_Target_Temperature_Knob = MainPanel:get_argument_value(468)
					local Recorder_P_503B_Backlight_Knob = MainPanel:get_argument_value(308)
					local SalonTemperature  = ValueConvert(MainPanel:get_argument_value(63),{-70.0, -30.0, -20.0, -10.0, 0.0, 10.0, 20.0, 30.0, 70.0},{-0.7, -0.296, -0.227, -0.125, 0.003, 0.132, 0.233, 0.302, 0.693})
					local _55V_Lights_Brightness_Rheostat = MainPanel:get_argument_value(924)
					local Lh_RedLights_Brightness_Rst_1 = MainPanel:get_argument_value(280)
					local Lh_RedLights_Brightness_Rst_2 = MainPanel:get_argument_value(281)
					local Rh_RedLights_Brightness_Rst_1 = MainPanel:get_argument_value(491)
					local Rh_RedLights_Brightness_Rst_2 = MainPanel:get_argument_value(492)
					local Central_RedLights_Brightness_Rst_1 = MainPanel:get_argument_value(894)
					local Central_RedLights_Brightness_Rst_2 = MainPanel:get_argument_value(895)

--  >>>>>  IAS
			local sw_table =
			{			
				[1] = convert_sw (MainPanel:get_argument_value(495)),			-- sw_Battery_1
				[2] = convert_sw (MainPanel:get_argument_value(496)),           -- sw_Battery_2
				[3] = convert_sw (MainPanel:get_argument_value(497)),       	-- sw_Standby_Generator
				[4] = convert_sw (MainPanel:get_argument_value(499)),           -- sw_Rectifier_1
				[5] = convert_sw (MainPanel:get_argument_value(500)),           -- sw_Rectifier_2
				[6] = convert_sw (MainPanel:get_argument_value(501)),           -- sw_Rectifier_3
				[7] = convert_sw (MainPanel:get_argument_value(502)),         	-- sw_DC_ground_power
				[8] = convert_sw (MainPanel:get_argument_value(503)),           -- sw_Equipment_Test 
				[9] = convert_sw (MainPanel:get_argument_value(538)),           -- sw_Generator_1
				[10] = convert_sw (MainPanel:get_argument_value(539)),          -- sw_Generator_2
				[11] = convert_sw (MainPanel:get_argument_value(540)),          -- sw_AC_ground_power
				[12] = convert_sw (MainPanel:get_argument_value(541)),          -- sw_115V_Inverter
				[13] = convert_sw (MainPanel:get_argument_value(542)),          -- sw_36V_Inverter
				[14] = convert_sw (MainPanel:get_argument_value(513)),			-- ANO navigation lights
				[15] = convert_sw (MainPanel:get_argument_value(514)),          -- Formation Lights
				[16] = convert_sw (MainPanel:get_argument_value(515)),       	-- Tip Lights
				[17] = convert_sw (MainPanel:get_argument_value(516)),          -- Strobe Light
				[18] = convert_sw (MainPanel:get_argument_value(517)),          -- Dust Protection Left
				[19] = convert_sw (MainPanel:get_argument_value(518)),          -- Dust Protection Right
				[20] = convert_sw (MainPanel:get_argument_value(426)),			-- Left Engine Shutoff Valve GUARD
				[21] = convert_sw (MainPanel:get_argument_value(428)),			-- Right Engine Shutoff Valve GUARD  
				[22] = convert_sw (MainPanel:get_argument_value(430)),			-- Crossfeed  GUARD  
				[23] = convert_sw (MainPanel:get_argument_value(432)),			-- Bypass GUARD 
				[24] = convert_sw (MainPanel:get_argument_value(427)),			-- Left Engine Shutoff Valve 
				[25] = convert_sw (MainPanel:get_argument_value(429)),			-- Right Engine Shutoff Valve
				[26] = convert_sw (MainPanel:get_argument_value(431)),			-- Crossfeed 
				[27] = convert_sw (MainPanel:get_argument_value(433)),			-- Bypass
				[28] = convert_sw (MainPanel:get_argument_value(438)),			-- Service tank pump 
				[29] = convert_sw (MainPanel:get_argument_value(439)),			-- Left fuel tank pump
				[30] = convert_sw (MainPanel:get_argument_value(440)),			-- Right fuel tank pump 
				[31] = convert_sw (MainPanel:get_argument_value(412)),			-- APU start mode
				[32] = convert_sw (MainPanel:get_argument_value(422)),			-- Select engine
				[33] = convert_sw (MainPanel:get_argument_value(423)),			-- Engine start mode
				[34] = convert_sw ((MainPanel:get_argument_value(208)  > 0.5) and 0 or 1),			-- Rotor brake  
				[35] = convert_sw ((MainPanel:get_argument_value(204)  > 0.5) and 0 or 1),			-- Left engine stop
				[36] = convert_sw ((MainPanel:get_argument_value(206)  > 0.5) and 0 or 1),			-- Right engine stop
				[37] = convert_sw (MainPanel:get_argument_value(399)),			-- Fire Detector Test
				[38] = convert_sw (MainPanel:get_argument_value(400)),			-- Squib Test  Check Fire circuits 
				[39] = convert_sw (MainPanel:get_argument_value(409)),			-- Aux Hydro Cover
				[40] = convert_sw (MainPanel:get_argument_value(406)),			-- Main Hydro 				
				[41] = convert_sw (MainPanel:get_argument_value(410)),			-- Aux Hydro
				[42] = convert_sw (MainPanel:get_argument_value(35)),			-- Radar Altimeter Power
				[43] = convert_sw (MainPanel:get_argument_value(858)),			-- HSI ARC-9/ARC-UD Select
				[44] = convert_sw (MainPanel:get_argument_value(519)),			-- Left Pitot Heater
				[45] = convert_sw (MainPanel:get_argument_value(520)),			-- Right Pitot Heater
				[46] = math.floor((MainPanel:get_argument_value(401)*10)+ 0.5),	-- Check Fire circuits - 8 positions +0.1 each position from 0 the first one
				[47] = convert_sw (MainPanel:get_argument_value(167)),			-- EEC Left
				[48] = convert_sw (MainPanel:get_argument_value(173)),			-- EEC Right 				
				[49] = convert_sw (MainPanel:get_argument_value(168)),			-- ER Left
				[50] = convert_sw (MainPanel:get_argument_value(172)),			-- ER Right
				[51] = convert_sw (MainPanel:get_argument_value(169)),			-- FT Check Left
				[52] = convert_sw (MainPanel:get_argument_value(171)),			-- FT Check Right
				[53] = convert_sw (MainPanel:get_argument_value(170)),			-- CT check
				[54] = convert_sw (MainPanel:get_argument_value(134)),			-- Autopilot Heading ON
				[55] = convert_sw (MainPanel:get_argument_value(135)),			-- Autopilot Heading OFF
				[56] = convert_sw (MainPanel:get_argument_value(138)),			-- Autopilot Pitch/Roll ON
				[57] = convert_sw (MainPanel:get_argument_value(144)),			-- Autopilot Altitude ON
				[58] = convert_sw (MainPanel:get_argument_value(145)),			-- Autopilot Altitude OFF
				[59] = convert_sw (MainPanel:get_argument_value(369)),			-- R-863, Select FM/AM
				[60] = convert_sw (MainPanel:get_argument_value(132)),			-- R-863, Dial/Memory Unit
				[61] = convert_sw (MainPanel:get_argument_value(150)),			-- CHECK LAMPS/FLASHER
				[62] = convert_sw (MainPanel:get_argument_value(155)),			-- R-863, Squelch
				[63] = convert_sw (MainPanel:get_argument_value(153)),			-- R-863, Emergency Receiver On/Off (N/F)
				[64] = convert_sw (MainPanel:get_argument_value(154)),			-- R-863, ARC (N/F)
				[65] = convert_sw (MainPanel:get_argument_value(553)),			-- Radio/ICS
				[66] = convert_sw (MainPanel:get_argument_value(551)),			-- Network 1/2 (N/F)
				[67] = convert_sw (MainPanel:get_argument_value(552)),			-- Circular Call (N/F)
				[68] = math.floor((MainPanel:get_argument_value(550)*10)+ 0.5),	-- Radio Source (R-863/JADRO-1A/R-828/NF/ARC-9/ARC-UD)   6 positions
				[69] = convert_sw (MainPanel:get_argument_value(332)),			--  SPUU-52 Power
				[70] = convert_sw (MainPanel:get_argument_value(127)),			--  SPUU-52 Control Engage
				[71] = convert_sw (MainPanel:get_argument_value(129)),			--  SPUU-52 Control p-t
				[72] = math.floor((MainPanel:get_argument_value(735)*10)+ 0.5), -- R-828 Radio channel selector 10 channels from 0 to 9
				[73] = convert_sw (MainPanel:get_argument_value(739)),       	-- R-828 Radio Squelch
				[74] = convert_sw (MainPanel:get_argument_value(756)),          -- R-828 Radio, Power
				[75] = convert_sw (MainPanel:get_argument_value(757)),          -- R-828 Radio, COMM/NAV
				[76] = convert_sw (MainPanel:get_argument_value(738)),          -- R-828 Radio Tuner button
				[77] = convert_sw (MainPanel:get_argument_value(525)),         -- Transparent Day/Night
				[78] = convert_sw (MainPanel:get_argument_value(147)),          -- Standby Rectifier Cover
				[79] = convert_sw (MainPanel:get_argument_value(148)),          -- Standby Rectifier
				[80] = convert_sw (MainPanel:get_argument_value(149)),         -- 36V Transformer
				[81] = convert_sw (MainPanel:get_argument_value(487)),			--  Right Attitude Indicator Power
				[82] = convert_sw (MainPanel:get_argument_value(335)),          -- Left Attitude Indicator Power
				[83] = convert_sw (MainPanel:get_argument_value(336)),       	-- VK-53, Power
				[84] = convert_sw (MainPanel:get_argument_value(333)),          -- Left Ceiling Light
				[85] = convert_sw (MainPanel:get_argument_value(489)),          -- Right Ceiling Light
				[86] = convert_sw (MainPanel:get_argument_value(479)),          -- 5.5V Lights
				[87] = convert_sw (MainPanel:get_argument_value(480)),         -- Laryngophone
				[88] = convert_sw (MainPanel:get_argument_value(484)),          -- Jadro 1A, Power
				[89] = convert_sw (MainPanel:get_argument_value(338)),          -- RI-65
				[90] = convert_sw (MainPanel:get_argument_value(292)),         -- RI-65 OFF panel
				[91] = convert_sw (MainPanel:get_argument_value(483)),          -- Doppler Navigator, Power
				[92] = convert_sw (MainPanel:get_argument_value(485)),          -- GMC Power astrocompass
				[93] = convert_sw (MainPanel:get_argument_value(866)),          -- Weapon Safe-Armed		
				[94] = convert_sw (MainPanel:get_argument_value(707)),          -- Emergency Explode
				[95] = convert_sw (MainPanel:get_argument_value(706)),          -- Emergency Explode Cover .. bombs panel
				[96] = convert_sw (MainPanel:get_argument_value(709)),          -- Emergency Release
				[97] = convert_sw (MainPanel:get_argument_value(708)),          -- Emergency Release Cover .. bombs panes
				[98] = convert_sw (MainPanel:get_argument_value(717)),          -- Main Bombs
				[99] = convert_sw (MainPanel:get_argument_value(718)),          -- Lamps Check  (copilot)
				[100] = math.floor((MainPanel:get_argument_value(350)*10)+ 0.5), -- PYROCARTRIDGE Left
				[101] = convert_sw (MainPanel:get_argument_value(720)),          -- ESBR Heat
				[102] = math.floor((MainPanel:get_argument_value(351)*10)+ 0.5), -- PYROCARTRIDGE Right
				[103] = convert_sw (MainPanel:get_argument_value(731)),          -- ESBR On/Off
				[104] = convert_sw (MainPanel:get_argument_value(570)),          -- Emergency Explode
				[105] = convert_sw (MainPanel:get_argument_value(572)),          -- Emergency Release	
				[106] = convert_sw (MainPanel:get_argument_value(569)),          -- Emergency Explode Cover  .. weapons panel
				[107] = convert_sw (MainPanel:get_argument_value(571)),          -- Emergency Release Cover .. weapons panel
				[108] = convert_sw (MainPanel:get_argument_value(575)),          -- RS/GUV Selector
				[109] = convert_sw (MainPanel:get_argument_value(576)),          -- Lamps Check  (pilot)
				[110] = convert_sw (MainPanel:get_argument_value(574)),          -- PUS Arming
				[111] = convert_sw (MainPanel:get_argument_value(342)),          -- 8/16/4
				[112] = convert_sw (MainPanel:get_argument_value(343)),          -- 1256/AUTO/34
				[113] = convert_sw (MainPanel:get_argument_value(344)),          -- UPK/PKT/RS
				[114] = convert_sw (MainPanel:get_argument_value(345)),          -- CUTOFF
				[115] = convert_sw (MainPanel:get_argument_value(349)),          -- 800_or_624_622_800
				[116] = convert_sw (MainPanel:get_argument_value(348)),          -- 800 or 624_622_800 Cover
				[117] =  math.floor((MainPanel:get_argument_value(347)*10)+ 0.5), -- In800Out/800inOr624/622		4 posiciones------------------ 0,1	
				[118] =  math.floor((MainPanel:get_argument_value(61)*10)+ 0.5),  -- Fuel meter switch		6 posiciones------------------ 0,1	
				[119] =  math.floor((MainPanel:get_argument_value(719)*10)+ 0.5), -- Pod Variants 6 posiciones ----------	0,1
				[120] =  string.format ( "%02.f", math.floor(MainPanel:get_argument_value(730)*19)),       -- ESBR Position 16 posiciones---------0,0555  ( 120 use 2 characters)
				[121] =  string.format ( "%02.f", math.floor((MainPanel:get_argument_value(370)*20)+ 0.05))         -- R-863, Radio channel selector  20 posiciones---------0,0555  ( 122 use 2 characters)
	
			}																
			
			--   >>>> distance to way
			local sw_table_2 =
			{			
				[1] = convert_sw (MainPanel:get_argument_value(353)),			-- AUTO-MANUAL
				[2] = convert_sw (MainPanel:get_argument_value(354)),           -- GENERAL OFF
				[3] = convert_sw (MainPanel:get_argument_value(355)),       	-- LEFT ENGINE
				[4] = convert_sw (MainPanel:get_argument_value(356)),           -- RIGHT ENGINE
				[5] = convert_sw (MainPanel:get_argument_value(357)),           -- WINDOW
				[6] = convert_sw (MainPanel:get_argument_value(358)),           -- Ice Detector Heater
				[7] = convert_sw (MainPanel:get_argument_value(359)),         	-- Ice Detector Heater Test
				[8] = math.floor((MainPanel:get_argument_value(372)*10)+ 0.5),  -- Anti Ice Sections Current
				[9] = convert_sw (MainPanel:get_argument_value(590)),           -- BW ESBR    --- start weapons breakers switches
				[10] = convert_sw (MainPanel:get_argument_value(591)),          -- Explode
				[11] = convert_sw (MainPanel:get_argument_value(592)),          -- Control
				[12] = convert_sw (MainPanel:get_argument_value(593)),          -- Equipment
				[13] = convert_sw (MainPanel:get_argument_value(594)),          -- RS/GUV Fire
				[14] = convert_sw (MainPanel:get_argument_value(595)),			-- RS/GUV Warning
				[15] = convert_sw (MainPanel:get_argument_value(596)),          -- ESBR Heating
				[16] = convert_sw (MainPanel:get_argument_value(597)),       	-- GUV Out 800 Left
				[17] = convert_sw (MainPanel:get_argument_value(598)),          -- GUV Out 800 Left
				[18] = convert_sw (MainPanel:get_argument_value(599)),          -- GUV Out 800 Right
				[19] = convert_sw (MainPanel:get_argument_value(600)),          -- GUV In Left 622 Left
				[20] = convert_sw (MainPanel:get_argument_value(601)),			-- GUV In Left 622 Right
				[21] = convert_sw (MainPanel:get_argument_value(602)),			-- GUV In Right 622 Left
				[22] = convert_sw (MainPanel:get_argument_value(603)),			-- GUV In Rignt 622 Right
				[23] = convert_sw (MainPanel:get_argument_value(604)),			-- Electric Launch 800 Left 
				[24] = convert_sw (MainPanel:get_argument_value(605)),			-- Electric Launch 800 Right
				[25] = convert_sw (MainPanel:get_argument_value(606)),			-- PKT
				[26] = convert_sw (MainPanel:get_argument_value(607)),			-- Emergency Jettison
				[27] = convert_sw (MainPanel:get_argument_value(608)),			-- Power Jettison
				[28] = convert_sw (MainPanel:get_argument_value(609)),			-- Emergency Jettison
				[29] = convert_sw (MainPanel:get_argument_value(610)),			-- Alarm rockets  ---   end weapons breakers switches
				[30] = convert_sw (MainPanel:get_argument_value(818)),          -- Turn Off Coordinates Calculator
				[31] = convert_sw (MainPanel:get_argument_value(819)),          -- Turn On Coordinates Calculator
				[32] = convert_sw (MainPanel:get_argument_value(815)),          -- Decrease Map Angle
				[33] = convert_sw (MainPanel:get_argument_value(816)),          -- Increase Map Angle
				[34] = convert_sw (MainPanel:get_argument_value(809)),			-- Decrease Path KM
				[35] = convert_sw (MainPanel:get_argument_value(810)),          -- Increase Path KM
				[36] = convert_sw (MainPanel:get_argument_value(803)),       	-- Decrease Deviation KM
				[37] = convert_sw (MainPanel:get_argument_value(804)),          -- Increase Deviation KM
				[38] = math.floor((MainPanel:get_argument_value(826)*10)+ 0.5), -- Mode Switch   	5 posiciones------------------ 0,1	
				[39] = convert_sw (MainPanel:get_argument_value(797)),          -- Test/Work
				[40] = convert_sw (MainPanel:get_argument_value(798)),			-- Land/Sea
				[41] = convert_sw (MainPanel:get_argument_value(836)),			-- Taxi Light
				[42] = convert_sw (MainPanel:get_argument_value(837)),			-- Left Landing Light
				[43] = convert_sw (MainPanel:get_argument_value(838)),			-- Right Landing Light
				[44] = convert_sw (MainPanel:get_argument_value(921)),			-- Weapon Safe/Armed Switch, ON/OFF
				[45] = convert_sw (MainPanel:get_argument_value(310)),			-- Vibration Sensor Test
				[46] = convert_sw (MainPanel:get_argument_value(311)),			-- Temperature Sensor Test Cold
				[47] = convert_sw (MainPanel:get_argument_value(312)),			-- Temperature Sensor Test Hot
				[48] = convert_sw (MainPanel:get_argument_value(313)),			-- Temperature Regulator Test Left
				[49] = convert_sw (MainPanel:get_argument_value(314)),			-- Temperature Regulator Test Right
				[50] = convert_sw (MainPanel:get_argument_value(322)),			-- ANO code
				[51] = convert_sw (MainPanel:get_argument_value(293)),			-- RI-65 Repeat
				[52] = convert_sw (MainPanel:get_argument_value(294)),			-- RI-65 Check
				[53] = convert_sw (MainPanel:get_argument_value(295)),			-- RI-65 Amplifier
				[54] = convert_sw (MainPanel:get_argument_value(910)),          -- CMD Power
				[55] = math.floor((MainPanel:get_argument_value(859)*2)+ 1), -- CMD Select Left/Both/Right board flares dispensers  3 posiciones--- 0,5	
				[56] = convert_sw (MainPanel:get_argument_value(913)),          -- CMD Amount flares counter/Programming
				[57] = convert_sw (MainPanel:get_argument_value(914)),			-- CMD Num of sequences
				[58] = convert_sw (MainPanel:get_argument_value(862)),			-- CMD Dispense interval
				[59] = convert_sw (MainPanel:get_argument_value(863)),			-- CMD Num in sequence
				[60] = convert_sw (MainPanel:get_argument_value(866)),			-- CMD Start dispense
				[61] = convert_sw (MainPanel:get_argument_value(911)),			-- Start/Stop dispense
				[62] = convert_sw (MainPanel:get_argument_value(864)),			-- CMD Reset to default program
				[63] = convert_sw (MainPanel:get_argument_value(865)), 			-- CMD Stop dispense
				[64] = convert_sw (MainPanel:get_argument_value(611)),			-- CB APU start          start breakers------------------
				[65] = convert_sw (MainPanel:get_argument_value(612)),          -- CB APU ignition
				[66] = convert_sw (MainPanel:get_argument_value(613)),       	-- CB Engine start
				[67] = convert_sw (MainPanel:get_argument_value(614)),          -- CB Engine ignition
				[68] = convert_sw (MainPanel:get_argument_value(615)),          -- CB RPM CONTROL
				[69] = convert_sw (MainPanel:get_argument_value(619)),          -- CB TURN INDICATOR
				[70] = convert_sw (MainPanel:get_argument_value(629)),			-- CB Bypass
				[71] = convert_sw (MainPanel:get_argument_value(630)),			-- CB Left valve
				[72] = convert_sw (MainPanel:get_argument_value(631)),			-- CB Right valve
				[73] = convert_sw (MainPanel:get_argument_value(632)),			-- CB Fuelmeter
				[74] = convert_sw (MainPanel:get_argument_value(633)),			-- CB Center tank
				[75] = convert_sw (MainPanel:get_argument_value(634)),			-- CB Left pump
				[76] = convert_sw (MainPanel:get_argument_value(635)),			-- CB Right pump
				[77] = convert_sw (MainPanel:get_argument_value(636)),			-- CB T-819
				[78] = convert_sw (MainPanel:get_argument_value(637)),			-- CB SPUU-52
				[79] = convert_sw (MainPanel:get_argument_value(647)),			-- SPOT CONTROL LEFT
				[80] = convert_sw (MainPanel:get_argument_value(648)),          -- SPOT ON LEFT
				[81] = convert_sw (MainPanel:get_argument_value(649)),          -- SPOT CONTROL RIGHT
				[82] = convert_sw (MainPanel:get_argument_value(650)),          -- SPOT ON RIGHT
				[83] = convert_sw (MainPanel:get_argument_value(651)),          -- ANO
				[84] = convert_sw (MainPanel:get_argument_value(652)),			-- WING LIGHTS
				[85] = convert_sw (MainPanel:get_argument_value(653)),          -- CHECK LAMPS/FLASHER
				[86] = convert_sw (MainPanel:get_argument_value(918)),       	-- CB PRF-4 Light Left, ON/OFF
				[87] = convert_sw (MainPanel:get_argument_value(919)),          -- CB PRF-4 Light Right, ON/OFF
				[88] = convert_sw (MainPanel:get_argument_value(620)),			-- CB Autopilot MAIN
				[89] = convert_sw (MainPanel:get_argument_value(621)),			-- CB Autopilot Frict
				[90] = convert_sw (MainPanel:get_argument_value(622)),			-- CB Autopilot Clutch
				[91] = convert_sw (MainPanel:get_argument_value(623)),			-- CB Hydro Main
				[92] = convert_sw (MainPanel:get_argument_value(624)),			-- CB Hydro Aux
				[93] = convert_sw (MainPanel:get_argument_value(625)), 			-- CB SPU (Intercom)
				[94] = convert_sw (MainPanel:get_argument_value(626)),			-- CB Radio Altimeter
				[95] = convert_sw (MainPanel:get_argument_value(627)),          -- CB Command Radio Station (R-863)
				[96] = convert_sw (MainPanel:get_argument_value(628)),       	-- CB 6201
				[97] = convert_sw (MainPanel:get_argument_value(638)),          -- CB Signalization
				[98] = convert_sw (MainPanel:get_argument_value(639)),          -- CB 1 Queue Left
				[99] = convert_sw (MainPanel:get_argument_value(640)),          -- CB 1 Queue Right
				[100] = convert_sw (MainPanel:get_argument_value(641)),			-- CB 2 Queue Left
				[101] = convert_sw (MainPanel:get_argument_value(642)),			-- CB 2 Queue Right
				[102] = convert_sw (MainPanel:get_argument_value(643)),			-- CB Radio Compass MW(ARC-9)
				[103] = convert_sw (MainPanel:get_argument_value(644)),			-- CB Radio Compass VHF(ARC-UD)
				[104] = convert_sw (MainPanel:get_argument_value(645)),			-- CB Doppler Navigator
				[105] = convert_sw (MainPanel:get_argument_value(646)),			-- CB Radio Meter
				[106] = convert_sw (MainPanel:get_argument_value(656)),			-- CONTROL
				[107] = convert_sw (MainPanel:get_argument_value(657)),			-- LEFT ENGINE
				[108] = convert_sw (MainPanel:get_argument_value(658)),			-- RIGHT ENGINE
				[109] = convert_sw (MainPanel:get_argument_value(659)),			-- RIO-3
				[110] = convert_sw (MainPanel:get_argument_value(660)),          -- WINDOW
				[111] = convert_sw (MainPanel:get_argument_value(661)),          -- LEFT ENGINE
				[112] = convert_sw (MainPanel:get_argument_value(662)),          -- RIGHT ENGINE
				[113] = convert_sw (MainPanel:get_argument_value(663)),          -- RIO-3
				[114] = convert_sw (MainPanel:get_argument_value(664)),			-- WINDOW          end breakers ------------------------------
				[115] = convert_sw (MainPanel:get_argument_value(882)),			-- CB Group 1
				[116] = convert_sw (MainPanel:get_argument_value(883)),			-- CB Group 4
				[117] = convert_sw (MainPanel:get_argument_value(884)),			-- CB Group 7
				[118] = convert_sw (MainPanel:get_argument_value(885)),			-- CB Group 2
				[119] = convert_sw (MainPanel:get_argument_value(886)),			-- CB Group 5
				[120] = convert_sw (MainPanel:get_argument_value(887)),         -- CB Group 8
				[121] = convert_sw (MainPanel:get_argument_value(888)),         -- CB Group 3
				[122] = convert_sw (MainPanel:get_argument_value(889)),         -- CB Group 6
				[123] = convert_sw (MainPanel:get_argument_value(890)),          -- CB Group 9
				[124] = convert_sw (MainPanel:get_argument_value(469)),			-- ARC-9, Main/Backup Dialer
				[125] = convert_sw (MainPanel:get_argument_value(444)),			-- ARC-9, TLF/TLG
				[126] =  math.floor((MainPanel:get_argument_value(446)*10)+ 0.5), -- ARC-9, Mode OFF/COMP/ANT/LOOP     4 posiciones 0.1
				[127] = convert_sw (MainPanel:get_argument_value(447)),			-- ARC-9, Loop Left/Right
				[128] =  math.floor((MainPanel:get_argument_value(494)*10)+ 0.5),         -- DC Bus Selector   8 positions  0.1
				[129] =  string.format ( "%02.f", math.floor((MainPanel:get_argument_value(535)*10)+0.2))        -- AC mode   11 positions   0.1
					-- warning 129 uses 2 characters
			}

  --   >>>> aoa
			local sw_table_3 =
			{			
				[1] =  math.floor((MainPanel:get_argument_value(456)*10)+ 0.5),	-- ARC-UD, Mode OFF/NARROW/WIDE/PULSE/RC  5 posiciones  0.1
				[2] =  math.floor((MainPanel:get_argument_value(457)*10)+ 0.5), -- ARC-UD, Channel			6 posiciones  0.1
				[3] = convert_sw (MainPanel:get_argument_value(453)),       	-- ARC-UD, Sensitivity
				[4] = convert_sw (MainPanel:get_argument_value(454)),           -- ARC-UD, MW/DW
				[5] = convert_sw (MainPanel:get_argument_value(672)),           -- ARC-UD, Control
				[6] = convert_sw (MainPanel:get_argument_value(673)),           -- ARC-UD, Ant. Left
				[7] = convert_sw (MainPanel:get_argument_value(674)),         	-- ARC-UD, Ant. Right
				[8] = convert_sw (MainPanel:get_argument_value(470)),           -- GMC Hemisphere Selection
				[9] = convert_sw (MainPanel:get_argument_value(472)),           -- GMC Mode (MC, DG, AC(N/F))
				[10] = convert_sw (MainPanel:get_argument_value(476)),          -- AGMC Control (Left - 0, Right - 300)
				[11] = convert_sw (MainPanel:get_argument_value(477)),        	-- AGMC Course Setting (Left - CCW, Right - CW)
				[12] = math.floor(MainPanel:get_argument_value(744)*2),         -- Jadro 1A, Mode OFF/OM/AM  3 posiciones 0.5
				[13] = convert_sw (MainPanel:get_argument_value(742)),          -- Jadro 1A, Control
				[14] =math.floor( convert_sw (MainPanel:get_argument_value(741))),  -- Jadro_1A_Squelch
				[15] =  math.floor((MainPanel:get_argument_value(839)*10)+ 0.5), -- Static Pressure System Mode (LEFT/COMMON/RIGHT)		3 posiciones  0.1
				[16] = convert_sw (MainPanel:get_argument_value(146)),         -- Autopilot Altitude Channel Control 
				[17] = convert_sw (MainPanel:get_argument_value(925)),        -- G reset   (changed in 1.5.4 from 910 to 925)
				[18] = convert_sw (MainPanel:get_argument_value(57)),         -- Clock left button
				[19] = convert_sw (MainPanel:get_argument_value(59)),         -- Clock right button
						-- new implementations in DCS 1.5
				[20] = convert_sw (MainPanel:get_argument_value(616)),        -- CB NONAME, ON/OFF
				[21] = convert_sw (MainPanel:get_argument_value(617)),        -- CB Lock Opening Control Main, ON/OFF
				[22] = convert_sw (MainPanel:get_argument_value(618)),        -- CB Lock Opening Control Reserve, ON/OFF
				[23] = convert_sw (MainPanel:get_argument_value(199)),        -- Tactical Cargo Release Button Cover, OPEN/CLOSE
				[24] = convert_sw (MainPanel:get_argument_value(200)),        -- Tactical Cargo Release Button - Push to release
				[25] = convert_sw (MainPanel:get_argument_value(197)),        -- Emergency Cargo Release Button Cover, OPEN/CLOSE
				[26] = convert_sw (MainPanel:get_argument_value(198)),        -- Emergency Cargo Release Button - Push to release
				[27] = convert_sw (MainPanel:get_argument_value(324)),        -- External Cargo Automatic Dropping, ON/OFF
				[28] = convert_sw (MainPanel:get_argument_value(282)),        -- Signal Flares Cassette 1 Power Switch, ON/OFF
				[29] = convert_sw (MainPanel:get_argument_value(283)),        -- Signal Flares Cassette 2 Power Switch, ON/OFF
				[30] = convert_sw (MainPanel:get_argument_value(284)),        -- Signal Flares Cassette 1 Launch Red Button
				[31] = convert_sw (MainPanel:get_argument_value(285)),        -- Signal Flares Cassette 1 Launch Green Button
				[32] = convert_sw (MainPanel:get_argument_value(286)),        -- Signal Flares Cassette 1 Launch Yellow Button
				[33] = convert_sw (MainPanel:get_argument_value(287)),        -- Signal Flares Cassette 1 Launch White Button
				[34] = convert_sw (MainPanel:get_argument_value(288)),        -- Signal Flares Cassette 2 Launch Red Button
				[35] = convert_sw (MainPanel:get_argument_value(289)),        -- Signal Flares Cassette 2 Launch Green Button
				[36] = convert_sw (MainPanel:get_argument_value(290)),        -- Signal Flares Cassette 2 Launch Yellow Button
				[37] = convert_sw (MainPanel:get_argument_value(291)),        -- Signal Flares Cassette 2 Launch White Button
				[38] = convert_sw (MainPanel:get_argument_value(464)),        -- KO-50 Heater Start Button - Push to start
				[39] = convert_sw (MainPanel:get_argument_value(467)),        -- KO-50 Fan Switch, ON/OFF
				[40] = convert_sw (MainPanel:get_argument_value(465)),        -- KO-50 Heater Mode Switch, MANUAL/OFF/AUTO
				[41] = convert_sw (MainPanel:get_argument_value(466)),        -- KO-50 Heater Regime Switch, FILLING/FULL/MEDIUM
				[42] = convert_sw (MainPanel:get_argument_value(315)),        -- SARPP-12 Mode Switch, MANUAL/AUTO
				[43] = convert_sw (MainPanel:get_argument_value(305)),        -- Recorder P-503B Power Switch, ON/OFF
				[44] = convert_sw (MainPanel:get_argument_value(323)),        -- Alarm Bell Button - Push to turn on
					-- Others
				[45] = convert_sw (MainPanel:get_argument_value(202)),        -- Readjust Free Turbine RPM Switch, MORE/OFF/LESS ??
				[46] = convert_sw (MainPanel:get_argument_value(867)),        -- Readjust Free Turbine RPM Switch, MORE/OFF/LESS
				[47] = convert_sw (MainPanel:get_argument_value(389)),        -- Main Discharge Left Engine Button 
				[48] = convert_sw (MainPanel:get_argument_value(390)),        -- Main Discharge Right Engine Button-50 
				[49] = convert_sw (MainPanel:get_argument_value(391)),        -- Main Discharge KO-50 Button-5
				[50] = convert_sw (MainPanel:get_argument_value(392)),        -- Main Discharge APU GEAR Button
				[51] = convert_sw (MainPanel:get_argument_value(393)),        -- Alternate Discharge Left Engine Button
				[52] = convert_sw (MainPanel:get_argument_value(394)),        -- Alternate Discharge Right Engine Button
				[53] = convert_sw (MainPanel:get_argument_value(395)),        -- Alternate Discharge KO-50 Button
				[54] = convert_sw (MainPanel:get_argument_value(396)),        -- Alternate Discharge APU GEAR Button
				[55] = convert_sw (MainPanel:get_argument_value(397)),        -- Turn Off Fire Signal Button
				[56] = convert_sw (MainPanel:get_argument_value(413)),        -- APU Start Button - Push to start APU
				[57] = convert_sw (MainPanel:get_argument_value(415)),        -- APU Stop Button - Push to stop APU
				[58] = convert_sw (MainPanel:get_argument_value(419)),        -- Engine Start Button - Push to start engine
				[59] = convert_sw (MainPanel:get_argument_value(421)),        -- Abort Start Engine Button - Push to abort start
				[60] = convert_sw (MainPanel:get_argument_value(411)),        -- Auxiliary Hydraulic Shut Off Button - Push to shut off
				[61] = convert_sw (MainPanel:get_argument_value(523)),        -- Flasher Switch, ON/OFF
				[62] = convert_sw (MainPanel:get_argument_value(339)),        -- Left Pitot Heater Test Button - Push to test
				[63] = convert_sw (MainPanel:get_argument_value(482)),        -- Right Pitot Heater Test Button - Push to test
				[64] = convert_sw (MainPanel:get_argument_value(32)),         -- radio altimeter test

									-- new implementations in DCS 1.5.4 

				[65] = convert_sw (MainPanel:get_argument_value(522)),        		-- Battery Heating Switch, ON/OFF
				[66] = convert_sw (MainPanel:get_argument_value(366)),           	-- VK-53 Power Switch, ON/OFF
				[67] = convert_sw (MainPanel:get_argument_value(521)),        		-- Clock Heating Switch, ON/OFF
				[68] = math.floor(MainPanel:get_argument_value(437)*2),       		-- Refueling Control Switch, REFUEL/OFF/CHECK   3 pos 0.5
				[69] = convert_sw (MainPanel:get_argument_value(425)),        		-- Engine Ignition Check Switch, LEFT/OFF/RIGHT
				[70] = convert_sw (MainPanel:get_argument_value(573)),       	 	-- Mine Arms Main Switch, ON/OFF
				[71] = convert_sw (MainPanel:get_argument_value(511)),        		-- Cargo Cabin Duty Lights Switch, ON/OFF
				[72] = convert_sw (MainPanel:get_argument_value(512)),        		-- Cargo Cabin Common Lights Switch, ON/OFF
				[73] = convert_sw (MainPanel:get_argument_value(334)),        		-- Left Fan Switch, ON/OFF 
				[74] = convert_sw (MainPanel:get_argument_value(488)),        		-- Right Fan Switch, ON/OFF
				[75] = convert_sw (MainPanel:get_argument_value(481)),         		-- ARC-UD, Lock Switch, LOCK/UNLOCK
				[76] = math.floor((MainPanel:get_argument_value(304)*10)+ 0.5),  	-- IFF Transponder Mode Selector Switch, AUTO/KD/+-15/KP   4 pos 0.1
				[77] = convert_sw (MainPanel:get_argument_value(301)),         		-- IFF Transponder Device Selector Switch, WORK/RESERVE	
				[78] = convert_sw (MainPanel:get_argument_value(300)),         		-- IFF Transponder Device Mode Switch, 1/2			
				[79] = convert_sw (MainPanel:get_argument_value(296)),         		-- IFF Transponder Erase Button Cover, OPEN/CLOSE	
				[80] = convert_sw (MainPanel:get_argument_value(297)),        		-- IFF Transponder Erase Button - Push to erase		
				[81] = convert_sw (MainPanel:get_argument_value(298)),         		-- IFF Transponder Disaster Switch Cover, OPEN/CLOSE
				[82] = convert_sw (MainPanel:get_argument_value(299)),         		-- IFF Transponder Disaster Switch, ON/OFF	
				[83] = convert_sw (MainPanel:get_argument_value(905))         		-- PKT Selector Switch, FLIGHT ENGINEER/PILOT	
		
		
			
			}


 
 
				-- lamps table >>>> YAW

			local lamps_table =
			{	
				[1] = convert_lamp (MainPanel:get_argument_value(33)),      -- RALT_warning_flag
				[2] = convert_lamp (MainPanel:get_argument_value(30)),      -- RALT_lamp
				[3] = convert_lamp (MainPanel:get_argument_value(831)),		-- hover_lamp_off
				[4] = convert_lamp (MainPanel:get_argument_value(783)),     -- lamp_AP_pitch_roll_on
				[5] = convert_lamp (MainPanel:get_argument_value(72)),      -- lamp_VIBRATION_LEFT_HIGH
				[6] = convert_lamp (MainPanel:get_argument_value(73)),      -- lamp_VIBRATION_RIGHT_HIGH
				[7] = convert_lamp (MainPanel:get_argument_value(74)),      -- lamp_FIRE
				[8] = convert_lamp (MainPanel:get_argument_value(76)),      -- lamp_LEFT_ENG_TURN_OFF
				[9] = convert_lamp (MainPanel:get_argument_value(77)),      -- lamp_RIGHT_ENG_TURN_OFF
				[10] = convert_lamp (MainPanel:get_argument_value(68)),     -- lamp_CLOG_TF_LEFT
				[11] = convert_lamp (MainPanel:get_argument_value(69)),     -- lamp_CLOG_TF_RIGHT
				[12] = convert_lamp (MainPanel:get_argument_value(70)),     -- lamp_CHIP_LEFT_ENG
				[13] = convert_lamp (MainPanel:get_argument_value(71)),     -- lamp_CHIP_RIGHT_ENG
				[14] = convert_lamp (MainPanel:get_argument_value(78)),     -- lamp_FT_LEFT_HIGH
				[15] = convert_lamp (MainPanel:get_argument_value(79)),     -- lamp_FT_RIGHT_HIGH
				[16] = convert_lamp (MainPanel:get_argument_value(80)),     -- lamp_OIL_PRESSURE_LEFT
				[17] = convert_lamp (MainPanel:get_argument_value(81)),     -- lamp_OIL_PRESSURE_RIGHT
				[18] = convert_lamp (MainPanel:get_argument_value(82)),     -- lamp_ER_LEFT
				[19] = convert_lamp (MainPanel:get_argument_value(83)),     -- lamp_ER_RIGHT
				[20] = convert_lamp (MainPanel:get_argument_value(84)),     -- lamp_EEC_LEFT_OFF
				[21] = convert_lamp (MainPanel:get_argument_value(85)),     -- lamp_EEC_RIGHT_OFF
				[22] = convert_lamp (MainPanel:get_argument_value(86)),     -- lamp_CIRCUIT_FROM_BATTERY
				[23] = convert_lamp (MainPanel:get_argument_value(873)),    -- lamp_CHIP_MAIN_REDUCTOR
				[24] = convert_lamp (MainPanel:get_argument_value(874)),    -- lamp_CHIP_INTER_REDUCTOR
				[25] = convert_lamp (MainPanel:get_argument_value(875)),    -- lamp_CHIP_TAIL_REDUCTOR
				[26] = convert_lamp (MainPanel:get_argument_value(377)),    -- lamp_LEFT_ENG_FIRE
				[27] = convert_lamp (MainPanel:get_argument_value(378)),    -- lamp_RIGHT_ENG_FIRE
				[28] = convert_lamp (MainPanel:get_argument_value(379)),    -- lamp_KO50_FIRE
				[29] = convert_lamp (MainPanel:get_argument_value(380)),    -- lamp_REDUC_AI9_FIRE
				[30] = convert_lamp (MainPanel:get_argument_value(381)),    -- lamp_FIRE_LENG_1_QUEUE
				[31] = convert_lamp (MainPanel:get_argument_value(382)),    -- lamp_FIRE_RENG_1_QUEUE
				[32] = convert_lamp (MainPanel:get_argument_value(383)),    -- lamp_FIRE_KO50_1_QUEUE
				[33] = convert_lamp (MainPanel:get_argument_value(384)),    -- lamp_FIRE_REDUCT_1_QUEUE
				[34] = convert_lamp (MainPanel:get_argument_value(385)),    -- lamp_FIRE_LENG_2_QUEUE
				[35] = convert_lamp (MainPanel:get_argument_value(386)),    -- lamp_FIRE_RENG_2_QUEUE
				[36] = convert_lamp (MainPanel:get_argument_value(387)),    -- lamp_FIRE_KO50_2_QUEUE
				[37] = convert_lamp (MainPanel:get_argument_value(388)),    -- lamp_FIRE_REDUCT_2_QUEUE
				[38] = convert_lamp (MainPanel:get_argument_value(407)),    -- lamp_HYDRO_main_on
				[39] = convert_lamp (MainPanel:get_argument_value(408)),    -- lamp_HYDRO_aux_on
				[40] = convert_lamp (MainPanel:get_argument_value(414)),    -- lamp_APD9_on
				[41] = convert_lamp (MainPanel:get_argument_value(416)),    -- lamp_APD9_oil_pressure
				[42] = convert_lamp (MainPanel:get_argument_value(417)),    -- lamp_APD9_rpm
				[43] = convert_lamp (MainPanel:get_argument_value(418)),    -- lamp_APD9_rpm_high
				[44] = convert_lamp (MainPanel:get_argument_value(420)),    -- lamp_APD_on
				[45] = convert_lamp (MainPanel:get_argument_value(424)),    -- lamp_APD_starter_on
				[46] = convert_lamp (MainPanel:get_argument_value(434)),    -- lamp_FUEL_left_closed
				[47] = convert_lamp (MainPanel:get_argument_value(435)),    -- lamp_FUEL_right_closed
				[48] = convert_lamp (MainPanel:get_argument_value(436)),    -- lamp_FUEL_ring_closed
				[49] = convert_lamp (MainPanel:get_argument_value(441)),    -- lamp_FUEL_center_on
				[50] = convert_lamp (MainPanel:get_argument_value(442)),    -- lamp_FUEL_left_on
				[51] = convert_lamp (MainPanel:get_argument_value(443)),    -- lamp_FUEL_right_on
				[52] = convert_lamp (MainPanel:get_argument_value(398)),    -- lamp_CHECK_SENSORS
				[53] = convert_lamp (MainPanel:get_argument_value(504)),    -- lamp_ELEC_turn_VU1
				[54] = convert_lamp (MainPanel:get_argument_value(505)),    -- lamp_ELEC_turn_VU2
				[55] = convert_lamp (MainPanel:get_argument_value(506)),    -- lamp_ELEC_turn_VU3
				[56] = convert_lamp (MainPanel:get_argument_value(507)),    -- lamp_ELEC_DC_ground
				[57] = convert_lamp (MainPanel:get_argument_value(508)),    -- lamp_ELEC_test_equipment
				[58] = convert_lamp (MainPanel:get_argument_value(543)),    -- lamp_ELEC_gen1_fail	
				[59] = convert_lamp (MainPanel:get_argument_value(544)),    -- lamp_ELEC_gen2_fail
				[60] = convert_lamp (MainPanel:get_argument_value(545)),    -- lamp_ELEC_AC_ground	
				[61] = convert_lamp (MainPanel:get_argument_value(546)),    -- lamp_ELEC_PO_500
				[62] = convert_lamp (MainPanel:get_argument_value(509)),	-- lamp_LEFT_PZU_ON
				[63] = convert_lamp (MainPanel:get_argument_value(510)),	-- lamp_RIGHT_PZU_ON 
				[64] = convert_lamp (MainPanel:get_argument_value(781)),    -- lamp_AP_heading_on
				[65] = convert_lamp (MainPanel:get_argument_value(782)),    -- lamp_AP_heading_off	
				[66] = convert_lamp (MainPanel:get_argument_value(783)),    -- lamp_AP_pitch_roll_on
				[67] = convert_lamp (MainPanel:get_argument_value(784)),	-- lamp_AP_height_on
				[68] = convert_lamp (MainPanel:get_argument_value(785)),	-- lamp_AP_height_off 
				[69] = convert_lamp (MainPanel:get_argument_value(316)),	-- lamp_ENGINE_RT_LEFT_ON 
				[70] = convert_lamp (MainPanel:get_argument_value(317)),    -- lamp_ENGINE_RT_RIGHT_ON
				[71] = convert_lamp (MainPanel:get_argument_value(318)),    -- lamp_SARPP_ON	
				[72] = convert_lamp (MainPanel:get_argument_value(326)),    -- lamp_LOCK_OPEN
				[73] = convert_lamp (MainPanel:get_argument_value(327)),	-- lamp_DOORS_OPEN
				[74] = convert_lamp (MainPanel:get_argument_value(340)),	-- lamp_TURN_ON_RI_65
				[75] = convert_lamp (MainPanel:get_argument_value(360)),	-- lamp_FROST
				[76] = convert_lamp (MainPanel:get_argument_value(362)),	-- lamp_LEFT_ENG_HEATING
				[77] = convert_lamp (MainPanel:get_argument_value(363)),    -- lamp_RIGHT_ENG_HEATING
				[78] = convert_lamp (MainPanel:get_argument_value(361)),    -- lamp_ANTI_ICE_ON
				[79] = convert_lamp (MainPanel:get_argument_value(364)),    -- lamp_LEFT_PZU_FRONT
				[80] = convert_lamp (MainPanel:get_argument_value(365)),	-- lamp_RIGHT_PZU_FRONT
				[81] = convert_lamp (MainPanel:get_argument_value(366)),	-- lamp_LEFT_PZU_BACK
				[82] = convert_lamp (MainPanel:get_argument_value(367)),	-- lamp_RIGHT_PZU_BACK
				[83] = convert_lamp (MainPanel:get_argument_value(373)),    -- lamp_SECTION_1
				[84] = convert_lamp (MainPanel:get_argument_value(375)),    -- lamp_SECTION_2
				[85] = convert_lamp (MainPanel:get_argument_value(374)),    -- lamp_SECTION_3
				[86] = convert_lamp (MainPanel:get_argument_value(376)),	-- lamp_SECTION_4
				[87] = convert_lamp (MainPanel:get_argument_value(368)),	-- lamp_RIO_heating_ok
				[88] = convert_lamp (MainPanel:get_argument_value(461)),	-- lamp_HEATER
				[89] = convert_lamp (MainPanel:get_argument_value(462)),	-- lamp_IGNITION
				[90] = convert_lamp (MainPanel:get_argument_value(463)),    -- lamp_KO50_ON
				[91] = convert_lamp (MainPanel:get_argument_value(341)),    -- lamp_LEFT_PITOT_HEATER_OK
				[92] = convert_lamp (MainPanel:get_argument_value(490)),    -- lamp_RIGHT_PITOT_HEATER_OK
				[93] = convert_lamp (MainPanel:get_argument_value(509)),	-- lamp_LEFT_PZU_ON
				[94] = convert_lamp (MainPanel:get_argument_value(510)),	-- lamp_RIGHT_PZU_ON
				[95] = convert_lamp (MainPanel:get_argument_value(873)),    -- lamp_CHIP_MAIN_REDUCTOR
				[96] = convert_lamp (MainPanel:get_argument_value(874)),    -- lamp_CHIP_INTER_REDUCTOR
				[97] = convert_lamp (MainPanel:get_argument_value(875)),    -- lamp_CHIP_TAIL_REDUCTOR
				[98] = convert_lamp (MainPanel:get_argument_value(64)),		-- lamp_300_Left   (low fuel?)
				[99] = convert_lamp (MainPanel:get_argument_value(65)),		-- lamp_DISS_OFF   (doppler Off?)
				[100] = convert_lamp (MainPanel:get_argument_value(555)),     -- lamp_BD1
				[101] = convert_lamp (MainPanel:get_argument_value(556)),     -- lamp_BD2
				[102] = convert_lamp (MainPanel:get_argument_value(557)),     -- lamp_BD3
				[103] = convert_lamp (MainPanel:get_argument_value(558)),     -- lamp_BD4
				[104] = convert_lamp (MainPanel:get_argument_value(559)),     -- lamp_BD5
				[105] = convert_lamp (MainPanel:get_argument_value(560)),     -- lamp_BD6
				[106] = convert_lamp (MainPanel:get_argument_value(711)),     -- lamp_BD1Bomb
				[107] = convert_lamp (MainPanel:get_argument_value(712)),     -- lamp_BD2Bomb
				[108] = convert_lamp (MainPanel:get_argument_value(713)),     -- lamp_BD3Bomb
				[109] = convert_lamp (MainPanel:get_argument_value(714)),     -- lamp_BD4Bomb
				[110] = convert_lamp (MainPanel:get_argument_value(715)),     -- lamp_BD5Bomb
				[111] = convert_lamp (MainPanel:get_argument_value(716)),     -- lamp_BD6Bomb
				[112] = convert_lamp (MainPanel:get_argument_value(562)),     -- lamp_PUS1
				[113] = convert_lamp (MainPanel:get_argument_value(563)),     -- lamp_PUS3
				[114] = convert_lamp (MainPanel:get_argument_value(564)),     -- lamp_PUS4
				[115] = convert_lamp (MainPanel:get_argument_value(565)),     -- lamp_PUS6
				[116] = convert_lamp (MainPanel:get_argument_value(561)),     -- lamp_EmergExplode
				[117] = convert_lamp (MainPanel:get_argument_value(705)),     -- lamp_EmergExplodeSec
				[118] = convert_lamp (MainPanel:get_argument_value(710)),     -- lamp_BV_Net_On
				[119] = convert_lamp (MainPanel:get_argument_value(566)),     -- lamp_RS_Net_On
				[120] = convert_lamp (MainPanel:get_argument_value(567)),     -- lamp_GUV_Net_On
				[121] = convert_lamp (MainPanel:get_argument_value(568)),     -- lamp_FKP_On
				[122] = convert_lamp (MainPanel:get_argument_value(778)),     -- lamp_Caution_Weap 1
				[123] = convert_lamp (MainPanel:get_argument_value(586)),     -- lamp_Caution_Weap 2
				[124] = convert_lamp (MainPanel:get_argument_value(587)),     -- lamp_Caution_Weap 3
				[125] = convert_lamp (MainPanel:get_argument_value(588)),     -- lamp_Caution_Weap 4
				[126] = convert_lamp (MainPanel:get_argument_value(786)),     -- SPUU52_lamp
				[127] = convert_lamp (MainPanel:get_argument_value(823)),     -- diss15_check_work_lamp
				[128] = convert_lamp (MainPanel:get_argument_value(824)),     -- diss15_check_failM_lamp
				[129] = convert_lamp (MainPanel:get_argument_value(825)),     -- diss15_check_failC_lamp
				[130] = convert_lamp (MainPanel:get_argument_value(822)),     -- diss15_check_control_lamp
				[131] = convert_lamp (MainPanel:get_argument_value(796)),     -- diss15_W_memory_lamp
				[132] = convert_lamp (MainPanel:get_argument_value(817)),     -- diss15_coord_on_lamp
				[133] = convert_lamp (MainPanel:get_argument_value(458)),     -- ARC_UD_Narrow_Lamp
				[134] = convert_lamp (MainPanel:get_argument_value(459)),     -- ARC_UD_Wide_Lamp
				[135] = convert_lamp (MainPanel:get_argument_value(460)),     -- ARC_UD_Pulse_Lamp
				[136] = convert_lamp (MainPanel:get_argument_value(827)),     -- PU_26_GA_Lamp
				[137] = convert_lamp (MainPanel:get_argument_value(849)),     -- Jadro_ASU_Lamp
				[138] = convert_lamp (MainPanel:get_argument_value(848)),     -- Jadro_Ctl_Lamp
				[139] = convert_lamp (MainPanel:get_argument_value(850)),     -- Jadro_Breakdown_Lamp
				[140] = convert_lamp (MainPanel:get_argument_value(892)),     -- UV26_Left
				[141] = convert_lamp (MainPanel:get_argument_value(891)),     -- UV26_Right
				[142] = convert_lamp (MainPanel:get_argument_value(740)),     -- R828_ASU tune lamp
				[143] = convert_lamp (MainPanel:get_argument_value(306)),     -- lamp_Record_P503B
				[144] = convert_lamp (MainPanel:get_argument_value(325)),     -- Descent Siren
				[145] = convert_lamp (MainPanel:get_argument_value(302)),     -- lamp_IFF_KD
				[146] = convert_lamp (MainPanel:get_argument_value(303)),     -- lamp_IFF_KP
				[147] = convert_lamp (MainPanel:get_argument_value(912)),      -- lamp_IFF_TurnOnReserve
				[148] = convert_lamp (MainPanel:get_argument_value(87))       -- lamp_IFF_Failure
				
			
			} 


			
						----------------------------------------------------------
						---- ok, now lets send all this MI-8 data across fc2 interface to Helios
						----------------------------------------------------------			
						
					-- gauges and instruments  >>> FC pitch	
					SendData("1", string.format("%.2f,%.2f,%.2f,%.2f,%.2f,%.3f,%.3f,%.3f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.3f,%.3f,%.3f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.3f,%.3f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%f",
						RotorRPM, --1
						RotorPitch, --2
						LeftEngineTemperature, --3
						RightEngineTemperature, --4
						Altimeter, --5
						IAS, --6
						RALT, --7
						RALT_danger_alt, --8
						AGB_3K_Left_roll, --9
						AGB_3K_Left_pitch, --10
						diss15_hover_x,-- 11
						diss15_hover_y, -- 12
						diss15_hover_z,	--13
						hydro_pressure_main, --14
						hydro_pressure_aux, --15
						APU_temperature, --16
						APU_pressure,  	-- 17									
						RAM_Temp,  --18
						R863__ON, --19
						R863__freq,    --20
						DC_voltage, --21
						DC_battery_I_current, --22
						DC_battery_II_current, --23
						DC_VU_I_current, --24
						DC_VU_II_current, --25
						DC_VU_III_current, --26
						AC_voltage, --27
						AC_generator_I_current, --28
						AC_generator_II_current, --29
						DC_APU_current, --30
						AntiIce_ampermeter, --31
						SPUU_pointer, --32	
						autopilot_pitch_indicator, --33
						autopilot_roll_indicator, --34
						autopilot_altitude_indicator, --35
						autopilot_yaw_scale, --36
						autopilot_roll_scale, --37
						autopilot_pitch_scale, --38
						oils_p_main_reductor, --39
						oils_t_main_reductor, --40
						oils_temp_tail_reductor, --41
						oils_temp_intermediate_reductor, --42
						oils_p_left_engine, --43
						oils_t_left_engine, --44
						oils_p_right_engine, --45
						oils_t_right_engine,   --46
						autopilot_yaw_indicator, --47
						R828__ON, --48
						R828__freq,    --49
						Burst_lenght, --50
						FuelScaleUpper,		--51
						diss15_drift_angle,  --52
						diss15_W_shutter, --53
						diss15_W_hundreds,  --54
						diss15_W_tens, --55
						diss15_W_ones,  --56
						diss15_coord_forward,  --57
						diss15_coord_X_hundreds, --58
						diss15_coord_X_tens, --59
						diss15_coord_X_ones, --60
						diss15_coord_right, --61
						diss15_coord_Z_hundreds, --62
						diss15_coord_Z_tens, --63
						diss15_coord_Z_ones, --64
						diss15_coord_angle_hundreds,  --65
						diss15_coord_angle_tens, --66
						diss15_coord_angle_ones, --67
						diss15_coord_angle_minutes,  --68
						Engine_RPM_R,   --69
						Engine_RPM_L,  --70
						EnginesMode,  --71
						LeftEngineMode,  --72
						RightEngineMode,  --73
						AMMO_CNT1_1,  --74
						AMMO_CNT1_2,  --75
						AMMO_CNT2_1,  --76
						AMMO_CNT2_2,  --77
						AMMO_CNT3_1,  --78
						AMMO_CNT3_2,  --79
						_LAST_ONE  -- Last one, do not delete this
				
				) )
				
				
				
				-- gauges and instruments 2  	>>> FC barometric altitude 
				SendData("4", string.format("%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%f",
					CLOCK_currtime_hours,  --1
					CLOCK_currtime_minutes,  --2
					CLOCK_currtime_seconds,  --3
					CLOCK_flight_hours,  --4
					CLOCK_flight_minutes,  --5
					CLOCK_flight_time_meter_status,  --6
					CLOCK_seconds_meter_time_minutes,  --7
					CLOCK_seconds_meter_time_seconds,  --8
					air_system_pressure,  --9
					air_system_brake_pressure,  --10
					ARC_9_Signal,   --11
					ARC_9_Volume,   --12
					ARC_9_Backup_Frequency_Tune,   --13
					ARC_9_Backup_100_rotary,   --14
					ARC_9_Backup_10_rotary,   --15
					ARC_9_Main_Frequency_Tune,   --16
					ARC_9_Main_100_rotary,   --17
					ARC_9_Main_10_rotary,   --18
					ARC_UD_Volume, --19
					GMC_Latitude_Selection, --20
					Jadro_1A_Volume, --21
					rmi_needle, --22
					Jadro_1A_Frequency_Selector_1MHz, --23
					Jadro_1A_Frequency_Selector_100kHz, --24
					Jadro_1A_Frequency_Selector_10kHz, --25
					Jadro_1A_Frequency_Selector_Left_mouse_1kHz, --26
					Jadro_1A_Frequency_Selector_1MHz_SLAVE, --27
					Jadro_1A_Frequency_Selector_Right_mouse_100Hz, --28
					Baro_press,  --29
					G_Meter, --30
					G_Meter_Max,  --31
					G_Meter_Min,  --32
					R828_Radio_volume, --33 
					R863_Radio_volume, --34  disponible
					engines_throttle,  --35
					Listening_volume,  --36
					Common_volume,	-- 37
					Sight_Brightness, --38
					TurnNeedle, --39
					Slipball, --40
					Standby_Generator_V_adjust, --41
					Generator_1_V_adjust, --42
					Generator_2_V_adjust, --43
					KO_50_Target_Temperature_Knob, --44
					Recorder_P_503B_Backlight_Knob, --45
					SalonTemperature, --46
					_55V_Lights_Brightness_Rheostat, --47
					Lh_RedLights_Brightness_Rst_1, --48
					Lh_RedLights_Brightness_Rst_2, --49
					Rh_RedLights_Brightness_Rst_1, --50
					Rh_RedLights_Brightness_Rst_2, --51
					Central_RedLights_Brightness_Rst_1, --52
					Central_RedLights_Brightness_Rst_2, --53
					_LAST_ONE  -- Last one, do not delete this
					) )
				
			
					SendData("2", string.format("%.3f", math.floor(bearing_needle*1000) + (bearing_needle/100) ) )		-- bank
					SendData("3", string.format("%s", table.concat(lamps_table,"") ) )   --  lights data >>> 	-- yaw
					SendData("6", string.format("%.5f", math.floor(CompassHeading*1000) + (CommandedCourse/100) ) )			-- adf
					--SendData("7", string.format("%.4f",   data  ) )			-- rmi
					--SendData("8", string.format("%.4f",   data  ) )				-- heading
					SendData("9", string.format("%s",   uv26  ) )			--  uv26 digits >>>>>  left rpm
					--SendData("10", string.format("%.4f",   data  ) )				-- right rpm
					--SendData("11", string.format("%.4f",   data  ) )			-- left temp
					--SendData("12", string.format("%.4f",   data  ) )					-- right temp
					SendData("13", string.format("%.2f", Variometer) )			-- vvi
					SendData("14", string.format("%s", table.concat(sw_table,"") ) )				-- ias
					SendData("15", string.format("%s", table.concat(sw_table_2,"") ) )				-- distance to way
					SendData("16", string.format("%s", table.concat(sw_table_3,"") ) )				-- aoa
					--SendData("17", string.format("%.4f", data ) )			-- glide
					--SendData("18", string.format("%.4f",   data  ) )				-- side
				
				
				
				
				
	FlushData()
end
-------------------------------- End of MI-8 exports
----------------------------------------------------







------------------------------------------------
-- UH-1H exported as a FC aircraft --
-- 				by Capt Zeen				  --
------------------------------------------------

function Process_HUEY_Exports ()
	local _LAST_ONE = 0 -- used to mark the end of the tables	
	local DISPONIBLE = 0 -- unused spaces on tables
					
			local MainPanel = GetDevice(0)
							
			--Course Indicator ID-1347
			local VerticalBar = ValueConvert(MainPanel:get_argument_value(151),{-0.7, 0.7},{-1.0, 1.0})
			local HorisontalBar = ValueConvert(MainPanel:get_argument_value(152),{-0.7, 0.7},{-1.0, 1.0})
			local ToMarker = MainPanel:get_argument_value(153) -- 0 to 1
			local FromMarker = MainPanel:get_argument_value(154) -- 0 to 1
			local RotCourseCard = ValueConvert(MainPanel:get_argument_value(156),{0.0, math.pi * 2.0},{0.0, 1.0})
			local ADF_ARN83_Frequency = MainPanel:get_argument_value(45)
			local ARN83_SignalLevel = MainPanel:get_argument_value(40) -- 0 to 1
			--GMC---
			local GMC_CoursePointer1 = MainPanel:get_argument_value(159) -- 0 to 1
			local GMC_CoursePointer2 = MainPanel:get_argument_value(160) -- 0 to 1
			local GMC_HeadingMarker = MainPanel:get_argument_value(162) -- 0 to 1
			local GMC_Heading = MainPanel:get_argument_value(165) -- 0 to 1
			local GMC_Annunciator = ValueConvert(MainPanel:get_argument_value(166),{-1.0, 1.0},{0.0, 1.0})
			local GMC_PowerFail = MainPanel:get_argument_value(167) -- 0 to 1
			--Copilot RMI----------
			local RMI_CoursePointer1 = ValueConvert(MainPanel:get_argument_value(266),{0.0, math.pi * 2.0},{0.0, 1.0})
			local RMI_CoursePointer2 = ValueConvert(MainPanel:get_argument_value(267),{0.0, math.pi * 2.0},{0.0, 1.0})
			local RMI_Heading = ValueConvert(MainPanel:get_argument_value(269),{0.0, math.pi * 2.0},{0.0, 1.0})
			--Altimeter Indicator AAU-32/A (operator)
			local Pointer = MainPanel:get_argument_value(168)*1000 -- 0 to 1
			local Alt1AAU_10000_footCount = MainPanel:get_argument_value(169)*10 -- 0 to 1
			local Alt1AAU_1000_footCount = MainPanel:get_argument_value(170)*10 -- 0 to 1
			local Alt1AAU_100_footCount = MainPanel:get_argument_value(171)*10 -- 0 to 1
			local AAU_32_Drum_Counter1 = ValueConvert(MainPanel:get_argument_value(174),{-2.0, 1.0},{0.0, 0.3})
			local AAU_32_Drum_Counter2 = MainPanel:get_argument_value(175)*10 -- 0 to 1
			local AAU_32_Drum_Counter3 = MainPanel:get_argument_value(176)*10 -- 0 to 1
			local CodeOff_flag = MainPanel:get_argument_value(177) -- 0 to 1
			local Pressure_Adjustment_copilot = MainPanel:get_argument_value(172)
			--Altimeter Indicator AAU-7/A (pilot)
			local Alt_10000_AAU_7A = MainPanel:get_argument_value(178) -- 0 to 1
			local Alt_1000_AAU_7A = MainPanel:get_argument_value(179) -- 0 to 1
			local Alt_100_AAU_7A = MainPanel:get_argument_value(180) -- 0 to 1
			local Press_AAU_7A = MainPanel:get_argument_value(182) -- 0 to 1
			local Pressure_Adjustment_pilot = MainPanel:get_argument_value(181)	
			-- engines
			local EngOilPress = MainPanel:get_argument_value(113)
			local EngOilTemp = MainPanel:get_argument_value(114)
			local TransmOilPress = MainPanel:get_argument_value(115)
			local TransmOilTemp = MainPanel:get_argument_value(116)
			-- dashboard instruments
			local AIRSPEED_Nose = MainPanel:get_argument_value(117) -- 0 to 1
			local AIRSPEED_Roof = MainPanel:get_argument_value(118) -- 0 to 1
			local ExhaustTemp = MainPanel:get_argument_value(121) -- 0 to 1
			local EngineTach = MainPanel:get_argument_value(122) -- 0 to 1
			local RotorTach = MainPanel:get_argument_value(123) -- 0 to 1
			local GasProducerTach = MainPanel:get_argument_value(119) -- 0 to 1
			local GasProducerTach_U = MainPanel:get_argument_value(120) -- 0 to 1
			local TorquePress = MainPanel:get_argument_value(124)
			local VoltageDC = MainPanel:get_argument_value(149) -- 0 to 1
			local VoltageAC = MainPanel:get_argument_value(150) -- 0 to 1
			local LoadmeterMainGen = MainPanel:get_argument_value(436) -- 0 to 1
			local LoadmeterSTBYGen = MainPanel:get_argument_value(125) -- 0 to 1
			local FuelPress = MainPanel:get_argument_value(126)
			local FuelQuantity = MainPanel:get_argument_value(239)
			-- Mechanic clock
			local CLOCK_hours = MainPanel:get_argument_value(127) -- 0 to 1
			local CLOCK_minutes = MainPanel:get_argument_value(128) -- 0 to 1
			local CLOCK_seconds = MainPanel:get_argument_value(129) -- 0 to 1
			-- burbuja
			local TurnPtr = MainPanel:get_argument_value(132)-- -1 to 1
			local SideSlip = MainPanel:get_argument_value(133) -- -1 to 1
			-- vvi
			local VertVelocPilot = MainPanel:get_argument_value(134) -- -1 to 1
			local VertVelocCopilot = MainPanel:get_argument_value(251) -- -1 to 1
			-- ADI - pilot
			local Attitude_Roll = MainPanel:get_argument_value(142) -- -1 to 1
			local Attitude_Pitch = MainPanel:get_argument_value(143) -- -1 to 1
			local Attitude_Off_flag = MainPanel:get_argument_value(148) --0 to 1 INVERTIDO
			local Attitude_Indicator_Pitch_Trim_Knob_pilot = MainPanel:get_argument_value(145)
			local Attitude_Indicator_Roll_Trim_Knob_pilot = MainPanel:get_argument_value(144)
			-- ADI - operator
			local Attitude_Roll_left = MainPanel:get_argument_value(135) -- -1 to 1
			local Attitude_Pitch_left = MainPanel:get_argument_value(136) -- -1 to 1
			local Attitude_Off_flag_left = MainPanel:get_argument_value(141) --0 to 1 INVERTIDO
			local Attitude_PitchShift = ValueConvert(MainPanel:get_argument_value(138),{0.0, 1.0},{-1.0, 1.0})
			local Attitude_Indicator_Pitch_Trim_Knob_copilot = MainPanel:get_argument_value(146)
			-- RADIOS
			local UHF_10_MHz_Selector = MainPanel:get_argument_value(18)
			local UHF_1_MHz_Selector = MainPanel:get_argument_value(19)
			local UHF_50_kHz_Selector = MainPanel:get_argument_value(20)
			local UHF_Volume = MainPanel:get_argument_value(21)
			local UHF_ARC51_Freq1 = ValueConvert(MainPanel:get_argument_value(10),{2.0, 3.0},{0.0, 1.0})
			local UHF_ARC51_Freq2 = MainPanel:get_argument_value(11)*10 -- 0 to 1
			local UHF_ARC51_Freq3 = MainPanel:get_argument_value(12)*10 -- 0 to 1
			local UHF_ARC51_Freq4 = MainPanel:get_argument_value(13)*10 -- 0 to 1
			local UHF_ARC51_Freq5 = MainPanel:get_argument_value(14)*10 -- 0 to 1
			local UHF_ARC51_FREQ = (UHF_ARC51_Freq1*100) + (UHF_ARC51_Freq2*10) + (UHF_ARC51_Freq3) + (UHF_ARC51_Freq4/10) + (UHF_ARC51_Freq5/100)
								
			local NAV_ARN82_Freq1 = MainPanel:get_argument_value(46)*10 -- 0 to 1
			local NAV_ARN82_Freq2 = MainPanel:get_argument_value(47)*10 -- 0 to 1
			local NAV_ARN82_Freq3 = MainPanel:get_argument_value(48)*10 -- 0 to 1
			local NAV_ARN82_Freq4 = MainPanel:get_argument_value(49)*10 -- 0 to 1
			local NAV_ARN82_Freq5 = MainPanel:get_argument_value(50)*10 -- 0 to 1
			local NAV_ARN82_FREQ = (NAV_ARN82_Freq1*100) + (NAV_ARN82_Freq2*10) + (NAV_ARN82_Freq3) + (NAV_ARN82_Freq4/10) + (NAV_ARN82_Freq5/100)
			
			local VHF_Volume = MainPanel:get_argument_value(37)
			local VHF_ARC134_Freq1 = MainPanel:get_argument_value(1)*10 -- 0 to 1
			local VHF_ARC134_Freq2 = MainPanel:get_argument_value(2)*10 -- 0 to 1
			local VHF_ARC134_Freq3 = MainPanel:get_argument_value(3) -- 0 to 1
			local VHF_ARC134_Freq4 = MainPanel:get_argument_value(4) -- 0 to 1
			local VHF_ARC134_FREQ = 100 + (VHF_ARC134_Freq1*10) + (VHF_ARC134_Freq2) + (VHF_ARC134_Freq3) + (VHF_ARC134_Freq4/10)
			-- Radar Altimeter
			local RALT_Needle = MainPanel:get_argument_value(443) -- 0 to 0.98
			local RALT_LO_Index = MainPanel:get_argument_value(444) -- 0 to 0.744
			local RALT_HI_Index = MainPanel:get_argument_value(466) -- 0 to 0.744
			local RALT_Digit_1 = MainPanel:get_argument_value(468)   -- 0 to 1
			local RALT_Digit_2 = MainPanel:get_argument_value(469)  -- 0 to 1
			local RALT_Digit_3 = MainPanel:get_argument_value(470)  -- 0 to 1
			local RALT_Digit_4 = MainPanel:get_argument_value(471)  -- 0 to 1
			local RALT_Hight_Set = MainPanel:get_argument_value(464)
			-- flares and chaffs
			local FLARE_Digit_1 = MainPanel:get_argument_value(460) *10 -- 0 to 1
			local FLARE_Digit_2 = MainPanel:get_argument_value(461) *10 -- 0 to 1
			local CHAFF_Digit_1 = MainPanel:get_argument_value(462) *10 -- 0 to 1
			local CHAFF_Digit_2 = MainPanel:get_argument_value(463) *10 -- 0 to 1
			local FLARE_counter = MainPanel:get_argument_value(452)
			local CHAFF_counter = MainPanel:get_argument_value(454)
			-- colective
			local Throttle = MainPanel:get_argument_value(250)  -- -1(max) to 0(min)
			-- Overhead panel			
			local Overhead_Console_Panel_Lights_Brightness_Rheostat = MainPanel:get_argument_value(230)
			local Pedestal_Lights_Brightness_Rheostat = MainPanel:get_argument_value(231)
			local Secondary_Instrument_Lights_Brightness_Rheostat = MainPanel:get_argument_value(232)
			local Engine_Instrument_Lights_Brightness_Rheostat = MainPanel:get_argument_value(233)
			local Copilot_Instrument_Lights_Brightness_Rheostat = MainPanel:get_argument_value(234)
			local Pilot_Instrument_Lights_Brightness_Rheostat = MainPanel:get_argument_value(235)	
			local Wiper_Pilot = MainPanel:get_argument_value(284) -- 0 to 1
			local Wiper_Operator = MainPanel:get_argument_value(283) -- 0 to 1
			local LeftWindShield = MainPanel:get_argument_value(414) -- 0 to 1
			local RightWindShield = MainPanel:get_argument_value(413) -- 0 to 1
			local RamTemp = ValueConvert(MainPanel:get_argument_value(437),{-70, -50,   -30,   -10,   0,     10,    20,    30,    50},{0.0, 0.152, 0.314, 0.482, 0.567, 0.651, 0.738, 0.825, 1.0})
			-- Dashboard buttons
			local Marker_beacon_On_Off_Volume = MainPanel:get_argument_value(57)
			local Heading_Set_Knob = MainPanel:get_argument_value(163)
			local Compass_Synchronizing = MainPanel:get_argument_value(161)			
			local Course_select_knob = MainPanel:get_argument_value(155)
			local Sighting_Station_Intensity = MainPanel:get_argument_value(281)
			local Pilot_Sighting_Station_Intensity = MainPanel:get_argument_value(440)
			local Sight_Elevation = MainPanel:get_argument_value(441)
			local Turn_On_Low_Set = MainPanel:get_argument_value(445)
			local adjustment_clock  = MainPanel:get_argument_value(130)
			-- Pedestal panel
			local Code = MainPanel:get_argument_value(58)
			local ARC_134_Frequency_MHz = MainPanel:get_argument_value(5)
			local ARC_134_Power = MainPanel:get_argument_value(7)
			local ARC_134_Frequency_KHz = MainPanel:get_argument_value(9)
			local ARC_134_Volume = MainPanel:get_argument_value(8)
			local intercom_volume = MainPanel:get_argument_value(29)
			local preset_channel_selector = math.floor((MainPanel:get_argument_value(16)*20)+ 0.4)   -- 20 pos 0.05

			local NAV_comm__Frequency_MHz = MainPanel:get_argument_value(51)
			local NAV_comm__Power = MainPanel:get_argument_value(52)
			local NAV_comm__Frequency_KHz = MainPanel:get_argument_value(54)
			local NAV_comm__Volume = MainPanel:get_argument_value(53)
								
			local ARN_83_Gain = MainPanel:get_argument_value(44)
			local ARN_83_Tune = MainPanel:get_argument_value(39)
			local ARN_83_Band = MainPanel:get_argument_value(38)
			local ADF_band_selector = 1
			
			if ARN_83_Band == 0 then
			ADF_ARN83_Frequency = ValueConvert(MainPanel:get_argument_value(45),{400, 420, 450, 850},{0.0, 0.053, 0.11, 0.550})
			ADF_band_selector=2
			end
			if ARN_83_Band < 0 then
			ADF_ARN83_Frequency = ValueConvert(MainPanel:get_argument_value(45),{190, 200, 400},{0.0, 0.048, 0.550})
			ADF_band_selector=1
			end
			if ARN_83_Band > 0 then
			ADF_ARN83_Frequency = ValueConvert(MainPanel:get_argument_value(45),{850, 900, 1800},{0.0, 0.053, 0.550})
			ADF_band_selector=3
			end
			-------------------------------------------	
					
					
			--  >>>>>  yaw		
			local lamps_table =
			{	
				[1] = convert_lamp (MainPanel:get_argument_value(56)),      -- Marker_Beacon_Lamp
				[2] = convert_lamp (MainPanel:get_argument_value(279)),     -- ConsoleLight
				[3] = convert_lamp (MainPanel:get_argument_value(410)),     -- DomeLight
				[4] = convert_lamp (MainPanel:get_argument_value(412)),     -- DomeLightGreen
				[5] = convert_lamp (MainPanel:get_argument_value(447)),     -- RALT_LO_Lamp
				[6] = convert_lamp (MainPanel:get_argument_value(465)),     -- RALT_HI_Lamp
				[7] = convert_lamp (MainPanel:get_argument_value(91)),		-- lamp_ENGINE_OIL_PRESS
				[8] = convert_lamp (MainPanel:get_argument_value(92)),      -- lamp_ENGINE_ICING    
				[9] = convert_lamp (MainPanel:get_argument_value(93)),      -- lamp_ENGINE_ICE_JET  
				[10] = convert_lamp (MainPanel:get_argument_value(94)),     -- lamp_ENGINE_CHIP_DET 
				[11] = convert_lamp (MainPanel:get_argument_value(95)),     -- lamp_LEFT_FUEL_BOOST 
				[12] = convert_lamp (MainPanel:get_argument_value(96)),     -- lamp_RIGHT_FUEL_BOOST
				[13] = convert_lamp (MainPanel:get_argument_value(97)),     -- lamp_ENG_FUEL_PUMP   
				[14] = convert_lamp (MainPanel:get_argument_value(98)),     -- lamp_20_MINUTE       
				[15] = convert_lamp (MainPanel:get_argument_value(99)),     -- lamp_FUEL_FILTER     
				[16] = convert_lamp (MainPanel:get_argument_value(100)),    -- lamp_GOV_EMERG       
				[17] = convert_lamp (MainPanel:get_argument_value(101)),    -- lamp_AUX_FUEL_LOW    
				[18] = convert_lamp (MainPanel:get_argument_value(102)),    -- lamp_XMSN_OIL_PRESS  
				[19] = convert_lamp (MainPanel:get_argument_value(103)),    -- lamp_XMSN_OIL_HOT    
				[20] = convert_lamp (MainPanel:get_argument_value(104)),     --lamp_HYD_PRESSURE    
				[21] = convert_lamp (MainPanel:get_argument_value(105)),    -- lamp_ENGINE_INLET_AIR
				[22] = convert_lamp (MainPanel:get_argument_value(106)),    -- lamp_INST_INVERTER   
				[23] = convert_lamp (MainPanel:get_argument_value(107)),    -- lamp_DC_GENERATOR    
				[24] = convert_lamp (MainPanel:get_argument_value(108)),    -- lamp_EXTERNAL_POWER  
				[25] = convert_lamp (MainPanel:get_argument_value(109)),    -- lamp_CHIP_DETECTOR   
				[26] = convert_lamp (MainPanel:get_argument_value(110)),    -- lamp_IFF             
				[27] = convert_lamp (MainPanel:get_argument_value(254)),    -- lamp_ARMED           
				[28] = convert_lamp (MainPanel:get_argument_value(255)),    -- lamp_SAFE            
				[29] = convert_lamp (MainPanel:get_argument_value(275)),    -- lamp_FIRE            
				[30] = convert_lamp (MainPanel:get_argument_value(276)),    -- lamp_LOW_RPM         
				[31] = convert_lamp (MainPanel:get_argument_value(277)),    -- lamp_MASTER          
				[32] = convert_lamp (MainPanel:get_argument_value(76)),     -- lamp_IFF_REPLY
				[33] = convert_lamp (MainPanel:get_argument_value(77)),      -- lamp_IFF_TEST 
				[34] = convert_lamp (MainPanel:get_argument_value(458)),      -- lamp_XM130_ARMED
				[35] = convert_lamp (MainPanel:get_argument_value(157)),      -- lamp_VerticalOFF
				[36] = convert_lamp (MainPanel:get_argument_value(158)),      -- lamp_HorisontalOFF
				[37] = convert_lamp (MainPanel:get_argument_value(467))      -- lamp_RALT_Off_Flag
			} 
			

			--  >>>>>  IAS
			local sw_table =
			{			
				[1] = convert_sw (MainPanel:get_argument_value(219)),			-- Battery
				[2] = convert_sw (MainPanel:get_argument_value(220)),           -- Starter/Stdby GEN
				[3] = math.floor((MainPanel:get_argument_value(218)*10)+ 0.4),  -- DC Voltmeter Selector  5 posiciones 0,1
				[4] = convert_sw (MainPanel:get_argument_value(221)),           -- Non Essential bus
				[5] = math.floor((MainPanel:get_argument_value(214)*10)+ 0.4),  -- AC Voltmeter Selector   3 posiciones 0,1
				[6] = convert_sw (MainPanel:get_argument_value(215)),           -- Inverter  default 3 posiciones
				[7] = convert_sw (MainPanel:get_argument_value(238)),			--Pitot Heater 238
				[8] = convert_sw (MainPanel:get_argument_value(216)),           --Main generator (Left button - ON/OFF. Right button RESET 216 sprg 3sw
				[9] = convert_sw (MainPanel:get_argument_value(217)),           --Main generator switch cover 217
				[10] = convert_sw (MainPanel:get_argument_value(111)),          --Reset/Test switch 111  sprg 3 sw
				[11] = convert_sw (MainPanel:get_argument_value(112)),          --Bright/Dim switch 112  sprg 3 sw
				[12] = convert_sw (MainPanel:get_argument_value(81)),			--Main Fuel  81
				[13] = convert_sw (MainPanel:get_argument_value(240)),          --Test Fuel Gauge 240
				[14] = math.floor((MainPanel:get_argument_value(58)*10)+ 0.4),  --Code  58  multipos sprg 0.1
				[15] = math.floor((MainPanel:get_argument_value(59)*10)+ 0.4),  --Master 59  5 pos 0.1
				[16] = convert_sw (MainPanel:get_argument_value(60)),           --Audio/light  60 3sw
				[17] = convert_sw (MainPanel:get_argument_value(61)),			--Test M-1  61  sprg 3sw
				[18] = convert_sw (MainPanel:get_argument_value(62)),           --Test M-2  62  sprg 3sw
				[19] = convert_sw (MainPanel:get_argument_value(63)),           --Test M-3A  63  sprg 3sw
				[20] = convert_sw (MainPanel:get_argument_value(64)),           --Test M-C  64  sprg 3sw
				[21] = convert_sw (MainPanel:get_argument_value(65)),           --RAD Test/Mon  65  sprg 3sw
				[22] = convert_sw (MainPanel:get_argument_value(66)),           --Ident/Mic  66  sprg 3sw
				[23] = convert_sw (MainPanel:get_argument_value(67)),			--IFF On/Out  67
				[24] = math.floor((MainPanel:get_argument_value(68)*3.03)+0.1), --MODE1-WHEEL1  68  4 pos 0.33
				[25] = math.floor((MainPanel:get_argument_value(69)*9.09)+0.1), --MODE1-WHEEL2  69  8 pos 0.11
				[26] = math.floor((MainPanel:get_argument_value(70)*9.09)+0.1), --MODE3A-WHEEL1  70  8 pos 0.11
				[27] = math.floor((MainPanel:get_argument_value(71)*9.09)+0.1), --MODE3A-WHEEL2  71  8 pos 0.11
				[28] = math.floor((MainPanel:get_argument_value(72)*9.09)+0.1), --MODE3A-WHEEL3  72  8 pos 0.11
				[29] = math.floor((MainPanel:get_argument_value(73)*9.09)+0.1), --MODE3A-WHEEL4  73  8 pos 0.11
				[30] = convert_sw (MainPanel:get_argument_value(67)),           --                                        DISPONIBLE
				[31] = convert_sw (MainPanel:get_argument_value(67)),           --                                        DISPONIBLE
				[32] = convert_sw (MainPanel:get_argument_value(131)),          --Winding clock 131  
				[33] = convert_sw (MainPanel:get_argument_value(67)),           --                                        DISPONIBLE
				[34] = convert_sw (MainPanel:get_argument_value(206)),         	--Throttle Stop  206
				[35] = convert_sw (MainPanel:get_argument_value(84)),         	--De-Ice On/Off   84
				[36] = convert_sw (MainPanel:get_argument_value(80)),         	--Low RPM Warning  80
				[37] = convert_sw (MainPanel:get_argument_value(86)),         	--Chip Detector  86  sprg 3sw
				[38] = convert_sw (MainPanel:get_argument_value(85)),			--Governor Emer/Auto 85
				[39] = convert_sw (MainPanel:get_argument_value(90)),         	--Hydraulic Control  90
				[40] = convert_sw (MainPanel:get_argument_value(89)),         	--Force Trim  89
				[41] = convert_sw (MainPanel:get_argument_value(203)),         	--Governor  203 sprg 3sw
				[42] = convert_sw (MainPanel:get_argument_value(278)),        	--Fire Test  278
				[43] = convert_sw (MainPanel:get_argument_value(140)),        	--Cage Copilot's Attitude Indicator  140
				[44] = convert_sw (MainPanel:get_argument_value(6)),        			--ARC-134 Test 6 
				[45] = convert_sw (MainPanel:get_argument_value(23)),         	--VHF FM Radio Receiver 23
				[46] = convert_sw (MainPanel:get_argument_value(24)),         	--UHF Radio Receiver 24
				[47] = convert_sw (MainPanel:get_argument_value(25)),         	--VHF AM Radio Receiver 25
				[48] = convert_sw (MainPanel:get_argument_value(26)),			--Receiver 4 N/F 26
				[49] = convert_sw (MainPanel:get_argument_value(27)),         	--INT Receiver 27
				[50] = convert_sw (MainPanel:get_argument_value(28)),         	--Receiver NAV 28
				[51] = math.floor((MainPanel:get_argument_value(30)*10)+0.4),   --Intercom Mode (PVT; INT; 1-VHF; 2-UHF; 3-VHF AM; 4-Not used)  30  6 pos   0.1
				[52] = convert_sw (math.floor((MainPanel:get_argument_value(194)*2)-1))       --Radio/ICS  194 3 pos 0.5
			}									

			
			--   >>>> distance to way
			local sw_table_2 =
			{			
				[1] = convert_sw (MainPanel:get_argument_value(285)),			--CB IFF APX 1 (N/F)  285
				[2] = convert_sw (MainPanel:get_argument_value(287)),           --CB IFF APX 2 (N/F) 
				[3] = convert_sw (MainPanel:get_argument_value(289)),       	--CB Prox. warn.(N/F)  289
				[4] = convert_sw (MainPanel:get_argument_value(291)),           --CB Marker beacon  291
				[5] = convert_sw (MainPanel:get_argument_value(293)),           --CB VHF Nav. (ARN-82)  293
				[6] = convert_sw (MainPanel:get_argument_value(295)),           --CB LF Nav. (ARN-83)  295
				[7] = convert_sw (MainPanel:get_argument_value(297)),         	--CB Intercom CPLT(N/F)  297
				[8] = convert_sw (MainPanel:get_argument_value(299)),           --CB Intercom PLT  299
				[9] = convert_sw (MainPanel:get_argument_value(349)),           --CB ARC-102 HF Static INVTR(N/F)  349
				[10] = convert_sw (MainPanel:get_argument_value(351)),          --CB HF ANT COUPLR(N/F)  351
				[11] = convert_sw (MainPanel:get_argument_value(353)),          --CB HF ARC-102(N/F)  353
				[12] = convert_sw (MainPanel:get_argument_value(355)),          --CB FM Radio  355
				[13] = convert_sw (MainPanel:get_argument_value(357)),          --CB UHF Radio  357
				[14] = convert_sw (MainPanel:get_argument_value(359)),			--CB FM 2 Radio(N/F)  359
				[15] = convert_sw (MainPanel:get_argument_value(361)),          --CB VHF AM Radio  361
				[16] = convert_sw (MainPanel:get_argument_value(321)),       	--CB Pitot tube(N/F)  321
				[17] = convert_sw (MainPanel:get_argument_value(345)),          --CB Rescue hoist CTL(N/F)  345
				[18] = convert_sw (MainPanel:get_argument_value(347)),          --CB Rescue hoist cable cutter N/F)  347
				[19] = convert_sw (MainPanel:get_argument_value(303)),          --CB Wind wiper PLT  303
				[20] = convert_sw (MainPanel:get_argument_value(301)),			--CB Wind wiper CPLT  301
				[21] = convert_sw (MainPanel:get_argument_value(305)),			--CB KY-28 voice security(N/F)  305
				[22] = convert_sw (MainPanel:get_argument_value(403)),			--CB Starter Relay(N/F)  403
				[23] = convert_sw (MainPanel:get_argument_value(307)),			--CB Search light power(N/F)  307
				[24] = convert_sw (MainPanel:get_argument_value(309)),			--CB Landing light power(N/F)  309
				[25] = convert_sw (MainPanel:get_argument_value(311)),			--CB Landing & Search light control(N/F) , 311
				[26] = convert_sw (MainPanel:get_argument_value(313)),			--CB Anticollision light(N/F)  313
				[27] = convert_sw (MainPanel:get_argument_value(363)),			--CB Fuselage lights(N/F)  363
				[28] = convert_sw (MainPanel:get_argument_value(365)),			--CB Navigation lights(N/F)  365
				[29] = convert_sw (MainPanel:get_argument_value(367)),			--CB Dome lights(N/F)  367
				[30] = convert_sw (MainPanel:get_argument_value(369)),          --CB Cockpit lights(N/F)  369
				[31] = convert_sw (MainPanel:get_argument_value(371)),          --CB Caution lights(N/F)  371
				[32] = convert_sw (MainPanel:get_argument_value(373)),          --CB Console lights(N/F)  373
				[33] = convert_sw (MainPanel:get_argument_value(375)),          --CB INST Panel lights(N/F)  375
				[34] = convert_sw (MainPanel:get_argument_value(377)),			--CB INST SEC lights(N/F)  377
				[35] = convert_sw (MainPanel:get_argument_value(323)),          --CB Cabin heater (Outlet valve)(N/F)  323
				[36] = convert_sw (MainPanel:get_argument_value(325)),       	--CB Cabin heater (Air valve)(N/F) 325
				[37] = convert_sw (MainPanel:get_argument_value(343)),          --CB Rescue hoist PWR(N/F)  343
				[38] = convert_sw (MainPanel:get_argument_value(327)),          --CB RPM Warning system(N/F)  327
				[39] = convert_sw (MainPanel:get_argument_value(329)),          --CB Engine anti-ice(N/F)  329
				[40] = convert_sw (MainPanel:get_argument_value(331)),			--CB Fire detector(N/F)  331
				[41] = convert_sw (MainPanel:get_argument_value(333)),			--CB LH fuel boost pump(N/F)  333
				[42] = convert_sw (MainPanel:get_argument_value(335)),			--CB Turn & Slip indicator  335
				[43] = convert_sw (MainPanel:get_argument_value(337)),			--CB TEMP indicator(N/F)  337
				[44] = convert_sw (MainPanel:get_argument_value(339)),			--CB HYD Control(N/F)  339
				[45] = convert_sw (MainPanel:get_argument_value(341)),			--CB FORCE Trim(N/F)  341
				[46] = convert_sw (MainPanel:get_argument_value(379)),			--CB Cargo hook release(N/F)  379
				[47] = convert_sw (MainPanel:get_argument_value(381)),			--CB EXT Stores jettison(N/F)  381
				[48] = convert_sw (MainPanel:get_argument_value(383)),			--CB Spare inverter PWR(N/F)  383
				[49] = convert_sw (MainPanel:get_argument_value(385)),			--CB Inverter CTRL (N/F)  385
				[50] = convert_sw (MainPanel:get_argument_value(387)),			--CB Main inverter PWR(N/F)  387
				[51] = convert_sw (MainPanel:get_argument_value(389)),			--CB Generator & Bus Reset(N/F) 389)
				[52] = convert_sw (MainPanel:get_argument_value(391)),			--CB STBY Generator Field(N/F)  391
				[53] = convert_sw (MainPanel:get_argument_value(393)),			--CB Governor Control(N/F)  393
				[54] = convert_sw (MainPanel:get_argument_value(395)),          --CB IDLE Stop release(N/F)  395
				[55] = convert_sw (MainPanel:get_argument_value(397)),          --CB RH fuel boost pump(N/F)  397
				[56] = convert_sw (MainPanel:get_argument_value(399)),          --CB Fuel TRANS(N/F)  399
				[57] = convert_sw (MainPanel:get_argument_value(401)),			--CB Fuel valves(N/F)  401
				[58] = convert_sw (MainPanel:get_argument_value(315)),			--CB Heated blanket 1(N/F)  315
				[59] = convert_sw (MainPanel:get_argument_value(317)),			--CB Heated blanket 2(N/F)  317
				[60] = convert_sw (MainPanel:get_argument_value(319)),			--CB Voltmeter Non Ess Bus(N/F)  319
				[61] = convert_sw (MainPanel:get_argument_value(405)),			--CB Ignition system(N/F)  405
				[62] = convert_sw (MainPanel:get_argument_value(423)),			--CB Pilot ATTD1(N/F)  423
				[63] = convert_sw (MainPanel:get_argument_value(424)), 			--CB Pilot ATTD2(N/F)  424
				[64] = convert_sw (MainPanel:get_argument_value(425)),			--CB Copilot ATTD1(N/F)  425
				[65] = convert_sw (MainPanel:get_argument_value(426)),          --CB Copilot ATTD2(N/F)  426
				[66] = convert_sw (MainPanel:get_argument_value(427)),       	--CB Gyro Cmps(N/F)  427
				[67] = convert_sw (MainPanel:get_argument_value(428)),          --CB Fuel Quantity(N/F)  428
				[68] = convert_sw (MainPanel:get_argument_value(429)),          --CB 28V Trans(N/F)  429
				[69] = convert_sw (MainPanel:get_argument_value(430)),          --CB Fail Relay(N/F)  430
				[70] = convert_sw (MainPanel:get_argument_value(431)),			--CB Pressure Fuel(N/F)  431
				[71] = convert_sw (MainPanel:get_argument_value(432)),			--CB Pressure Torque(N/F)  432
				[72] = convert_sw (MainPanel:get_argument_value(433)),			--CB Pressure XMSN(N/F)  433
				[73] = convert_sw (MainPanel:get_argument_value(434)),			--CB Pressure Eng(N/F)  434
				[74] = convert_sw (MainPanel:get_argument_value(435))			--CB Course Ind(N/F)  435
			}
			
 			
			--  >>>>>>  aoa
			local sw_table_3 =
			{			
				[1] = math.floor((MainPanel:get_argument_value(15)*10)+0.4),			--Frequency Mode Dial 15 3 pos 0.1
				[2] = math.floor((MainPanel:get_argument_value(17)*10)+0.4),            --Function Dial 17 4 pos 0.1
				[3] = convert_sw (MainPanel:get_argument_value(22)),            		--Squelch  22
				[4] = math.floor((MainPanel:get_argument_value(31)*10)+0.4),          	 --Frequency Tens MHz  31   5 pos 0.1,0.3 ?
				[5] = math.floor((MainPanel:get_argument_value(32)*10)+0.4),           	--Frequency Ones MHz  32   10 pos 0.1
				[6] = math.floor((MainPanel:get_argument_value(33)*10)+0.4),           	--Frequency Decimals MHz  33   10 pos 0.1
				[7] = math.floor((MainPanel:get_argument_value(34)*10)+0.4),			--Frequency Hundredths MHz  34   2 pos 0.1
				[8] = math.floor((MainPanel:get_argument_value(35)*10)+0.4),           	--Mode OFF/TR/RETRAN(N/F)/HOME(N/F)  35   4 pos 0.1
				[9] = math.floor((MainPanel:get_argument_value(36)*10)+0.4),          	--Squelch Mode  36    3 pos 0.1
				[10] = convert_sw (MainPanel:get_argument_value(55)),          			--Marker beacon sensing  55
				[11] = math.floor((MainPanel:get_argument_value(42)*10)+0.4),          	--ADF Loop Antenna speed 42 5 pos 0.1		
				[12] = convert_sw (MainPanel:get_argument_value(41)),					--BFO (N/F)  41
				[13] = math.floor((MainPanel:get_argument_value(222)*10)+0.4),        	--Navigation lights 222, 6 pos 0.1
				[14] = convert_sw (MainPanel:get_argument_value(223)),         			--Position Lights, STEADY/OFF/FLASH 223   3 pos
				[15] = convert_sw (MainPanel:get_argument_value(224)),         			--Position Lights, DIM/BRIGHT 224
				[16] = convert_sw (MainPanel:get_argument_value(225)),         			--Anti-Collision Lights, ON/OFF 225
				[17] = convert_sw (MainPanel:get_argument_value(202)),					--Landing Light 202
				[18] = convert_sw (MainPanel:get_argument_value(201)),         			--Search Light 201  3 pos
				[19] = convert_sw (MainPanel:get_argument_value(205)),         			--Landing Light Ctrl 205 3 pos
				[20] = convert_sw (MainPanel:get_argument_value(226)),           		--Dome Light Ctrl 226   3 pos
				[21] = math.floor((MainPanel:get_argument_value(236)*10)+0.4),          --Bleed Air 236 5 pos 0.1
				[22] = convert_sw (MainPanel:get_argument_value(164)),           		--ADF/VOR control   164
				[23] = convert_sw (MainPanel:get_argument_value(241)),					--DG/Slave gyro mode  241
				[24] = convert_sw (MainPanel:get_argument_value(252)),          		--Armed/Safe/Off 252   3 pos
				[25] = convert_sw (MainPanel:get_argument_value(253)),          		--Left/Right/All 253   3 pos
				[26] = convert_sw (MainPanel:get_argument_value(256)),          		--7.62/2.75/40 256   3 pos
				[27] = math.floor((MainPanel:get_argument_value(257)*10)+0.4),  		--Rocket Pair 257, 8 pos 0.1
				[28] = convert_sw (MainPanel:get_argument_value(258)),					--Rocket Reset 258
				[29] = convert_sw (MainPanel:get_argument_value(259)),          		--Jettison Cover 259   3 pos
				[30] = convert_sw (MainPanel:get_argument_value(260)),          		--Jettison 260
				[31] = convert_sw (MainPanel:get_argument_value(408)),          --Sighting Station Lamp Switch BACKUP/OFF/MAIN 408    3 pos
				[32] = convert_sw (MainPanel:get_argument_value(0)),         	--Pilot Sight Armed/Safe    0
				[33] = convert_sw (MainPanel:get_argument_value(439)),         	--Pilot Sight On/Off    439
				[34] = convert_sw (MainPanel:get_argument_value(227)),         	--Pilot/Both/Operator 227  3 pos
				[35] = math.floor((MainPanel:get_argument_value(229)*10)+0.4),  --Wipers Speed  229   multipos  0.1
				[36] = convert_sw (MainPanel:get_argument_value(189)),         	--Force Trim ON/OFF 189
				[37] = convert_sw (MainPanel:get_argument_value(193)),         	--Force Trim ON/OFF 193
				[38] = convert_sw (MainPanel:get_argument_value(450)),					--Ripple Fire Cover 450
				[39] = convert_sw (MainPanel:get_argument_value(451)),         			--Ripple Fire 451
				[40] = convert_sw (MainPanel:get_argument_value(456)),         			--SAFE/ARMED Switcher 456
				[41] = convert_sw (MainPanel:get_argument_value(459)),         			--MAN/PGRM Mode 459
				[42] = convert_sw (MainPanel:get_argument_value(464)),        			--Flare Dispense 464
				[43] = convert_sw (MainPanel:get_argument_value(457)),        			--Armed lamp Test 457
				[44] = convert_sw (MainPanel:get_argument_value(449)),        			--Radar Altimeter Power 449
				[45] = convert_sw (MainPanel:get_argument_value(453)),        			--flare reset  453
				[46] = convert_sw (MainPanel:get_argument_value(455)),       			--chaffs reset 454
				[47] = convert_sw (MainPanel:get_argument_value(446)),       			--Radar Alt test   446
				[48] = math.floor((MainPanel:get_argument_value(43)*10)+0.4)      			--ARN_83_Mode   43
			}									
	

			------------------------------------------------------------------------
			---- ok, now, lets send all this UH-1H data across fc interface to Helios
			------------------------------------------------------------------------
			
			-- gauges and instruments  >>> FC pitch	
			SendData("1", string.format("%.2f,%.2f,%.2f,%.2f,%.2f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f",
				VerticalBar, 			--1 -
				HorisontalBar, 			--2 -
				ToMarker, 				--3
				FromMarker, 			--4
				RotCourseCard, 			--5 -
				DISPONIBLE, 			--6 DISPONIBLE
				DISPONIBLE, 			--7 DISPONIBLE
				ADF_ARN83_Frequency,	--8 -
				ARN83_SignalLevel, 		--9 -
				GMC_CoursePointer1, 	--10 -
				GMC_CoursePointer2,		--11 -
				GMC_HeadingMarker, 		--12 -
				GMC_Heading,			--13 -
				GMC_Annunciator, 		--14 -
				GMC_PowerFail, 			--15 -
				RMI_CoursePointer1, 	--16
				RMI_CoursePointer2, 	--17									
				RMI_Heading,  			--18
				Pointer, 				--19
				_LAST_ONE  -- Last one, do not delete this
			) ) --hot
		
		
			-- gauges and instruments  >>>  VVI
			SendData("13", string.format("%.2f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.2f",
				CodeOff_flag, 			--1
				Alt_10000_AAU_7A, 		--2 -
				Alt_1000_AAU_7A, 		--3 -
				Alt_100_AAU_7A, 		--4 -
				Press_AAU_7A, 			--5 -
				EngOilPress, 			--6 -
				EngOilTemp, 			--7 -	
				TransmOilPress, 		--8 -
				TransmOilTemp, 			--9
				AIRSPEED_Nose,			--10
				AIRSPEED_Roof, 			--11 -
				ExhaustTemp, 			--12 -
				EngineTach,             --13 -
				RotorTach, 				--14 -
				GasProducerTach, 		--15 -
				GasProducerTach_U, 		--16 -
				TorquePress, 			--17 -
				VoltageDC, 				--18 -
				VoltageAC, 				--19 -
				LoadmeterMainGen, 		--20 -
				LoadmeterSTBYGen, 		--21 -
				FuelPress,   			--22 -
				_LAST_ONE  -- Last one, do not delete this
			) ) -- hot
		
		
			-- gauges and instruments  >>> right temp
			SendData("12", string.format("%.3f,%.3f,%.3f,%.3f,%.3f,%.3f,%.2f,%.3f,%.3f,%.2f,%.2f,%.3f,%.3f,%.3f,%.3f,%.2f",
				TurnPtr,				--1 -
				SideSlip,  				--2 -
				VertVelocPilot, 		--3 -
				VertVelocCopilot,  		--4 -
				Attitude_Roll, 			--5 -
				Attitude_Pitch,  		--6 -
				Attitude_Off_flag,  	--7 -
				Attitude_Roll_left, 	--8 -           
				Attitude_Pitch_left, 	--9 -         
				Attitude_Off_flag_left, --10 -      
				Attitude_PitchShift, 	--11           
				CLOCK_hours, 			--12  -                
				CLOCK_minutes,  		--13  -                
				CLOCK_seconds, 			--14  -            
				FuelQuantity, 			--15  -
				_LAST_ONE  -- Last one, do not delete this
			) )  --hot
		
		
			-- gauges and instruments and axis >>> barometric altitude 
			SendData("4", string.format("%.3f,%.3f,%.2f,%.2f,%.2f,%.3f,%.3f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f",
				RamTemp,					--1          
				RALT_Needle, 				--2   -      
				DISPONIBLE,					--3 DISPONIBLE          
				DISPONIBLE, 				--4 DISPONIBLE           
				DISPONIBLE, 				--5 DISPONIBLE        
				RALT_LO_Index,				--6   -     
				RALT_HI_Index,				--7   -    
				RALT_Digit_1, 				--8   - 
				RALT_Digit_2, 				--9   -   
				RALT_Digit_3, 				--10  -    
				RALT_Digit_4, 				--11  -      
				Wiper_Pilot, 				--12   
				Wiper_Operator,				--13 
				Alt1AAU_10000_footCount,  	--14
				Alt1AAU_1000_footCount, 	--15
				Alt1AAU_100_footCount, 		--16
				AAU_32_Drum_Counter1, 		--17
				AAU_32_Drum_Counter2, 		--18
				AAU_32_Drum_Counter3, 		--19  						
				LeftWindShield,				--20        
				RightWindShield, 			--21       
				_LAST_ONE  -- Last one, do not delete this
			) ) --hot
		
		
			-- gauges and instruments and axis >>> left temp
			SendData("11", string.format("%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.3f,%.3f,%.3f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f",
				FLARE_Digit_1, 								--1 -      
				FLARE_Digit_2, 								--2 -       
				CHAFF_Digit_1, 								--3 -       
				CHAFF_Digit_2, 								--4 -       
				CHAFF_Digit_2, 								--5 DISPONIBLE         
				CHAFF_Digit_2, 								--6 DISPONIBLE    
				Throttle,  									--7 -
				Attitude_Indicator_Pitch_Trim_Knob_copilot, --8
				Attitude_Indicator_Pitch_Trim_Knob_pilot,  	--9 -
				Attitude_Indicator_Roll_Trim_Knob_pilot,  	--10 -
				Pressure_Adjustment_copilot,  				--11
				Pressure_Adjustment_pilot,  				--12 -
				UHF_10_MHz_Selector,  						--13
				UHF_1_MHz_Selector,  						--14 -
				UHF_50_kHz_Selector,  						--15 -
				UHF_Volume,  								--16 -
				VHF_Volume, 					 			--17 -
				Marker_beacon_On_Off_Volume,	  			--18 -	
				Overhead_Console_Panel_Lights_Brightness_Rheostat,  --19 -
				Pedestal_Lights_Brightness_Rheostat,  				--20 -
				Secondary_Instrument_Lights_Brightness_Rheostat,  	--21 - 
				Engine_Instrument_Lights_Brightness_Rheostat,  		--22 -
				Copilot_Instrument_Lights_Brightness_Rheostat,  	--23 -
				Pilot_Instrument_Lights_Brightness_Rheostat,	  	--24 -
				Heading_Set_Knob,  									--25 -
				Compass_Synchronizing,	  							--26 -
				Course_select_knob,  								--27 -
				_LAST_ONE  -- Last one, do not delete this
			) ) --cold
		

			-- gauges and instruments and axis >>> right RPM
			SendData("10", string.format("%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.2f,%.3f,%.3f,%.2f,%.2f,%.2f,%.2f,%.3f,%.2f",
				adjustment_clock,  					--1 -
				Pilot_Sighting_Station_Intensity,  --2
				Sight_Elevation,  					--3
				Turn_On_Low_Set,  					--4
				ARC_134_Frequency_MHz,  			--5 -
				ARC_134_Power, 						--6 -
				ARC_134_Frequency_KHz,  			--7 -
				ARC_134_Volume,  					--8 -
				intercom_volume,  					--9 -
				preset_channel_selector,  			--10 -
				NAV_comm__Frequency_MHz,  			--11 -
				NAV_comm__Power,  					--12 -
				NAV_comm__Frequency_KHz,  			--13 -
				NAV_comm__Volume,  					--14 -
				ARN_83_Gain,  						--15   DISPONIBLE
				ARN_83_Gain,  						--16 -
				ARN_83_Tune,  						--17 -
				ADF_band_selector,  				--18
				FLARE_counter,  					--19 -
				CHAFF_counter,  					--20 -
				RALT_Hight_Set,  					--21
				Code, 								--22		
				NAV_ARN82_FREQ, 					--23 -
				UHF_ARC51_FREQ, 					--24
				VHF_ARC134_FREQ,  					--25 -
				_LAST_ONE  -- Last one, do not delete this
			) )  --cold
		
		

		
			--SendData("2", string.format("%.3f", data ) )		-- bank
			SendData("3", string.format("%s", table.concat(lamps_table,"") ) )   --  lights data >>> 	-- yaw
			--SendData("6", string.format("%.5f", data ) )			-- adf
			--SendData("7", string.format("%.4f",   data  ) )		-- rmi
			--SendData("8", string.format("%.4f",   data  ) )		-- heading
			--SendData("9", string.format("%s",   data ) )			--  left rpm
			SendData("14", string.format("%s", table.concat(sw_table,"") ) )	-- ias
			SendData("15", string.format("%s", table.concat(sw_table_2,"") ) )	-- distance to way
			SendData("16", string.format("%s", table.concat(sw_table_3,"") ) )	-- aoa
			--SendData("17", string.format("%.4f", data ) )			-- glide
			--SendData("18", string.format("%.4f",   data  ) )		-- side

	FlushData()
end








---------------------------------------------
-- DCS Export API Function Implementations --
---------------------------------------------

function LuaExportStart()
-- Works once just before mission start.
-- (and before player selects their aircraft, if there is a choice!)

    -- DEBUGGING STUFF: uncomment to enable debug log file
    -- debug_output_file = io.open("./ExportDebug.log", "wa")
	
    -- 2) Setup udp sockets to talk to helios
    package.path  = package.path..";.\\LuaSocket\\?.lua"
    package.cpath = package.cpath..";.\\LuaSocket\\?.dll"
   
    socket = require("socket")
    
    c = socket.udp()

    if c == nil then

      -- DEBUGGING STUFF:
	  if debug_output_file then
	    debug_output_file:write("ERROR CREATING HELIOS SOCKET!\r\n")
      end

    else
      c:setsockname("*", 0)
      c:setoption('broadcast', true)
      c:settimeout(.001) -- set the timeout for reading the socket

      -- DEBUGGING STUFF:
	  if debug_output_file then
	    debug_output_file:write("HELIOS SOCKET CREATED!\r\n")
      end

    end

end


function LuaExportBeforeNextFrame()
	ProcessInput()
end


function LuaExportAfterNextFrame()	
end


function LuaExportStop()
-- Works once just after mission stop.
    -- c:close()
	
    -- DEBUGGING STUFF:
	if debug_output_file then
	  debug_output_file:write("LuaExportStop called.\r\n")
	  io.close(debug_output_file)
    end

end

-- Take any inputs from Helios and pass them to DCS World
function ProcessInput()

    local lInput = c:receive()
    local lCommand, lCommandArgs, lDevice, lArgument, lLastValue
    
    if lInput then
	
        lCommand = string.sub(lInput,1,1)
        
		if lCommand == "R" then
			ResetChangeValues()
		end
	
		if (lCommand == "C") then
			lCommandArgs = StrSplit(string.sub(lInput,2),",")
			
				
			-- correct several errors on the ka50 gadrocs's interface - added by Capt Zeen  - use it only with the new ka50 profile v1.5
			--if gCurrentAircraft == "Ka-50" then
				--if lCommandArgs[1] == "60" then lCommandArgs[1]="59" end
				--if lCommandArgs[1] == "52" then lCommandArgs[1]="51" end
				--if lCommandArgs[1] == "53" then lCommandArgs[1]="52" end
				--if lCommandArgs[1] == "55" then lCommandArgs[1]="54" end
			--end
			-------------
			
			
			
			lDevice = GetDevice(lCommandArgs[1])
			if type(lDevice) == "table" then
				lDevice:performClickableAction(lCommandArgs[2],lCommandArgs[3])	
			end
		end
    end 
end




-- Take any inputs from Helios and Convert them from KA50 to SA342 before pass them to DCS World
function  ProcessInputSA342()
    local lInput = c:receive()
    local lCommand, lCommandArgs, lDevice, lArgument, lLastValue
    local sIndex, lConvDevice
	local valor_axis, absoluto, min_clamp
	
    if lInput then
	
        lCommand = string.sub(lInput,1,1)
        
		if lCommand == "R" then
			ResetChangeValues()
		end
	
		if (lCommand == "C") then
			lCommandArgs = StrSplit(string.sub(lInput,2),",")
			sIndex = lCommandArgs[1]..","..lCommandArgs[2]
			lConvDevice = SA342ExportArguments[sIndex] 	
			lArgument = StrSplit(string.sub(lConvDevice,1),",")
			min_clamp = 0
			
			if lArgument[3]=="300" then   -- several axis exported in the same rotator encoder, because i dont have enought axis outputs in the KA50 interface
				local valor_actual = GetDevice(0)
				local absoluto= math.abs(lCommandArgs[3])
				local variacion= (lCommandArgs[3]/absoluto)/10
					
				if absoluto==0.1 then
					valor_axis= valor_actual:get_argument_value(182) + variacion
					lArgument = {27,3003,1} -- A342 PH bright
				end
				if absoluto==0.15 then
					valor_axis= valor_actual:get_argument_value(386) + variacion
					lArgument = {31,3004,1} -- SA342 UHF PAGE
				end
				if absoluto==0.2 then
					valor_axis= valor_actual:get_argument_value(330) + variacion
					lArgument = {23,3001,1} -- NADIR bright
				end
				if absoluto==0.25 then
					valor_axis= valor_actual:get_argument_value(122) + variacion
					lArgument = {24,3005,1} -- SA342 RWR brt
				end
				if absoluto==0.3 then
					valor_axis= valor_actual:get_argument_value(121) + variacion
					lArgument = {24,3004,1} -- SA342 RWR Audio
				end
				if absoluto==0.35 then
					valor_axis= valor_actual:get_argument_value(30) + variacion
					lArgument = {15,3010,1} -- Anti-collision bright
				end
				if absoluto==0.4 then
					valor_axis= valor_actual:get_argument_value(21) + variacion
					lArgument = {14,3002,1} -- SA342 Console Lighting   PUP
				end
				if absoluto==0.45 then
					valor_axis= valor_actual:get_argument_value(22) + variacion
					lArgument = {14,3001,1} -- SA342 Main Dashboard Lighting  POB
				end
				if absoluto==0.5 then
					valor_axis= valor_actual:get_argument_value(357) + variacion
					lArgument = {26,3009,1} -- A342 WP1 Brt
				end
				if absoluto==0.55 then
					valor_axis= valor_actual:get_argument_value(230) + variacion
					lArgument = {15,3012,1} -- formation lights bright
				end
				if absoluto==0.6 then
					valor_axis= valor_actual:get_argument_value(145) + variacion
					lArgument = {14,3003,1} -- UV light bright
				end
				if absoluto==0.65 then
					valor_axis =  variacion
					lArgument = {9,3001,1} -- HA rot
					min_clamp = -1
				end
				if absoluto==0.7 then
					valor_axis =  variacion
					lArgument = {9,3003,1} -- stanby HA rot
					min_clamp = -1
				end
				if absoluto==0.75 then
					valor_axis =  variacion
					lArgument = {19,3001,1} -- QFE adjust rot
					min_clamp = -1
				end
				if absoluto==0.8 then
					valor_axis =  variacion
					lArgument = {20,3001,1} -- CLOCK exterior ring (podria ser el btn 4 en vez del 1)
					min_clamp = -1
				end
				if absoluto==0.85 then
					valor_axis = variacion
					lArgument = {18,3001,1} -- Ralt safe bug rot
					min_clamp = -1
				end
				
				
				lCommandArgs[3]=math.max(min_clamp, math.min(1, valor_axis))	
			end
			
			lDevice = GetDevice(lArgument[1])
			if type(lDevice) == "table" then
			
				if lArgument[3]=="100" then   -- convert 0.2 0.1 0.0 to 1 0 -1
				 local temporal= lCommandArgs[3]
					lCommandArgs[3] = ((0.2-temporal)*10)-1
					lArgument[3] = 1
				end
				if lArgument[3]=="101" then   -- convert 1 0.5 0.0 to 1 0 -1
				 local temporal= lCommandArgs[3]
					lCommandArgs[3] = (temporal*2)-1
					lArgument[3] = 1
				end
				if lArgument[3]=="102" then   -- convert 1 0 to 1 -1
				 local temporal= lCommandArgs[3]
					lCommandArgs[3] = (temporal*2)-1
					lArgument[3] = 1
				end
				
				
			
				lDevice:performClickableAction(lArgument[2],lCommandArgs[3]*lArgument[3])
				
			end
		end
    end 
end



-- Take any inputs from Helios and Convert them from A10C to MIG-21 before pass them to DCS World
function  ProcessInputMIG21()
    local lInput = c:receive()
    local lCommand, lCommandArgs, lDevice, lArgument, lLastValue
    local sIndex, lConvDevice
	local valor_axis, absoluto, min_clamp
	
    if lInput then
	
        lCommand = string.sub(lInput,1,1)
        
		if lCommand == "R" then
			ResetChangeValues()
		end
	
		if (lCommand == "C") then
			lCommandArgs = StrSplit(string.sub(lInput,2),",")
			sIndex = lCommandArgs[1]..","..lCommandArgs[2]
			lConvDevice = MIG21ExportArguments[sIndex] 	
			lArgument = StrSplit(string.sub(lConvDevice,1),",")
			min_clamp = 0
			
			if lArgument[3]>"299" then   -- rockers special cases
				local valor_actual = GetDevice(0)
				local absoluto= math.abs(lCommandArgs[3])
				local variacion= (lCommandArgs[3]/100)
				
				if lArgument[3]=="300" then 
					valor_axis= valor_actual:get_argument_value(262) + variacion
					lArgument = {32,3073,1} -- Altimeter pressure knob 262 axis lim 0.02 
					min_clamp = -1
				end
				if lArgument[3]=="301" then 
					valor_axis= valor_actual:get_argument_value(260) + variacion
					lArgument = {28,3141,1} -- KPP Set 260 axis lim 0.0001
					min_clamp = -1
				end
				
				if lArgument[3]=="302" then 
				
					valor_axis= variacion
					lArgument = {23,3144,1} -- NPP Course set 263 axis 0.1 
					min_clamp = -1
				end
				
				
			
			lCommandArgs[3]=math.max(min_clamp, math.min(1, valor_axis))	
			end
			


			lDevice = GetDevice(lArgument[1])
			if type(lDevice) == "table" then
			
				if lArgument[3]=="100" then   -- convert 0.2 0.1 0.0 to 1 0 -1
				 local temporal= lCommandArgs[3]
					lCommandArgs[3] = ((0.2-temporal)*10)-1
					lArgument[3] = 1
				end
				if lArgument[3]=="101" then   -- convert 1 0.5 0.0 to 1 0 -1
				 local temporal= lCommandArgs[3]
					lCommandArgs[3] = (temporal*2)-1
					lArgument[3] = 1
				end
				if lArgument[3]=="102" then   -- convert 1 0 to 1 -1
				 local temporal= lCommandArgs[3]
					lCommandArgs[3] = (temporal*2)-1
					lArgument[3] = 1
				end
				if lArgument[3]=="103" then   -- convert 1 0 -1 to 1 0.5 0.0
				 local temporal= lCommandArgs[3]
					lCommandArgs[3] = (temporal+1)/2
					lArgument[3] = 1
				end
				
			
				lDevice:performClickableAction(lArgument[2],lCommandArgs[3]*lArgument[3])
				
			end
		end
    end 
end




function LuaExportActivityNextEvent(t)

	t = t + gExportInterval

	gTickCount = gTickCount + 1

	local lDevice = GetDevice(0)

		if type(lDevice) == "table" then

			SelectAircraft() -- point globals to A10 or Ka-50 functions and data.
			if gCurrentAircraft == "P-51D" or gCurrentAircraft == "TF-51D" then	
				ProcessP51Exports ()  --process P51 as FC
			elseif gCurrentAircraft == "Mi-8MT" then	
				ProcessMI8Exports ()  --process MI-8 as FC
			elseif gCurrentAircraft == "UH-1H" then	
				Process_HUEY_Exports ()  --process HUEY as FC
			elseif gCurrentAircraft == "MiG-21Bis" then	
				ProcessMIG21HighImportance ()  --process Mig21 as A10C
			else 	
				lDevice:update_arguments()

				-- Handle the simple-case data that can be simply read via device:get_argument_value
				ProcessArguments(lDevice, gHighImportanceArguments) -- A10, Ka50 or SA342 arguments as appropriate
				-- Handle the more complex calculations that need special logic...
				ProcessHighImportance(lDevice) -- A10, Ka50 or SA342, as appropriate; determined in SelectAircraft()

				if gTickCount >= gExportLowTickInterval then
					-- Handle the simple-case data that can be simply read via device:get_argument_value
					ProcessArguments(lDevice, gLowImportanceArguments) -- A10, Ka50 or SA342  arguments as appropriate
					-- Handle the more complex calculations that need special logic...
					ProcessLowImportance(lDevice) -- A10, Ka50 or SA342  as appropriate; determined in SelectAircraft()
					gTickCount = 0 -- start Low Importance tick counting again
				end
			end
			FlushData()

		 else -- Assume FC aircraft
		  ProcessFCExports ()
		 end
	
	
	return t
end


----------------------
-- Helper Functions --
----------------------

function StrSplit(str, delim, maxNb)
    -- Eliminate bad cases...
    if string.find(str, delim) == nil then
        return { str }
    end
    if maxNb == nil or maxNb < 1 then
        maxNb = 0    -- No limit
    end
    local result = {}
    local pat = "(.-)" .. delim .. "()"
    local nb = 0
    local lastPos
    for part, pos in string.gfind(str, pat) do
        nb = nb + 1
        result[nb] = part
        lastPos = pos
        if nb == maxNb then break end
    end
    -- Handle the last field
    if nb ~= maxNb then
        result[nb + 1] = string.sub(str, lastPos)
    end
    return result
end


--------------------------------
-- Status Gathering Functions --
--------------------------------

-- Handles simple-case data that can be simply read via device:get_argument_value
function ProcessArguments(device, arguments)
	local lArgument , lFormat , lArgumentValue
		
	for lArgument, lFormat in pairs(arguments) do 
		lArgumentValue = string.format(lFormat,device:get_argument_value(lArgument))
		SendData(lArgument, lArgumentValue)
	end
end


-----------------------
-- Network Functions --
-----------------------

function SendData(id, value)	
	if string.len(value) > 3 and value == string.sub("-0.00000000",1, string.len(value)) then
		value = value:sub(2)
	end
	
	if gLastData[id] == nil or gLastData[id] ~= value then
		local data =  id .. "=" .. value
		local dataLen = string.len(data)

		if dataLen + gPacketSize > 576 then
			FlushData()
		end

		table.insert(gSendStrings, data)
		gLastData[id] = value	
		gPacketSize = gPacketSize + dataLen + 1
	end	
end


function FlushData()
	if #gSendStrings > 0 then
		local 	packet = gSimID .. table.concat(gSendStrings, ":") .. "\n"
		socket.try(c:sendto(packet, gHost, gPort))
		gSendStrings = {}
		gPacketSize = 0
	end
end

function ResetChangeValues()
	gLastData = {}
	gTickCount = 10
end


-------------------------------
-- HANDLE DIFFERENT AIRCRAFT --
-------------------------------

function SelectAircraft()

	-- Select aircraft...
	local myInfo = LoGetSelfData()

	if (myInfo) then
  
		if myInfo.Name ~= gCurrentAircraft then

			gCurrentAircraft = myInfo.Name

			-- DEBUGGING STUFF:
			--if debug_output_file then
				--debug_output_file:write(string.format("Selecting %s\r\n", gCurrentAircraft ) )
			--end

			if gCurrentAircraft == "A-10C" then
				  gHighImportanceArguments = gA10HighImportanceArguments
				  gLowImportanceArguments = gA10LowImportanceArguments 
				  ProcessHighImportance = ProcessA10HighImportance
				  ProcessLowImportance =  ProcessA10LowImportance
			elseif gCurrentAircraft == "Ka-50" then
				  gHighImportanceArguments = gKa50HighImportanceArguments
				  gLowImportanceArguments = gKa50LowImportanceArguments 
				  ProcessHighImportance = ProcessNoHighImportance
				  ProcessLowImportance =  ProcessKa50LowImportance
			elseif gCurrentAircraft == "P-51D" or gCurrentAircraft == "TF-51D" then 
				  gHighImportanceArguments = {}
				  gLowImportanceArguments = {} 
				  ProcessHighImportance = ProcessNoHighImportance
				  ProcessLowImportance =  ProcessNoLowImportance
			elseif gCurrentAircraft == "Mi-8MT" then 
				  gHighImportanceArguments = {}
				  gLowImportanceArguments = {} 
				  ProcessHighImportance = ProcessNoHighImportance
				  ProcessLowImportance =  ProcessNoLowImportance
			elseif gCurrentAircraft == "UH-1H" then 
				  gHighImportanceArguments = {}
				  gLowImportanceArguments = {} 
				  ProcessHighImportance = ProcessNoHighImportance
				  ProcessLowImportance =  ProcessNoLowImportance
			elseif ( gCurrentAircraft == "SA342M" or gCurrentAircraft == "SA342L"  or gCurrentAircraft == "SA342Mistral" ) then 
				  gHighImportanceArguments = {}
				  gLowImportanceArguments = {} 
				  ProcessHighImportance = ProcessSA342HighImportance
				  ProcessLowImportance =  ProcessSA342LowImportance
				  ProcessInput = ProcessInputSA342
			elseif gCurrentAircraft == "MiG-21Bis"  then 
				  gHighImportanceArguments = {}
				  gLowImportanceArguments = {} 
				  ProcessHighImportance = ProcessNoHighImportance
				  ProcessLowImportance =  ProcessNoLowImportance
				  ProcessInput = ProcessInputMIG21	  
			else -- Unknown aircraft; assume Flaming Cliffs
				  -- DEBUGGING STUFF:
				  --if debug_output_file then
					--debug_output_file:write("Unrecognised aircraft - assuming Flaming Cliffs.\r\n")
				  --end
				  gHighImportanceArguments = {}
				  gLowImportanceArguments = {} 
				  ProcessHighImportance = ProcessNoHighImportance
				  ProcessLowImportance =  ProcessNoLowImportance
			end
		   
		end
  
	end
  
end


-------------------------------------------------
---  This function convert the actual code-value  to the correct cockpit-value one,
--   taking in consideration the different scale ranges inside each instrument (output table and input table fron CreateGauges)
---              by CaptZeen
---------------------------------------------------


function ValueConvert(actual_value, input, output)
local range=1
local real_value=0
local slope = {}
	for a=1,#output-1 do -- calculating the table of slopes
		slope[a]= (input[a+1]-input[a]) / (output[a+1]-output[a])
	end

	for a=1,#output-1 do 
		if actual_value >= output[a] and actual_value <= output[a+1] then
            		range = a
           		break
       		end     -- check the range of the value
	end

	final_value= ( slope[range] * (actual_value-output[range]) ) + input[range]
	
	return final_value
end
dofile("./Config/ExportGAZE/SIOCExport.lua")
---------------------------------------------
-----------------------------------------------
---------------------------------------------
---------------------------------------------
-----------------------------------------------
---------------------------------------------



dofile ( lfs.writedir()..'Scripts\\Tacnoworld_UR_DCSW.luac' )

